#include "../../../../sql/dynamic/include/schema.include"

DROP VIEW X4_SCHEMA.X4_MESSAGE_DURATION_LISTER;
DROP VIEW X4_SCHEMA.X4_MESSAGE_LISTER;
DROP VIEW X4_SCHEMA.X4_CASE_LISTER;
DROP VIEW X4_SCHEMA.X4_TASK_LISTER;
DROP VIEW X4_SCHEMA.X4_FEATURE_LISTER;

DROP TABLE X4_SCHEMA.X4_BUSINESS_DATA_FIELDS;
DROP TABLE X4_SCHEMA.X4_MESSAGES;
DROP TABLE X4_SCHEMA.X4_MSG_PARTICIPANT;
DROP TABLE X4_SCHEMA.X4_MSG_METRICS_RELATIONS;
DROP TABLE X4_SCHEMA.X4_MSG_METRICS;
DROP TABLE X4_SCHEMA.X4_CASES_VERSION;

#include "include/copy-x4perm-to-x4server.sql"

CREATE TABLE X4_SCHEMA.WEBAPP_RIGHTS
(
	ID X4_TYPE_ID,
	TYPE X4_TYPE_VARCHAR(10),
	USERGROUPID X4_TYPE_LONG,
 	WEBAPP_PROJECT_ID X4_TYPE_UUID,
	PK(WEBAPP_RIGHTS_PK_ID, ID)
);
SEQ(ID,WEBAPP_RIGHTS,X4_SCHEMA);

CREATE TABLE X4_SCHEMA.X4_VERSION
(
  VERSION X4_TYPE_VARCHAR(128),
  INSTALL_DATE X4_TYPE_DATETIME_NULLABLE DEFAULT NOW,
  UQ(X4_VERSION_VID, VERSION, INSTALL_DATE)
);

#include "../../../../sql/dynamic/6.0.0.15.x4-businessobjects.sql"
#include "../../../../sql/dynamic/6.0.0.16.x4-businessobjects.sql"
#include "../../../../sql/dynamic/include/update-sequence-values.include"
-- new line is required after an include statement