USE [X4];
GO

CREATE INDEX IDX_PROCESS_STARTTIME
  ON X4SERVER.PROCESS (x4_starttime );
GO

CREATE INDEX IDX_PROCESS_ENDTIME_TS_ID
  ON X4SERVER.PROCESS (x4_endtime desc, x4_technicalstate, x4_id );
GO

CREATE INDEX IDX_PROCESS_USER_ENDTIME
  ON X4SERVER.PROCESS (x4_user, x4_endtime )
  INCLUDE (x4_id )
GO

INSERT INTO x4server.placeholder_groups (x4_name) values ('X4BAM');
GO

INSERT INTO x4server.placeholder_values (x4_name, x4_value, x4_type, x4_group_id) 
	SELECT 'MonitoringDays', '30', 3, x4_id FROM x4server.placeholder_groups WHERE x4_name = 'X4BAM';
GO

ALTER TABLE X4SERVER.PROCESS ADD x4_running int NULL;
GO

CREATE INDEX IDX_PROCESS_RUNNING
  ON X4SERVER.PROCESS (x4_running );
GO

UPDATE X4SERVER.PROCESS SET x4_running = 1 WHERE x4_technicalstate IS NULL;
GO