USE [X4];
GO

CREATE TABLE X4SERVER.PLACEHOLDER_GROUPS(
	x4_id bigint IDENTITY(1,1) NOT NULL,
	x4_name nvarchar(55) NOT NULL,
 	CONSTRAINT PK_PLACEHOLDER_GROUPS PRIMARY KEY (x4_id ASC),
 	CONSTRAINT UK_PLACEHOLDER_GROUPS UNIQUE (x4_name)
);
GO

GRANT SELECT, DELETE, UPDATE, INSERT ON X4SERVER.PLACEHOLDER_GROUPS TO X4SERVER;
GO

CREATE TABLE X4SERVER.PLACEHOLDER_VALUES(
	x4_id bigint IDENTITY(1,1) NOT NULL,
	x4_name nvarchar(55) NOT NULL,
	x4_value nvarchar(255) NULL,
	x4_type tinyint NULL,
	x4_group_id bigint NOT NULL,
 	CONSTRAINT PK_PLACEHOLDER_VALUES PRIMARY KEY (x4_id ASC),
	CONSTRAINT UK_PLACEHOLDER_VALUES UNIQUE (x4_name, x4_group_id),
 	CONSTRAINT FK_PLACEHOLDER_VALUES_PLACEHOLDER_GROUPS FOREIGN KEY (x4_group_id)
      REFERENCES X4SERVER.PLACEHOLDER_GROUPS (x4_id) ON UPDATE NO ACTION ON DELETE NO ACTION
);
GO

GRANT SELECT, DELETE, UPDATE, INSERT ON X4SERVER.PLACEHOLDER_VALUES TO X4SERVER;
GO