CREATE SEQUENCE X4SERVER."SEQ_PLACEHOLDER_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;

CREATE TABLE X4SERVER.PLACEHOLDER_GROUPS(
	x4_id number NOT NULL,
	x4_name varchar2(55) NOT NULL,
 	CONSTRAINT "PK_PLACEHOLDER_GROUPS" PRIMARY KEY (x4_id),
 	CONSTRAINT "UK_PLACEHOLDER_GROUPS" UNIQUE (x4_name)
);

GRANT ALL ON X4SERVER.PLACEHOLDER_GROUPS TO X4SERVER;

CREATE TABLE X4SERVER.PLACEHOLDER_VALUES(
	x4_id number NOT NULL,
	x4_name varchar2(55) NOT NULL,
	x4_value varchar2(255) NULL,
	x4_type number NULL,
	x4_group_id number NOT NULL,
 	CONSTRAINT "PK_PLACEHOLDER_VALUES" PRIMARY KEY (x4_id),
	CONSTRAINT "UK_PLACEHOLDER_VALUES" UNIQUE (x4_name, x4_group_id),
 	CONSTRAINT "FK_PLACEHOLDER_VALUES_PG" FOREIGN KEY (x4_group_id)
      REFERENCES X4SERVER.PLACEHOLDER_GROUPS (x4_id)
);

GRANT ALL ON X4SERVER.PLACEHOLDER_VALUES TO X4SERVER;

CREATE OR REPLACE TRIGGER X4SERVER."TRI_PLACEHOLDER_VALUES" BEFORE INSERT
ON X4SERVER."PLACEHOLDER_VALUES" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN
	SELECT X4SERVER.SEQ_PLACEHOLDER_ID.nextval INTO :new.x4_id FROM DUAL;
END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_PLACEHOLDER_GROUPS" BEFORE INSERT
ON X4SERVER."PLACEHOLDER_GROUPS" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN
	SELECT X4SERVER.SEQ_PLACEHOLDER_ID.nextval INTO :new.x4_id FROM DUAL;
END;
/