#include "include/schema.include"

#ifdef CREATE_USER
    #ifdef POSTGRESQL
        CREATE ROLE DB_USER_QUOTED LOGIN
            ENCRYPTED PASSWORD DB_PASSWORD_QUOTED
            NOSUPERUSER INHERIT NOCREATEDB NOCREATEROLE NOREPLICATION;

        GRANT X4_SCHEMA TO DB_USER_QUOTED;
    #elif H2
        CREATE USER IF NOT EXISTS DB_USER PASSWORD DB_PASSWORD;

        GRANT X4_SCHEMA TO DB_USER_QUOTED;
    #elif MSSQL
        CREATE LOGIN DB_USER_QUOTED
            WITH PASSWORD = DB_PASSWORD_QUOTED, DEFAULT_DATABASE = DB_NAME_QUOTED, CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF;
GO
        CREATE USER DB_USER_QUOTED FOR LOGIN DB_USER_QUOTED WITH DEFAULT_SCHEMA = X4_SCHEMA;
GO
        ALTER ROLE db_datareader ADD MEMBER DB_USER_QUOTED;
GO
        ALTER ROLE db_datawriter ADD MEMBER DB_USER_QUOTED;
GO
    #endif
#endif

#ifdef ORACLE	
    -- Create User X4SERVER 
    CREATE USER "X4SERVER"
    IDENTIFIED BY DB_PASSWORD_QUOTED
    DEFAULT TABLESPACE "USERS"
    TEMPORARY TABLESPACE "TEMP";

    -- Change User Quota -- 
    ALTER USER X4SERVER quota 100M on "USERS";

    -- Grant Privileges --
    GRANT UNLIMITED TABLESPACE TO X4SERVER;
    GRANT CREATE SESSION TO X4SERVER;
#endif
