#include "include/schema.include"
#include "include/type.include"
#include "include/constraint.include"

CREATE TABLE X4_SCHEMA.CASE_DOCUMENTS
(
  UUID X4_TYPE_UUID,
  DATA X4_TYPE_BLOB,
  TITLE X4_TYPE_VARCHAR_NULLABLE(100),
  FILE_NAME X4_TYPE_VARCHAR(200),
  ENCODING X4_TYPE_VARCHAR_NULLABLE(20),
  MIME_TYPE X4_TYPE_VARCHAR_NULLABLE(255),
  CREATED_BY X4_TYPE_VARCHAR(255),
  CREATED_ON X4_TYPE_DATETIME,
  UPDATED_BY X4_TYPE_VARCHAR_NULLABLE(255),
  UPDATED_ON X4_TYPE_DATETIME_NULLABLE,
  CASE_UUID X4_TYPE_FK_UUID,
  PK(CASE_DOCUMENTS, UUID),
  UQ(CASE_DOCUMENTS_FILE_NAME, FILE_NAME, CASE_UUID),
  FK(CASE_DOCUMENTS, CASE_UUID, X4_CASES, UUID, X4_SCHEMA)
);

ALTER TABLE X4_SCHEMA.X4_TASKS ADD EXTERNAL_ACCESS X4_TYPE_BOOLEAN_WITH_DEFAULT(FALSE);
