-- create sequences section ----------------------------------------------
CREATE SEQUENCE X4SERVER."SEC_DATALOG_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEC_PROCESSHISTORY_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEC_SAVEPOINT_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEC_SLA_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEC_TECHNICALLOG_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEC_PROCESSLOCK_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEQ_JOB_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEQ_EXECUTION_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEQ_JOB_PARAMETER_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEQ_EXECUTION_PARAMETER_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEQ_INTERVAL_EXECUTION_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEQ_CRON_EXECUTION_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEQ_PROCESS_USER_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEQ_PLACEHOLDER_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;
CREATE SEQUENCE X4SERVER."SEQ_WEBAPP_RIGHTS_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE  ORDER  NOCYCLE;

-- create tables section -------------------------------------------------

-- Table: datalog
CREATE TABLE X4SERVER.DATALOG
(
  x4_id NUMBER NOT NULL,
  x4_pid NUMBER(19) NOT NULL,
  x4_logtime timestamp  NOT NULL,
  x4_key varchar2(50),
  x4_data BLOB,
  x4_encoding varchar2(20),
  x4_mime_type varchar2(100),
  x4_message varchar2(255),
  x4_process_id varchar2(200) NOT NULL,
  CONSTRAINT PK_DATALOG PRIMARY KEY (x4_id )
);

-- Index: "FKI_PROCESS"
-- DROP INDEX "FKI_PROCESS";
CREATE INDEX X4SERVER.FKI_PROCESS ON X4SERVER.DATALOG (x4_process_id);

-- Table: process
-- DROP TABLE process;

CREATE TABLE X4SERVER."PROCESS"
(
  x4_id varchar2(200) NOT NULL,
  x4_parent_id varchar2(200),
  x4_pid NUMBER(19) NOT NULL,
  x4_starttime timestamp  NOT NULL,
  x4_endtime timestamp ,
  x4_user varchar2(50) NOT NULL,
  x4_processname varchar2(255) NOT NULL,
  x4_version varchar2(20) ,
  x4_processdefinition varchar2(255) NOT NULL,
  x4_host varchar2(100),
  x4_state varchar2(100),
  x4_technicalstate NUMBER,
  x4_duration NUMBER(19),
  x4_running NUMBER(1),
  CONSTRAINT PK_PROCESS PRIMARY KEY (x4_id )
);

  -- Index: "IDX_PROCESS_PARENTID"

-- DROP INDEX "IDX_PROCESS_PARENTID";

CREATE INDEX X4SERVER."IDX_PROCESS_PARENTID"
  ON X4SERVER.PROCESS  (x4_parent_id );

-- Index: "IDX_PROCESS_PID"

-- DROP INDEX "IDX_PROCESS_PID";

CREATE INDEX X4SERVER."IDX_PROCESS_PID"
  ON X4SERVER.PROCESS (x4_pid );

-- Index: "IDX_PROCESS_PROCESSNAME"

-- DROP INDEX "IDX_PROCESS_PROCESSNAME";

CREATE INDEX X4SERVER."IDX_PROCESS_PROCESSNAME"
  ON X4SERVER.PROCESS (x4_processname );

-- Index: "IDX_PROCESS_STARTTIME"

-- DROP INDEX "IDX_PROCESS_STARTTIME";

CREATE INDEX "IDX_PROCESS_STARTTIME"
  ON X4SERVER.PROCESS (x4_starttime );

-- Index: "IDX_PROCESS_ENDTIME_TS_ID"

-- DROP INDEX "IDX_PROCESS_ENDTIME_TS_ID";

CREATE INDEX "IDX_PROCESS_ENDTIME_TS_ID"
  ON X4SERVER.PROCESS (x4_endtime desc, x4_technicalstate, x4_id );

-- Index: "IDX_PROCESS_PROCESSDEFINITION"

-- DROP INDEX "IDX_PROCESS_PROCESSDEFINITION";

CREATE INDEX X4SERVER."IDX_PROCESS_PROCESSDEFINITION"
  ON X4SERVER.PROCESS (x4_processdefinition );

-- Index: "IDX_PROCESS_RUNNING"

-- DROP INDEX "IDX_PROCESS_RUNNING";

CREATE INDEX X4SERVER."IDX_PROCESS_RUNNING"
  ON X4SERVER.PROCESS (x4_running );

-- Table: process_user

-- DROP TABLE process_user

CREATE TABLE X4SERVER."PROCESS_USER"
(
	x4_id number not null,
	x4_type varchar2(255) not null,
	x4_executed_by number not null,
	x4_process_id varchar2(200) not null,
	CONSTRAINT "PK_X4_ID" PRIMARY KEY (x4_id),
	CONSTRAINT "PROCESS_USER_PROCESS_FK" FOREIGN KEY (x4_process_id)
      REFERENCES X4SERVER.PROCESS (x4_id)
);

-- Table: processhistory

-- DROP TABLE processhistory;

CREATE TABLE X4SERVER."PROCESSHISTORY"
(
  x4_pid NUMBER(19) NOT NULL,
  x4_logtime timestamp NOT NULL,
  x4_user varchar2(255),
  x4_technicalstate NUMBER,
  x4_comment varchar2(2000),
  x4_process_id varchar2(200) NOT NULL,
  x4_host varchar2(200) NOT NULL,
  x4_id NUMBER NOT NULL,
  x4_state varchar2(50),
  CONSTRAINT PK_PROCESSHISTORY PRIMARY KEY (x4_id )
);

-- Index: "IDX_PROCESSHISTORY_PID"

-- DROP INDEX "IDX_PROCESSHISTORY_PID";

CREATE INDEX X4SERVER."IDX_PROCESSHISTORY_PID"
  ON X4SERVER.PROCESSHISTORY  (x4_pid );

-- Index: "IDX_PROCESSHISTORY_PROCESSID"

-- DROP INDEX "IDX_PROCESSHISTORY_PROCESSID";

CREATE INDEX X4SERVER."IDX_PROCESSHISTORY_PROCESSID"
  ON X4SERVER."PROCESSHISTORY"  (x4_process_id );


-- Table: savepoint

-- DROP TABLE savepoint;

CREATE TABLE X4SERVER."SAVEPOINT"
(
  x4_pid NUMBER(19) NOT NULL,
  x4_process_id varchar2(200) NOT NULL,
  x4_savetime timestamp NOT NULL,
  x4_data BLOB NOT NULL,
  x4_id NUMBER NOT NULL,
  x4_nextactionid NUMBER,
  x4_processdefinition varchar2(255), -- URI des Prozesses
  x4_savepoint_id varchar2(100) NOT NULL,
  x4_metadata BLOB NOT NULL,
  x4_startprocess varchar2(255) NOT NULL,
  CONSTRAINT PK_SAVEPOINT PRIMARY KEY (x4_id )
);

COMMENT ON COLUMN X4SERVER."SAVEPOINT".x4_processdefinition IS 'URI des Prozesses ';

-- Table: sla

-- DROP TABLE sla;

CREATE TABLE X4SERVER."SLA"
(
  x4_processdefinition varchar2(255) NOT NULL, -- URI of the process
  x4_id NUMBER NOT NULL,
  x4_from varchar2(50),
  x4_to varchar2(50),
  x4_maxtime NUMBER(19) NOT NULL,
  x4_workingdays varchar2(15) NOT NULL, -- Tag 1-7
  x4_workingtime varchar2(10), -- 8:00-16:00
  x4_parameterset varchar2(255),
  x4_watchtype NUMBER, -- 1: technisch, 2: fachlich
  x4_escalation_handler varchar2(1000),
  CONSTRAINT "PK_SLA" PRIMARY KEY (x4_id )
);

COMMENT ON COLUMN X4SERVER.sla.x4_processdefinition IS 'URI of the process';
COMMENT ON COLUMN X4SERVER.sla.x4_workingdays IS 'Tag 1-7';
COMMENT ON COLUMN X4SERVER.sla.x4_workingtime IS '8:00-16:00';
COMMENT ON COLUMN X4SERVER.sla.x4_watchtype IS '1: technisch, 2: fachlich ';

-- Index: "X4Schema"."IDX_SLA_PROCESSDEFINITION"

-- DROP INDEX "X4Schema"."IDX_SLA_PROCESSDEFINITION";

CREATE INDEX X4SERVER."IDX_SLA_PROCESSDEFINITION"
  ON X4SERVER.SLA  (x4_processdefinition );


-- Table: technicallog

-- DROP TABLE technicallog;

CREATE TABLE X4SERVER.TECHNICALLOG
(
  x4_message varchar2(500),
  x4_logtime timestamp NOT NULL,
  x4_pid NUMBER(19) NOT NULL,
  x4_action NUMBER,
  x4_stepname varchar2(255),
  x4_process_id varchar2(200) NOT NULL,
  x4_id NUMBER NOT NULL,
  x4_technicalstate NUMBER,
  x4_module varchar2(50),
  x4_duration NUMBER(19),
  CONSTRAINT PK_TECHNICALLOG PRIMARY KEY (x4_id )
);

-- Index: "IDX_TECHNICALLOG_LOGTIME"

-- DROP INDEX "IDX_TECHNICALLOG_LOGTIME";

CREATE INDEX X4SERVER."IDX_TECHNICALLOG_LOGTIME"
  ON X4SERVER.TECHNICALLOG (x4_logtime );

-- Index: "IDX_TECHNICALLOG_PID"

-- DROP INDEX "IDX_TECHNICALLOG_PID";

CREATE INDEX X4SERVER."IDX_TECHNICALLOG_PID"
  ON X4SERVER.TECHNICALLOG  (x4_pid );

-- Index: "IDX_TECHNICALLOG_PROCESSID"

-- DROP INDEX "IDX_TECHNICALLOG_PROCESSID";

CREATE INDEX X4SERVER."IDX_TECHNICALLOG_PROCESSID"
  ON X4SERVER.TECHNICALLOG  (x4_process_id );

-- Index: "IDX_TECHNICALLOG_TECHNICALSTATE"

-- DROP INDEX "IDX_TECHNICALLOG_TECHNICALSTATE";

CREATE INDEX X4SERVER."IDX_TECHNICALLOG_TECHSTATE"
  ON X4SERVER.TECHNICALLOG (x4_technicalstate);

CREATE TABLE X4SERVER.PROCESSLOCK (
    x4_process_id varchar2(200) NOT NULL,
    x4_user varchar2(100) NOT NULL,
    x4_locktime timestamp NOT NULL,
    x4_id NUMBER NOT NULL,
	CONSTRAINT "PK_LOCK" PRIMARY KEY (x4_id )
);

CREATE UNIQUE INDEX X4SERVER.LOCK_UNQ_PROCESS_ID ON X4SERVER.PROCESSLOCK(x4_process_id);

CREATE TABLE X4SERVER.JOB (
	x4_id number NOT NULL,
	x4_processdefinition varchar2(450) NOT NULL,
	CONSTRAINT "X4_ID_PK" PRIMARY key (x4_id),
	CONSTRAINT "X4_PROCESSDEFINITION_UNIQUE" UNIQUE (x4_processdefinition)
);

CREATE TABLE X4SERVER.JOB_PARAMETER (
	x4_id number NOT NULL,
	x4_job_id number NOT NULL,
	x4_key varchar2(1024) NOT NULL,
	x4_value varchar2(4000) NOT NULL,
	CONSTRAINT "JOB_PARAMETER_PK" PRIMARY KEY (x4_id),
	CONSTRAINT "JOB_PARAMETER_FK" FOREIGN KEY (x4_job_id) REFERENCES X4SERVER.JOB (x4_id)
);

CREATE TABLE X4SERVER.EXECUTION(
	x4_id number NOT NULL,
	x4_type varchar2(8) NOT NULL,
	x4_active number NOT NULL,
	x4_valid_until timestamp,
	x4_job_id number NOT NULL,
	x4_valid_from timestamp,
	x4_name varchar2(1024) NOT NULL,
	CONSTRAINT "EXECUTION_PK" PRIMARY KEY (x4_id),
	CONSTRAINT "EXECUTION_JOB_FK" FOREIGN KEY (x4_job_id) REFERENCES X4SERVER.JOB (x4_id),
	CONSTRAINT "ACTIVE_CHECK" CHECK (x4_active IN (0, 1))
);

CREATE TABLE X4SERVER.CRON_EXECUTION(
	x4_execution_id number NOT NULL,
	x4_pattern varchar2(4000) NOT NULL,
	x4_id number NOT NULL,
	CONSTRAINT "CRON_EXECUTION_PK" PRIMARY KEY (x4_id),
	CONSTRAINT "CRON_EXECUTION_FK" FOREIGN KEY (x4_execution_id) REFERENCES x4server.execution (x4_id)
);

CREATE TABLE X4SERVER.INTERVAL_EXECUTION(
	x4_execution_id number NOT NULL,
	x4_interval number NOT NULL,
	x4_unit varchar2(100) NOT NULL,
	x4_id number NOT NULL,
	CONSTRAINT "INTERVAL_EXECUTION_PK" PRIMARY KEY (x4_id),
	CONSTRAINT "INTERVAL_EXECUTION_FK" FOREIGN KEY (x4_execution_id) REFERENCES x4server.execution (x4_id)
);

CREATE TABLE X4SERVER.EXECUTION_PARAMETER(
	x4_id number NOT NULL,
	x4_execution_id number NOT NULL,
	x4_key varchar2(1024) NOT NULL,
	x4_value varchar2(4000) NOT NULL,
	CONSTRAINT "EXECUTION_PARAMETER_PK" PRIMARY KEY (x4_id),
	CONSTRAINT "EXECUTION_PARAMETER_FK" FOREIGN KEY (x4_execution_id) REFERENCES x4server.execution (x4_id)
);

CREATE TABLE X4SERVER.PLACEHOLDER_GROUPS(
	x4_id number NOT NULL,
	x4_name varchar2(55) NOT NULL,
 	CONSTRAINT "PK_PLACEHOLDER_GROUPS" PRIMARY KEY (x4_id),
 	CONSTRAINT "UK_PLACEHOLDER_GROUPS" UNIQUE (x4_name)
);

CREATE TABLE X4SERVER.PLACEHOLDER_VALUES(
	x4_id number NOT NULL,
	x4_name varchar2(55) NOT NULL,
	x4_value varchar2(255) NULL,
	x4_type number NULL,
	x4_group_id number NOT NULL,
 	CONSTRAINT "PK_PLACEHOLDER_VALUES" PRIMARY KEY (x4_id),
	CONSTRAINT "UK_PLACEHOLDER_VALUES" UNIQUE (x4_name, x4_group_id),
 	CONSTRAINT "FK_PLACEHOLDER_VALUES_PG" FOREIGN KEY (x4_group_id)
      REFERENCES X4SERVER.PLACEHOLDER_GROUPS (x4_id)
);

-- Table: x4server.webapp_rights

-- DROP TABLE x4server.webapp_rights;

CREATE TABLE X4SERVER.WEBAPP_RIGHTS
(
  id number NOT NULL,
  type varchar2(10) NOT NULL,
  usergroupid number NOT NULL,
  webapp_project_id   RAW(16) NOT NULL,
  CONSTRAINT "pk_webapp_rights_id" PRIMARY KEY (id)
);

-- create triggers section -----------------------------------------------------
CREATE OR REPLACE TRIGGER X4SERVER."TRI_DATALOG" BEFORE INSERT
ON X4SERVER.DATALOG FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEC_DATALOG_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRU_DATALOG" AFTER UPDATE OF x4_id
ON X4SERVER.DATALOG FOR EACH ROW
BEGIN RAISE_APPLICATION_ERROR(-20010,'Cannot update column X4_ID in table DATALOG as it uses sequence.'); END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_PROCESSHISTORY" BEFORE INSERT
ON X4SERVER.PROCESSHISTORY FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEC_PROCESSHISTORY_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRU_PROCESSHISTORY" AFTER UPDATE OF x4_id
ON X4SERVER.PROCESSHISTORY FOR EACH ROW
BEGIN RAISE_APPLICATION_ERROR(-20010,'Cannot update column X4_ID in table PROCESSHISTORY as it uses sequence.'); END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_SAVEPOINT" BEFORE INSERT
ON X4SERVER."SAVEPOINT" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEC_SAVEPOINT_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRU_SAVEPOINT" AFTER UPDATE OF x4_id
ON X4SERVER."SAVEPOINT" FOR EACH ROW
BEGIN RAISE_APPLICATION_ERROR(-20010,'Cannot update column X4_ID in table SAVEPOINT as it uses sequence.'); END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_SLA" BEFORE INSERT
ON X4SERVER."SLA" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEC_SLA_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRU_SLA" AFTER UPDATE OF x4_id
ON X4SERVER."SLA" FOR EACH ROW
BEGIN	RAISE_APPLICATION_ERROR(-20010,'Cannot update column X4_ID in table SLA as it uses sequence.'); END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_TECHNICALLOG" BEFORE INSERT
ON X4SERVER.TECHNICALLOG FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEC_TECHNICALLOG_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRU_TECHNICALLOG" AFTER UPDATE OF x4_id
ON X4SERVER.TECHNICALLOG FOR EACH ROW
BEGIN RAISE_APPLICATION_ERROR(-20010,'Cannot update column X4_ID in table TECHNICALLOG as it uses sequence.'); END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_PROCESSLOCK" BEFORE INSERT
ON X4SERVER.PROCESSLOCK FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEC_PROCESSLOCK_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRU_PROCESSLOCK" AFTER UPDATE OF x4_id
ON X4SERVER.PROCESSLOCK FOR EACH ROW
BEGIN RAISE_APPLICATION_ERROR(-20010,'Cannot update column X4_ID in table PROCESSLOCK as it uses sequence.'); END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_JOB" BEFORE INSERT
ON X4SERVER."JOB" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEQ_JOB_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_JOB_PARAMETER" BEFORE INSERT
ON X4SERVER."JOB_PARAMETER" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEQ_JOB_PARAMETER_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_EXECUTION" BEFORE INSERT
ON X4SERVER."EXECUTION" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEQ_EXECUTION_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_EXECUTION_PARAMETER" BEFORE INSERT
ON X4SERVER."EXECUTION_PARAMETER" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEQ_EXECUTION_PARAMETER_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_INTERVAL_EXECUTION" BEFORE INSERT
ON X4SERVER."INTERVAL_EXECUTION" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEQ_INTERVAL_EXECUTION_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_CRON_EXECUTION" BEFORE INSERT
ON X4SERVER."CRON_EXECUTION" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN	SELECT X4SERVER.SEQ_CRON_EXECUTION_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_PROCESS_USER" BEFORE INSERT
ON X4SERVER."PROCESS_USER" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEQ_PROCESS_USER_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_PLACEHOLDER_VALUES" BEFORE INSERT
ON X4SERVER."PLACEHOLDER_VALUES" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEQ_PLACEHOLDER_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_PLACEHOLDER_GROUPS" BEFORE INSERT
ON X4SERVER."PLACEHOLDER_GROUPS" FOR EACH ROW
WHEN (new.x4_id IS NULL)
BEGIN SELECT X4SERVER.SEQ_PLACEHOLDER_ID.nextval INTO :new.x4_id FROM DUAL; END;
/
CREATE OR REPLACE TRIGGER X4SERVER."TRI_WEBAPP_RIGHTS" BEFORE INSERT
ON X4SERVER."WEBAPP_RIGHTS" FOR EACH ROW
WHEN (new.id IS NULL)
BEGIN	SELECT X4SERVER.SEQ_WEBAPP_RIGHTS_ID.nextval INTO :new.id FROM DUAL; END;
/
