<?xml version="1.0" encoding="UTF-8"?>
<?xe.source ../TemporaryFiles/xml_1.xml#WebApp?>
<xsl:stylesheet version="2.0"
	xmlns:webapp="http://softproject.de/webapp/1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output media-type="text/xml" method="xml" />
	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="@*" />
			<xsl:apply-templates select="node()" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="(//webapp:*[local-name() = 'FlowLayout' and @useColumns = 'true' and @direction = 'horizontal'])">
		<xsl:choose>
			<xsl:when
				test="@columns and not(@columnsMobile) and not(@columnsTablet)">
				<xsl:element name="GridLayout"
					namespace="http://softproject.de/webapp/1.0">
					<xsl:attribute name="columns" select="@columns" />
		          	<xsl:for-each select="./@*">
            			<xsl:if test="not(name() = 'useColumns' or contains(name(), 'columns') or name() = 'direction')">
              				<xsl:copy-of select="."/>
            			</xsl:if>
         			</xsl:for-each>
					<xsl:apply-templates select="node()" />
				</xsl:element>
			</xsl:when>
			<xsl:when
				test="(not(@columns) or 12 mod @columns = 0) and (not(@columnsMobile) or 12 mod @columnsMobile = 0) and (not(@columnsTablet) or 12 mod @columnsTablet = 0)">
				<xsl:element name="ResponsiveLayout"
					namespace="http://softproject.de/webapp/1.0">
					<xsl:if test="@columns">
						<xsl:attribute name="defaultCellSizeDesktop"
							select="12 div @columns" />
					</xsl:if>
					<xsl:if test="not(@columns)">
						<xsl:attribute name="defaultCellSizeDesktop"
							select="3" />
					</xsl:if>
					<xsl:if test="@columnsMobile">
						<xsl:attribute name="defaultCellSizeMobile"
							select="12 div @columnsMobile" />
					</xsl:if>
					<xsl:if test="@columnsTablet">
						<xsl:attribute name="defaultCellSizeTablet"
							select="12 div @columnsTablet" />
					</xsl:if>
					<xsl:for-each select="./@*">
						<xsl:if
							test="not(name() = 'useColumns' or contains(name(), 'columns') or name() = 'direction')">
							<xsl:copy-of select="." />
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="*">
						<xsl:element name="Cell"
							namespace="http://softproject.de/webapp/1.0">
							<xsl:apply-templates select="."/>	
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="." />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="@*" mode="#all">
		<xsl:copy-of select="." />
	</xsl:template>
	<xsl:template
		match="text()|processing-instruction()|comment()">
		<xsl:copy-of select="." />
	</xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved. -->