<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:webapp="http://softproject.de/webapp/1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:output media-type="text/xml" method="xml"></xsl:output>
	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="@*"></xsl:apply-templates>
			<xsl:apply-templates select="node()"></xsl:apply-templates>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="@*" mode="#all">
		<xsl:copy-of select="."></xsl:copy-of>
	</xsl:template>
	<xsl:template match="text()|processing-instruction()|comment()">
		<xsl:copy-of select="."></xsl:copy-of>
	</xsl:template>
	<!-- Remove now forbidden imageUnits attribute -->
	<!-- Remove imageWidth and imageHeight if imageUnits was set to percents -->
	<xsl:template match="//webapp:ImageColumn">
		<xsl:if test="./@imageUnits = 'percents'">
			<xsl:copy>
				<xsl:for-each select="./@*">
					<xsl:if test="not((name() = 'imageUnits') or (name() = 'imageWidth') or (name() = 'imageHeight'))">
						<xsl:copy-of select="."></xsl:copy-of>
					</xsl:if>
				</xsl:for-each>
			</xsl:copy>
		</xsl:if>
		<xsl:if test="not(./@imageUnits = 'percents')">
			<xsl:copy>
				<xsl:for-each select="./@*">
					<xsl:if test="not(name() = 'imageUnits')">
						<xsl:copy-of select="."></xsl:copy-of>
					</xsl:if>
				</xsl:for-each>
			</xsl:copy>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved. -->