<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output indent="yes" media-type="text/xml" method="xml"/>
	<xsl:param name="fileName"></xsl:param>
	<xsl:template match="/Workflow/@processTitle[. = $fileName]">
		<!-- filter -->
	</xsl:template>
	<xsl:template match="/Workflow/Actions/Action/Label">
		<xsl:variable name="componentPath" select="../Parameters/Parameter[@id='1']/value" />
		<xsl:if test="string-length($componentPath) = 0 or substring($componentPath, string-length($componentPath) - string-length(.) + 1) != .">
			<xsl:copy>
				<xsl:apply-templates select="@*"/>
				<xsl:apply-templates select="child::node()|text()"/>
			</xsl:copy>
		</xsl:if>
	</xsl:template>
	<xsl:template match="/Workflow/Graphics/svg/g/text/text()">
		<xsl:variable name="elementId" select="../../@id" />
		<xsl:variable name="componentPath" select="/Workflow/Actions/Action[@SVGid=$elementId]/Label/Parameters/Parameter[@id='1']/value" />
		<xsl:if test="string-length($componentPath) = 0 or substring($componentPath, string-length($componentPath) - string-length(.) + 1) != .">
			<xsl:copy />
		</xsl:if>
	</xsl:template>
	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<xsl:apply-templates select="child::node()|text()"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="@*">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="text()">
		<xsl:copy-of select="."/>
	</xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved. -->