-- *********************************************************************
-- * Keycloak database creation script - apply this script to empty DB *
-- *********************************************************************

CREATE TABLE PUBLIC.DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- *********************************************************************

-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: META-INF/jpa-changelog-master.xml
-- Ran at: 01.09.21, 14:25
-- Against: SA@jdbc:h2:C:\git\x4server\x4-suite\x4-setup\windows\suite\target\suite\Keycloak\standalone\data/keycloak
-- Liquibase version: 3.5.4
-- *********************************************************************

-- Changeset META-INF/jpa-changelog-1.0.0.Final.xml::1.0.0.Final-KEYCLOAK-5461::sthorger@redhat.com
CREATE TABLE PUBLIC.APPLICATION_DEFAULT_ROLES (APPLICATION_ID VARCHAR(36) NOT NULL, ROLE_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.CLIENT (DTYPE VARCHAR(31) NOT NULL, ID VARCHAR(36) NOT NULL, ALLOWED_CLAIMS_MASK BIGINT, ENABLED BOOLEAN DEFAULT FALSE NOT NULL, FULL_SCOPE_ALLOWED BOOLEAN DEFAULT FALSE NOT NULL, NAME VARCHAR(255), NOT_BEFORE INT, PUBLIC_CLIENT BOOLEAN DEFAULT FALSE NOT NULL, SECRET VARCHAR(255), BASE_URL VARCHAR(255), BEARER_ONLY BOOLEAN DEFAULT FALSE NOT NULL, MANAGEMENT_URL VARCHAR(255), SURROGATE_AUTH_REQUIRED BOOLEAN DEFAULT FALSE NOT NULL, DIRECT_GRANTS_ONLY BOOLEAN DEFAULT FALSE NOT NULL, REALM_ID VARCHAR(36));

CREATE TABLE PUBLIC.CLIENT_SESSION (ID VARCHAR(36) NOT NULL, ACTION INT, CLIENT_ID VARCHAR(36), REDIRECT_URI VARCHAR(255), STATE VARCHAR(255), TIMESTAMP INT, SESSION_ID VARCHAR(36));

CREATE TABLE PUBLIC.CLIENT_SESSION_ROLE (ROLE_ID VARCHAR(255) NOT NULL, CLIENT_SESSION VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.COMPOSITE_ROLE (COMPOSITE VARCHAR(36) NOT NULL, CHILD_ROLE VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.CREDENTIAL (ID VARCHAR(36) NOT NULL, DEVICE VARCHAR(255), HASH_ITERATIONS INT, SALT BLOB, TYPE VARCHAR(255), VALUE VARCHAR(255), USER_ID VARCHAR(36));

CREATE TABLE PUBLIC.EVENT_ENTITY (ID VARCHAR(36) NOT NULL, CLIENT_ID VARCHAR(255), DETAILS_JSON VARCHAR(2550), ERROR VARCHAR(255), IP_ADDRESS VARCHAR(255), REALM_ID VARCHAR(255), SESSION_ID VARCHAR(255), TIME BIGINT, TYPE VARCHAR(255), USER_ID VARCHAR(255));

CREATE TABLE PUBLIC.FED_PROVIDERS (REALM_ID VARCHAR(36) NOT NULL, USERFEDERATIONPROVIDERS_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.KEYCLOAK_ROLE (ID VARCHAR(36) NOT NULL, APP_REALM_CONSTRAINT VARCHAR(36), APPLICATION_ROLE BOOLEAN DEFAULT FALSE NOT NULL, DESCRIPTION VARCHAR(255), NAME VARCHAR(255), REALM_ID VARCHAR(255), APPLICATION VARCHAR(36), REALM VARCHAR(36));

CREATE TABLE PUBLIC.REALM (ID VARCHAR(36) NOT NULL, ACCESS_CODE_LIFESPAN INT, USER_ACTION_LIFESPAN INT, ACCESS_TOKEN_LIFESPAN INT, ACCOUNT_THEME VARCHAR(255), ADMIN_THEME VARCHAR(255), EMAIL_THEME VARCHAR(255), ENABLED BOOLEAN DEFAULT FALSE NOT NULL, EVENTS_ENABLED BOOLEAN DEFAULT FALSE NOT NULL, EVENTS_EXPIRATION BIGINT, LOGIN_THEME VARCHAR(255), NAME VARCHAR(255), NOT_BEFORE INT, PASSWORD_CRED_GRANT_ALLOWED BOOLEAN DEFAULT FALSE NOT NULL, PASSWORD_POLICY VARCHAR(255), PRIVATE_KEY VARCHAR(2048), PUBLIC_KEY VARCHAR(2048), REGISTRATION_ALLOWED BOOLEAN DEFAULT FALSE NOT NULL, REMEMBER_ME BOOLEAN DEFAULT FALSE NOT NULL, RESET_PASSWORD_ALLOWED BOOLEAN DEFAULT FALSE NOT NULL, SOCIAL BOOLEAN DEFAULT FALSE NOT NULL, SSL_REQUIRED VARCHAR(255), SSO_IDLE_TIMEOUT INT, SSO_MAX_LIFESPAN INT, UPDATE_PROFILE_ON_SOC_LOGIN BOOLEAN DEFAULT FALSE NOT NULL, VERIFY_EMAIL BOOLEAN DEFAULT FALSE NOT NULL, MASTER_ADMIN_APP VARCHAR(36));

CREATE TABLE PUBLIC.REALM_APPLICATION (APPLICATION_ID VARCHAR(36) NOT NULL, REALM_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.REALM_ATTRIBUTE (NAME VARCHAR(255) NOT NULL, VALUE VARCHAR(255), REALM_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.REALM_DEFAULT_ROLES (REALM_ID VARCHAR(36) NOT NULL, ROLE_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.REALM_EVENTS_LISTENERS (REALM_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(255));

CREATE TABLE PUBLIC.REALM_REQUIRED_CREDENTIAL (TYPE VARCHAR(255) NOT NULL, FORM_LABEL VARCHAR(255), INPUT BOOLEAN DEFAULT FALSE NOT NULL, SECRET BOOLEAN DEFAULT FALSE NOT NULL, REALM_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.REALM_SMTP_CONFIG (REALM_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(255), NAME VARCHAR(255) NOT NULL);

CREATE TABLE PUBLIC.REALM_SOCIAL_CONFIG (REALM_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(255), NAME VARCHAR(255) NOT NULL);

CREATE TABLE PUBLIC.REDIRECT_URIS (CLIENT_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(255));

CREATE TABLE PUBLIC.SCOPE_MAPPING (CLIENT_ID VARCHAR(36) NOT NULL, ROLE_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.USERNAME_LOGIN_FAILURE (REALM_ID VARCHAR(36) NOT NULL, USERNAME VARCHAR(200) NOT NULL, FAILED_LOGIN_NOT_BEFORE INT, LAST_FAILURE BIGINT, LAST_IP_FAILURE VARCHAR(255), NUM_FAILURES INT);

CREATE TABLE PUBLIC.USER_ATTRIBUTE (NAME VARCHAR(255) NOT NULL, VALUE VARCHAR(255), USER_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.USER_ENTITY (ID VARCHAR(36) NOT NULL, EMAIL VARCHAR(255), EMAIL_CONSTRAINT VARCHAR(255), EMAIL_VERIFIED BOOLEAN DEFAULT FALSE NOT NULL, ENABLED BOOLEAN DEFAULT FALSE NOT NULL, FEDERATION_LINK VARCHAR(255), FIRST_NAME VARCHAR(255), LAST_NAME VARCHAR(255), REALM_ID VARCHAR(255), TOTP BOOLEAN DEFAULT FALSE NOT NULL, USERNAME VARCHAR(255));

CREATE TABLE PUBLIC.USER_FEDERATION_CONFIG (USER_FEDERATION_PROVIDER_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(255), NAME VARCHAR(255) NOT NULL);

CREATE TABLE PUBLIC.USER_FEDERATION_PROVIDER (ID VARCHAR(36) NOT NULL, CHANGED_SYNC_PERIOD INT, DISPLAY_NAME VARCHAR(255), FULL_SYNC_PERIOD INT, LAST_SYNC INT, PRIORITY INT, PROVIDER_NAME VARCHAR(255), REALM_ID VARCHAR(36));

CREATE TABLE PUBLIC.USER_REQUIRED_ACTION (ACTION INT NOT NULL, USER_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.USER_ROLE_MAPPING (ROLE_ID VARCHAR(255) NOT NULL, USER_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.USER_SESSION (ID VARCHAR(36) NOT NULL, AUTH_METHOD VARCHAR(255), IP_ADDRESS VARCHAR(255), LAST_SESSION_REFRESH INT, LOGIN_USERNAME VARCHAR(255), REALM_ID VARCHAR(255), REMEMBER_ME BOOLEAN DEFAULT FALSE NOT NULL, STARTED INT, USER_ID VARCHAR(255));

CREATE TABLE PUBLIC.USER_SOCIAL_LINK (SOCIAL_PROVIDER VARCHAR(255) NOT NULL, REALM_ID VARCHAR(255), SOCIAL_USER_ID VARCHAR(255), SOCIAL_USERNAME VARCHAR(255), USER_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.WEB_ORIGINS (CLIENT_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(255));

ALTER TABLE PUBLIC.REALM_SOCIAL_CONFIG ADD CONSTRAINT CONSTRAINT_1 PRIMARY KEY (REALM_ID, NAME);

ALTER TABLE PUBLIC.USERNAME_LOGIN_FAILURE ADD CONSTRAINT CONSTRAINT_17 PRIMARY KEY (REALM_ID, USERNAME);

ALTER TABLE PUBLIC.USER_REQUIRED_ACTION ADD CONSTRAINT CONSTRAINT_2 PRIMARY KEY (ACTION, USER_ID);

ALTER TABLE PUBLIC.USER_SOCIAL_LINK ADD CONSTRAINT CONSTRAINT_3 PRIMARY KEY (SOCIAL_PROVIDER, USER_ID);

ALTER TABLE PUBLIC.EVENT_ENTITY ADD CONSTRAINT CONSTRAINT_4 PRIMARY KEY (ID);

ALTER TABLE PUBLIC.REALM ADD CONSTRAINT CONSTRAINT_4A PRIMARY KEY (ID);

ALTER TABLE PUBLIC.CLIENT_SESSION_ROLE ADD CONSTRAINT CONSTRAINT_5 PRIMARY KEY (CLIENT_SESSION, ROLE_ID);

ALTER TABLE PUBLIC.USER_SESSION ADD CONSTRAINT CONSTRAINT_57 PRIMARY KEY (ID);

ALTER TABLE PUBLIC.USER_FEDERATION_PROVIDER ADD CONSTRAINT CONSTRAINT_5C PRIMARY KEY (ID);

ALTER TABLE PUBLIC.USER_ATTRIBUTE ADD CONSTRAINT CONSTRAINT_6 PRIMARY KEY (NAME, USER_ID);

ALTER TABLE PUBLIC.CLIENT ADD CONSTRAINT CONSTRAINT_7 PRIMARY KEY (ID);

ALTER TABLE PUBLIC.CLIENT_SESSION ADD CONSTRAINT CONSTRAINT_8 PRIMARY KEY (ID);

ALTER TABLE PUBLIC.SCOPE_MAPPING ADD CONSTRAINT CONSTRAINT_81 PRIMARY KEY (CLIENT_ID, ROLE_ID);

ALTER TABLE PUBLIC.REALM_ATTRIBUTE ADD CONSTRAINT CONSTRAINT_9 PRIMARY KEY (NAME, REALM_ID);

ALTER TABLE PUBLIC.REALM_REQUIRED_CREDENTIAL ADD CONSTRAINT CONSTRAINT_92 PRIMARY KEY (REALM_ID, TYPE);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ADD CONSTRAINT CONSTRAINT_A PRIMARY KEY (ID);

ALTER TABLE PUBLIC.USER_ROLE_MAPPING ADD CONSTRAINT CONSTRAINT_C PRIMARY KEY (ROLE_ID, USER_ID);

ALTER TABLE PUBLIC.REALM_SMTP_CONFIG ADD CONSTRAINT CONSTRAINT_E PRIMARY KEY (REALM_ID, NAME);

ALTER TABLE PUBLIC.CREDENTIAL ADD CONSTRAINT CONSTRAINT_F PRIMARY KEY (ID);

ALTER TABLE PUBLIC.USER_FEDERATION_CONFIG ADD CONSTRAINT CONSTRAINT_F9 PRIMARY KEY (USER_FEDERATION_PROVIDER_ID, NAME);

ALTER TABLE PUBLIC.USER_ENTITY ADD CONSTRAINT CONSTRAINT_FB PRIMARY KEY (ID);

ALTER TABLE PUBLIC.APPLICATION_DEFAULT_ROLES ADD CONSTRAINT UK_8AELWNIBJI49AVXSRTUF6XJOW UNIQUE (ROLE_ID);

ALTER TABLE PUBLIC.CLIENT ADD CONSTRAINT UK_B71CJLBENV945RB6GCON438AT UNIQUE (REALM_ID, NAME);

ALTER TABLE PUBLIC.FED_PROVIDERS ADD CONSTRAINT UK_DCCIRJLIPU1478VQC89DID88C UNIQUE (USERFEDERATIONPROVIDERS_ID);

ALTER TABLE PUBLIC.USER_ENTITY ADD CONSTRAINT UK_DYKN684SL8UP1CRFEI6ECKHD7 UNIQUE (REALM_ID, EMAIL_CONSTRAINT);

ALTER TABLE PUBLIC.REALM_DEFAULT_ROLES ADD CONSTRAINT UK_H4WPD7W4HSOOLNI3H0SW7BTJE UNIQUE (ROLE_ID);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ADD CONSTRAINT UK_J3RWUVD56ONTGSUHOGM184WW2 UNIQUE (NAME, APP_REALM_CONSTRAINT);

ALTER TABLE PUBLIC.REALM_APPLICATION ADD CONSTRAINT UK_L5QGA3RFME47335JY8JXYXH3I UNIQUE (REALM_ID);

ALTER TABLE PUBLIC.REALM ADD CONSTRAINT UK_ORVSDMLA56612EAEFIQ6WL5OI UNIQUE (NAME);

ALTER TABLE PUBLIC.USER_ENTITY ADD CONSTRAINT UK_RU8TT6T700S9V50BU18WS5HA6 UNIQUE (REALM_ID, USERNAME);

ALTER TABLE PUBLIC.CLIENT_SESSION_ROLE ADD CONSTRAINT FK_11B7SGQW18I532811V7O2DV76 FOREIGN KEY (CLIENT_SESSION) REFERENCES PUBLIC.CLIENT_SESSION (ID);

ALTER TABLE PUBLIC.REDIRECT_URIS ADD CONSTRAINT FK_1BURS8PB4OUJ97H5WUPPAHV9F FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.USER_FEDERATION_PROVIDER ADD CONSTRAINT FK_1FJ32F6PTOLW2QY60CD8N01E8 FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.FED_PROVIDERS ADD CONSTRAINT FK_213LYQ09FKXQ8K8NY8DY3737T FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.REALM_REQUIRED_CREDENTIAL ADD CONSTRAINT FK_5HG65LYBEVAVKQFKI3KPONH9V FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.USER_ATTRIBUTE ADD CONSTRAINT FK_5HRM2VLF9QL5FU043KQEPOVBR FOREIGN KEY (USER_ID) REFERENCES PUBLIC.USER_ENTITY (ID);

ALTER TABLE PUBLIC.USER_SOCIAL_LINK ADD CONSTRAINT FK_68CJYS5UWM55UY823Y75XG4OM FOREIGN KEY (USER_ID) REFERENCES PUBLIC.USER_ENTITY (ID);

ALTER TABLE PUBLIC.USER_REQUIRED_ACTION ADD CONSTRAINT FK_6QJ3W1JW9CVAFHE19BWSIUVMD FOREIGN KEY (USER_ID) REFERENCES PUBLIC.USER_ENTITY (ID);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ADD CONSTRAINT FK_6VYQFE4CN4WLQ8R6KT5VDSJ5C FOREIGN KEY (REALM) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.REALM_SMTP_CONFIG ADD CONSTRAINT FK_70EJ8XDXGXD0B9HH6180IRR0O FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.REALM_APPLICATION ADD CONSTRAINT FK_71S3P0DIUXAWWQQSA528UBY2Q FOREIGN KEY (APPLICATION_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.APPLICATION_DEFAULT_ROLES ADD CONSTRAINT FK_8AELWNIBJI49AVXSRTUF6XJOW FOREIGN KEY (ROLE_ID) REFERENCES PUBLIC.KEYCLOAK_ROLE (ID);

ALTER TABLE PUBLIC.REALM_ATTRIBUTE ADD CONSTRAINT FK_8SHXD6L3E9ATQUKACXGPFFPTW FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.COMPOSITE_ROLE ADD CONSTRAINT FK_A63WVEKFTU8JO1PNJ81E7MCE2 FOREIGN KEY (COMPOSITE) REFERENCES PUBLIC.KEYCLOAK_ROLE (ID);

ALTER TABLE PUBLIC.CLIENT_SESSION ADD CONSTRAINT FK_B4AO2VCVAT6UKAU74WBWTFQO1 FOREIGN KEY (SESSION_ID) REFERENCES PUBLIC.USER_SESSION (ID);

ALTER TABLE PUBLIC.USER_ROLE_MAPPING ADD CONSTRAINT FK_C4FQV34P1MBYLLOXANG7B1Q3L FOREIGN KEY (USER_ID) REFERENCES PUBLIC.USER_ENTITY (ID);

ALTER TABLE PUBLIC.FED_PROVIDERS ADD CONSTRAINT FK_DCCIRJLIPU1478VQC89DID88C FOREIGN KEY (USERFEDERATIONPROVIDERS_ID) REFERENCES PUBLIC.USER_FEDERATION_PROVIDER (ID);

ALTER TABLE PUBLIC.REALM_DEFAULT_ROLES ADD CONSTRAINT FK_EVUDB1PPW84OXFAX2DRS03ICC FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.COMPOSITE_ROLE ADD CONSTRAINT FK_GR7THLLB9LU8Q4VQA4524JJY8 FOREIGN KEY (CHILD_ROLE) REFERENCES PUBLIC.KEYCLOAK_ROLE (ID);

ALTER TABLE PUBLIC.REALM_DEFAULT_ROLES ADD CONSTRAINT FK_H4WPD7W4HSOOLNI3H0SW7BTJE FOREIGN KEY (ROLE_ID) REFERENCES PUBLIC.KEYCLOAK_ROLE (ID);

ALTER TABLE PUBLIC.REALM_EVENTS_LISTENERS ADD CONSTRAINT FK_H846O4H0W8EPX5NXEV9F5Y69J FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.REALM_APPLICATION ADD CONSTRAINT FK_L5QGA3RFME47335JY8JXYXH3I FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.WEB_ORIGINS ADD CONSTRAINT FK_LOJPHO213XCX4WNKOG82SSRFY FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.APPLICATION_DEFAULT_ROLES ADD CONSTRAINT FK_MAYLTS7KLWQW2H8M2B5JOYTKY FOREIGN KEY (APPLICATION_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.SCOPE_MAPPING ADD CONSTRAINT FK_OUSE064PLMLR732LXJCN1Q5F1 FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.SCOPE_MAPPING ADD CONSTRAINT FK_P3RH9GRKU11KQFRS4FLTT7RNQ FOREIGN KEY (ROLE_ID) REFERENCES PUBLIC.KEYCLOAK_ROLE (ID);

ALTER TABLE PUBLIC.CLIENT ADD CONSTRAINT FK_P56CTINXXB9GSK57FO49F9TAC FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.CREDENTIAL ADD CONSTRAINT FK_PFYR0GLASQYL0DEI3KL69R6V0 FOREIGN KEY (USER_ID) REFERENCES PUBLIC.USER_ENTITY (ID);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ADD CONSTRAINT FK_PIMO5LE2C0RAL09FL8CM9WFW9 FOREIGN KEY (APPLICATION) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.REALM ADD CONSTRAINT FK_RSAF444KK6QRKMS7N56AIWQ5Y FOREIGN KEY (MASTER_ADMIN_APP) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.REALM_SOCIAL_CONFIG ADD CONSTRAINT FK_SV5I3C2TI7G0G922FGE683SOV FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.USER_FEDERATION_CONFIG ADD CONSTRAINT FK_T13HPU1J94R2EBPEKR39X5EU5 FOREIGN KEY (USER_FEDERATION_PROVIDER_ID) REFERENCES PUBLIC.USER_FEDERATION_PROVIDER (ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.0.0.Final-KEYCLOAK-5461', 'sthorger@redhat.com', 'META-INF/jpa-changelog-1.0.0.Final.xml', NOW(), 1, '7:4e70412f24a3f382c82183742ec79317', 'createTable tableName=APPLICATION_DEFAULT_ROLES; createTable tableName=CLIENT; createTable tableName=CLIENT_SESSION; createTable tableName=CLIENT_SESSION_ROLE; createTable tableName=COMPOSITE_ROLE; createTable tableName=CREDENTIAL; createTable tab...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/db2-jpa-changelog-1.0.0.Final.xml::1.0.0.Final-KEYCLOAK-5461::sthorger@redhat.com
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.0.0.Final-KEYCLOAK-5461', 'sthorger@redhat.com', 'META-INF/db2-jpa-changelog-1.0.0.Final.xml', NOW(), 2, '7:cb16724583e9675711801c6875114f28', 'createTable tableName=APPLICATION_DEFAULT_ROLES; createTable tableName=CLIENT; createTable tableName=CLIENT_SESSION; createTable tableName=CLIENT_SESSION_ROLE; createTable tableName=COMPOSITE_ROLE; createTable tableName=CREDENTIAL; createTable tab...', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.1.0.Beta1.xml::1.1.0.Beta1::sthorger@redhat.com
DELETE FROM PUBLIC.CLIENT_SESSION_ROLE;

DELETE FROM PUBLIC.CLIENT_SESSION;

DELETE FROM PUBLIC.USER_SESSION;

CREATE TABLE PUBLIC.CLIENT_ATTRIBUTES (CLIENT_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(2048), NAME VARCHAR(255) NOT NULL);

CREATE TABLE PUBLIC.CLIENT_SESSION_NOTE (NAME VARCHAR(255) NOT NULL, VALUE VARCHAR(255), CLIENT_SESSION VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.APP_NODE_REGISTRATIONS (APPLICATION_ID VARCHAR(36) NOT NULL, VALUE INT, NAME VARCHAR(255) NOT NULL);

ALTER TABLE PUBLIC.CLIENT_SESSION ADD AUTH_METHOD VARCHAR(255);

ALTER TABLE PUBLIC.CLIENT ADD PROTOCOL VARCHAR(255);

ALTER TABLE PUBLIC.CLIENT_SESSION ADD REALM_ID VARCHAR(255);

ALTER TABLE PUBLIC.REALM ADD CERTIFICATE VARCHAR(2048);

ALTER TABLE PUBLIC.REALM ADD CODE_SECRET VARCHAR(255);

ALTER TABLE PUBLIC.CLIENT ADD NODE_REREG_TIMEOUT INT DEFAULT 0;

ALTER TABLE PUBLIC.CLIENT_ATTRIBUTES ADD CONSTRAINT CONSTRAINT_3C PRIMARY KEY (CLIENT_ID, NAME);

ALTER TABLE PUBLIC.CLIENT_SESSION_NOTE ADD CONSTRAINT CONSTRAINT_5E PRIMARY KEY (CLIENT_SESSION, NAME);

ALTER TABLE PUBLIC.APP_NODE_REGISTRATIONS ADD CONSTRAINT CONSTRAINT_84 PRIMARY KEY (APPLICATION_ID, NAME);

ALTER TABLE PUBLIC.CLIENT_ATTRIBUTES ADD CONSTRAINT FK3C47C64BEACCA966 FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.CLIENT_SESSION_NOTE ADD CONSTRAINT FK5EDFB00FF51C2736 FOREIGN KEY (CLIENT_SESSION) REFERENCES PUBLIC.CLIENT_SESSION (ID);

ALTER TABLE PUBLIC.APP_NODE_REGISTRATIONS ADD CONSTRAINT FK8454723BA992F594 FOREIGN KEY (APPLICATION_ID) REFERENCES PUBLIC.CLIENT (ID);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.1.0.Beta1', 'sthorger@redhat.com', 'META-INF/jpa-changelog-1.1.0.Beta1.xml', NOW(), 3, '7:0310eb8ba07cec616460794d42ade0fa', 'delete tableName=CLIENT_SESSION_ROLE; delete tableName=CLIENT_SESSION; delete tableName=USER_SESSION; createTable tableName=CLIENT_ATTRIBUTES; createTable tableName=CLIENT_SESSION_NOTE; createTable tableName=APP_NODE_REGISTRATIONS; addColumn table...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.1.0.Final.xml::1.1.0.Final::sthorger@redhat.com
ALTER TABLE PUBLIC.EVENT_ENTITY ALTER COLUMN TIME RENAME TO EVENT_TIME;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.1.0.Final', 'sthorger@redhat.com', 'META-INF/jpa-changelog-1.1.0.Final.xml', NOW(), 4, '7:5d25857e708c3233ef4439df1f93f012', 'renameColumn newColumnName=EVENT_TIME, oldColumnName=TIME, tableName=EVENT_ENTITY', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.2.0.Beta1.xml::1.2.0.Beta1::psilva@redhat.com
DELETE FROM PUBLIC.CLIENT_SESSION_ROLE;

DELETE FROM PUBLIC.CLIENT_SESSION_NOTE;

DELETE FROM PUBLIC.CLIENT_SESSION;

DELETE FROM PUBLIC.USER_SESSION;

CREATE TABLE PUBLIC.PROTOCOL_MAPPER (ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, PROTOCOL VARCHAR(255) NOT NULL, PROTOCOL_MAPPER_NAME VARCHAR(255) NOT NULL, CONSENT_REQUIRED BOOLEAN DEFAULT FALSE NOT NULL, CONSENT_TEXT VARCHAR(255), CLIENT_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.PROTOCOL_MAPPER_CONFIG (PROTOCOL_MAPPER_ID VARCHAR(36) NOT NULL, VALUE CLOB, NAME VARCHAR(255) NOT NULL);

CREATE TABLE PUBLIC.FEDERATED_IDENTITY (IDENTITY_PROVIDER VARCHAR(255) NOT NULL, REALM_ID VARCHAR(36), FEDERATED_USER_ID VARCHAR(255), FEDERATED_USERNAME VARCHAR(255), TOKEN CLOB, USER_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.IDENTITY_PROVIDER (INTERNAL_ID VARCHAR(36) NOT NULL, ENABLED BOOLEAN DEFAULT FALSE NOT NULL, PROVIDER_ALIAS VARCHAR(255), PROVIDER_ID VARCHAR(255), UPDATE_PROFILE_FIRST_LOGIN BOOLEAN DEFAULT FALSE NOT NULL, STORE_TOKEN BOOLEAN DEFAULT FALSE NOT NULL, AUTHENTICATE_BY_DEFAULT BOOLEAN DEFAULT FALSE NOT NULL, REALM_ID VARCHAR(36));

CREATE TABLE PUBLIC.IDENTITY_PROVIDER_CONFIG (IDENTITY_PROVIDER_ID VARCHAR(36) NOT NULL, VALUE CLOB, NAME VARCHAR(255) NOT NULL);

CREATE TABLE PUBLIC.CLIENT_IDENTITY_PROV_MAPPING (CLIENT_ID VARCHAR(36) NOT NULL, IDENTITY_PROVIDER_ID VARCHAR(36) NOT NULL, RETRIEVE_TOKEN BOOLEAN DEFAULT FALSE NOT NULL);

CREATE TABLE PUBLIC.REALM_SUPPORTED_LOCALES (REALM_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(255));

CREATE TABLE PUBLIC.USER_SESSION_NOTE (USER_SESSION VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, VALUE VARCHAR(2048));

ALTER TABLE PUBLIC.CLIENT ADD FRONTCHANNEL_LOGOUT BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.USER_SESSION ADD USER_SESSION_STATE INT;

ALTER TABLE PUBLIC.USER_SESSION ADD BROKER_SESSION_ID VARCHAR(255);

ALTER TABLE PUBLIC.USER_SESSION ADD BROKER_USER_ID VARCHAR(255);

ALTER TABLE PUBLIC.PROTOCOL_MAPPER ADD CONSTRAINT CONSTRAINT_PCM PRIMARY KEY (ID);

ALTER TABLE PUBLIC.IDENTITY_PROVIDER ADD CONSTRAINT CONSTRAINT_2B PRIMARY KEY (INTERNAL_ID);

ALTER TABLE PUBLIC.FEDERATED_IDENTITY ADD CONSTRAINT CONSTRAINT_40 PRIMARY KEY (IDENTITY_PROVIDER, USER_ID);

ALTER TABLE PUBLIC.IDENTITY_PROVIDER_CONFIG ADD CONSTRAINT CONSTRAINT_D PRIMARY KEY (IDENTITY_PROVIDER_ID, NAME);

ALTER TABLE PUBLIC.PROTOCOL_MAPPER_CONFIG ADD CONSTRAINT CONSTRAINT_PMConfig PRIMARY KEY (PROTOCOL_MAPPER_ID, NAME);

ALTER TABLE PUBLIC.USER_SESSION_NOTE ADD CONSTRAINT CONSTRAINT_USN_PK PRIMARY KEY (USER_SESSION, NAME);

ALTER TABLE PUBLIC.IDENTITY_PROVIDER ADD CONSTRAINT FK2B4EBC52AE5C3B34 FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.PROTOCOL_MAPPER ADD CONSTRAINT FK_PCM_REALM FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.FEDERATED_IDENTITY ADD CONSTRAINT FK404288B92EF007A6 FOREIGN KEY (USER_ID) REFERENCES PUBLIC.USER_ENTITY (ID);

ALTER TABLE PUBLIC.IDENTITY_PROVIDER_CONFIG ADD CONSTRAINT FKDC4897CF864C4E43 FOREIGN KEY (IDENTITY_PROVIDER_ID) REFERENCES PUBLIC.IDENTITY_PROVIDER (INTERNAL_ID);

ALTER TABLE PUBLIC.PROTOCOL_MAPPER_CONFIG ADD CONSTRAINT FK_PMConfig FOREIGN KEY (PROTOCOL_MAPPER_ID) REFERENCES PUBLIC.PROTOCOL_MAPPER (ID);

ALTER TABLE PUBLIC.CLIENT_IDENTITY_PROV_MAPPING ADD CONSTRAINT FK_7CELWNIBJI49AVXSRTUF6XJ12 FOREIGN KEY (IDENTITY_PROVIDER_ID) REFERENCES PUBLIC.IDENTITY_PROVIDER (INTERNAL_ID);

ALTER TABLE PUBLIC.CLIENT_IDENTITY_PROV_MAPPING ADD CONSTRAINT FK_56ELWNIBJI49AVXSRTUF6XJ23 FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.REALM_SUPPORTED_LOCALES ADD CONSTRAINT FK_SUPPORTED_LOCALES_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.USER_SESSION_NOTE ADD CONSTRAINT FK5EDFB00FF51D3472 FOREIGN KEY (USER_SESSION) REFERENCES PUBLIC.USER_SESSION (ID);

ALTER TABLE PUBLIC.IDENTITY_PROVIDER ADD CONSTRAINT UK_2DAELWNIBJI49AVXSRTUF6XJ33 UNIQUE (PROVIDER_ALIAS, REALM_ID);

ALTER TABLE PUBLIC.CLIENT_IDENTITY_PROV_MAPPING ADD CONSTRAINT UK_7CAELWNIBJI49AVXSRTUF6XJ12 UNIQUE (IDENTITY_PROVIDER_ID, CLIENT_ID);

ALTER TABLE PUBLIC.REALM ADD LOGIN_LIFESPAN INT;

ALTER TABLE PUBLIC.REALM ADD INTERNATIONALIZATION_ENABLED BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.REALM ADD DEFAULT_LOCALE VARCHAR(255);

ALTER TABLE PUBLIC.REALM ADD REG_EMAIL_AS_USERNAME BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.REALM_APPLICATION DROP CONSTRAINT FK_71S3P0DIUXAWWQQSA528UBY2Q;

ALTER TABLE PUBLIC.REALM_APPLICATION DROP CONSTRAINT FK_L5QGA3RFME47335JY8JXYXH3I;

ALTER TABLE PUBLIC.REALM_APPLICATION DROP CONSTRAINT UK_L5QGA3RFME47335JY8JXYXH3I;

ALTER TABLE PUBLIC.REALM_APPLICATION ALTER COLUMN APPLICATION_ID RENAME TO APPLICATION_ID_TMP;

ALTER TABLE PUBLIC.REALM_APPLICATION ALTER COLUMN REALM_ID RENAME TO APPLICATION_ID;

ALTER TABLE PUBLIC.REALM_APPLICATION ALTER COLUMN APPLICATION_ID_TMP RENAME TO REALM_ID;

ALTER TABLE PUBLIC.REALM_APPLICATION ADD CONSTRAINT UK_M6QGA3RFME47335JY8JXYXH3I UNIQUE (APPLICATION_ID);

ALTER TABLE PUBLIC.REALM_APPLICATION ADD CONSTRAINT FK_82S3P0DIUXAWWQQSA528UBY2Q FOREIGN KEY (APPLICATION_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.REALM_APPLICATION ADD CONSTRAINT FK_M6QGA3RFME47335JY8JXYXH3I FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
ALTER TABLE PUBLIC.USER_SOCIAL_LINK DROP CONSTRAINT FK_68CJYS5UWM55UY823Y75XG4OM;

DROP TABLE PUBLIC.USER_SOCIAL_LINK CASCADE;

ALTER TABLE PUBLIC.REALM_SOCIAL_CONFIG DROP CONSTRAINT FK_SV5I3C2TI7G0G922FGE683SOV;

DROP TABLE PUBLIC.REALM_SOCIAL_CONFIG CASCADE;

ALTER TABLE PUBLIC.CLIENT DROP COLUMN ALLOWED_CLAIMS_MASK;

CREATE TABLE PUBLIC.REALM_ENABLED_EVENT_TYPES (REALM_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(255));

ALTER TABLE PUBLIC.REALM_ENABLED_EVENT_TYPES ADD CONSTRAINT FK_H846O4H0W8EPX5NWEDRF5Y69J FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.2.0.Beta1', 'psilva@redhat.com', 'META-INF/jpa-changelog-1.2.0.Beta1.xml', NOW(), 5, '7:c7a54a1041d58eb3817a4a883b4d4e84', 'delete tableName=CLIENT_SESSION_ROLE; delete tableName=CLIENT_SESSION_NOTE; delete tableName=CLIENT_SESSION; delete tableName=USER_SESSION; createTable tableName=PROTOCOL_MAPPER; createTable tableName=PROTOCOL_MAPPER_CONFIG; createTable tableName=...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/db2-jpa-changelog-1.2.0.Beta1.xml::1.2.0.Beta1::psilva@redhat.com
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.2.0.Beta1', 'psilva@redhat.com', 'META-INF/db2-jpa-changelog-1.2.0.Beta1.xml', NOW(), 6, '7:2e01012df20974c1c2a605ef8afe25b7', 'delete tableName=CLIENT_SESSION_ROLE; delete tableName=CLIENT_SESSION_NOTE; delete tableName=CLIENT_SESSION; delete tableName=USER_SESSION; createTable tableName=PROTOCOL_MAPPER; createTable tableName=PROTOCOL_MAPPER_CONFIG; createTable tableName=...', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.2.0.CR1.xml::1.2.0.RC1::bburke@redhat.com
DELETE FROM PUBLIC.CLIENT_SESSION_ROLE;

DELETE FROM PUBLIC.CLIENT_SESSION_NOTE;

DELETE FROM PUBLIC.CLIENT_SESSION;

DELETE FROM PUBLIC.USER_SESSION_NOTE;

DELETE FROM PUBLIC.USER_SESSION;

CREATE TABLE PUBLIC.MIGRATION_MODEL (ID VARCHAR(36) NOT NULL, VERSION VARCHAR(36));

CREATE TABLE PUBLIC.IDENTITY_PROVIDER_MAPPER (ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, IDP_ALIAS VARCHAR(255) NOT NULL, IDP_MAPPER_NAME VARCHAR(255) NOT NULL, REALM_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.IDP_MAPPER_CONFIG (IDP_MAPPER_ID VARCHAR(36) NOT NULL, VALUE CLOB, NAME VARCHAR(255) NOT NULL);

ALTER TABLE PUBLIC.CREDENTIAL ADD CREATED_DATE BIGINT;

CREATE TABLE PUBLIC.USER_CONSENT (ID VARCHAR(36) NOT NULL, CLIENT_ID VARCHAR(36) NOT NULL, USER_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.USER_CONSENT_ROLE (USER_CONSENT_ID VARCHAR(36) NOT NULL, ROLE_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.USER_CONSENT_PROT_MAPPER (USER_CONSENT_ID VARCHAR(36) NOT NULL, PROTOCOL_MAPPER_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.CLIENT_SESSION_PROT_MAPPER (PROTOCOL_MAPPER_ID VARCHAR(36) NOT NULL, CLIENT_SESSION VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.MIGRATION_MODEL ADD CONSTRAINT CONSTRAINT_MIGMOD PRIMARY KEY (ID);

ALTER TABLE PUBLIC.IDENTITY_PROVIDER_MAPPER ADD CONSTRAINT CONSTRAINT_IDPM PRIMARY KEY (ID);

ALTER TABLE PUBLIC.IDP_MAPPER_CONFIG ADD CONSTRAINT CONSTRAINT_IDPMConfig PRIMARY KEY (IDP_MAPPER_ID, NAME);

ALTER TABLE PUBLIC.USER_CONSENT ADD CONSTRAINT CONSTRAINT_GRNTCSNT_PM PRIMARY KEY (ID);

ALTER TABLE PUBLIC.USER_CONSENT_ROLE ADD CONSTRAINT CONSTRAINT_GRNTCSNT_ROLE_PM PRIMARY KEY (USER_CONSENT_ID, ROLE_ID);

ALTER TABLE PUBLIC.USER_CONSENT_PROT_MAPPER ADD CONSTRAINT CONSTRAINT_GRNTCSNT_PRM_PM PRIMARY KEY (USER_CONSENT_ID, PROTOCOL_MAPPER_ID);

ALTER TABLE PUBLIC.CLIENT_SESSION_PROT_MAPPER ADD CONSTRAINT CONSTRAINT_CS_PMP_PK PRIMARY KEY (CLIENT_SESSION, PROTOCOL_MAPPER_ID);

ALTER TABLE PUBLIC.IDENTITY_PROVIDER_MAPPER ADD CONSTRAINT FK_IDPM_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.IDP_MAPPER_CONFIG ADD CONSTRAINT FK_IDPMConfig FOREIGN KEY (IDP_MAPPER_ID) REFERENCES PUBLIC.IDENTITY_PROVIDER_MAPPER (ID);

ALTER TABLE PUBLIC.USER_CONSENT ADD CONSTRAINT FK_GRNTCSNT_USER FOREIGN KEY (USER_ID) REFERENCES PUBLIC.USER_ENTITY (ID);

ALTER TABLE PUBLIC.USER_CONSENT_ROLE ADD CONSTRAINT FK_GRNTCSNT_ROLE_GR FOREIGN KEY (USER_CONSENT_ID) REFERENCES PUBLIC.USER_CONSENT (ID);

ALTER TABLE PUBLIC.USER_CONSENT_PROT_MAPPER ADD CONSTRAINT FK_GRNTCSNT_PRM_GR FOREIGN KEY (USER_CONSENT_ID) REFERENCES PUBLIC.USER_CONSENT (ID);

ALTER TABLE PUBLIC.CLIENT_SESSION_PROT_MAPPER ADD CONSTRAINT FK_33A8SGQW18I532811V7O2DK89 FOREIGN KEY (CLIENT_SESSION) REFERENCES PUBLIC.CLIENT_SESSION (ID);

ALTER TABLE PUBLIC.CLIENT ALTER COLUMN NAME RENAME TO CLIENT_ID;

ALTER TABLE PUBLIC.CLIENT ADD CONSENT_REQUIRED BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.CLIENT ADD NAME VARCHAR(255);

ALTER TABLE PUBLIC.IDENTITY_PROVIDER ADD ADD_TOKEN_ROLE BOOLEAN DEFAULT TRUE NOT NULL;

UPDATE PUBLIC.CLIENT SET CONSENT_REQUIRED = TRUE WHERE DTYPE = 'OAuthClientEntity';

ALTER TABLE PUBLIC.CLIENT DROP COLUMN DTYPE;

ALTER TABLE PUBLIC.REALM DROP CONSTRAINT FK_RSAF444KK6QRKMS7N56AIWQ5Y;

ALTER TABLE PUBLIC.REALM ALTER COLUMN MASTER_ADMIN_APP RENAME TO MASTER_ADMIN_CLIENT;

ALTER TABLE PUBLIC.REALM ADD CONSTRAINT FK_TRAF444KK6QRKMS7N56AIWQ5Y FOREIGN KEY (MASTER_ADMIN_CLIENT) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.REALM_APPLICATION DROP CONSTRAINT FK_82S3P0DIUXAWWQQSA528UBY2Q;

ALTER TABLE PUBLIC.REALM_APPLICATION RENAME TO REALM_CLIENT;

ALTER TABLE PUBLIC.REALM_CLIENT ALTER COLUMN APPLICATION_ID RENAME TO CLIENT_ID;

ALTER TABLE PUBLIC.REALM_CLIENT ADD CONSTRAINT FK_93S3P0DIUXAWWQQSA528UBY2Q FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.APPLICATION_DEFAULT_ROLES DROP CONSTRAINT FK_MAYLTS7KLWQW2H8M2B5JOYTKY;

ALTER TABLE PUBLIC.APPLICATION_DEFAULT_ROLES RENAME TO CLIENT_DEFAULT_ROLES;

ALTER TABLE PUBLIC.CLIENT_DEFAULT_ROLES ALTER COLUMN APPLICATION_ID RENAME TO CLIENT_ID;

ALTER TABLE PUBLIC.CLIENT_DEFAULT_ROLES ADD CONSTRAINT FK_NUILTS7KLWQW2H8M2B5JOYTKY FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.APP_NODE_REGISTRATIONS DROP CONSTRAINT FK8454723BA992F594;

ALTER TABLE PUBLIC.APP_NODE_REGISTRATIONS RENAME TO CLIENT_NODE_REGISTRATIONS;

ALTER TABLE PUBLIC.CLIENT_NODE_REGISTRATIONS ALTER COLUMN APPLICATION_ID RENAME TO CLIENT_ID;

ALTER TABLE PUBLIC.CLIENT_NODE_REGISTRATIONS ADD CONSTRAINT FK4129723BA992F594 FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE DROP CONSTRAINT FK_PIMO5LE2C0RAL09FL8CM9WFW9;

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ALTER COLUMN APPLICATION RENAME TO CLIENT;

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ALTER COLUMN APPLICATION_ROLE RENAME TO CLIENT_ROLE;

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ALTER COLUMN APP_REALM_CONSTRAINT RENAME TO CLIENT_REALM_CONSTRAINT;

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ADD CONSTRAINT FK_KJHO5LE2C0RAL09FL8CM9WFW9 FOREIGN KEY (CLIENT) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE DROP CONSTRAINT UK_J3RWUVD56ONTGSUHOGM184WW2;

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ADD CONSTRAINT "UK_J3RWUVD56ONTGSUHOGM184WW2-2" UNIQUE (NAME, CLIENT_REALM_CONSTRAINT);

ALTER TABLE PUBLIC.USER_CONSENT ADD CONSTRAINT UK_JKUWUVD56ONTGSUHOGM8UEWRT UNIQUE (CLIENT_ID, USER_ID);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.2.0.RC1', 'bburke@redhat.com', 'META-INF/jpa-changelog-1.2.0.CR1.xml', NOW(), 7, '7:0f08df48468428e0f30ee59a8ec01a41', 'delete tableName=CLIENT_SESSION_ROLE; delete tableName=CLIENT_SESSION_NOTE; delete tableName=CLIENT_SESSION; delete tableName=USER_SESSION_NOTE; delete tableName=USER_SESSION; createTable tableName=MIGRATION_MODEL; createTable tableName=IDENTITY_P...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/db2-jpa-changelog-1.2.0.CR1.xml::1.2.0.RC1::bburke@redhat.com
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.2.0.RC1', 'bburke@redhat.com', 'META-INF/db2-jpa-changelog-1.2.0.CR1.xml', NOW(), 8, '7:a77ea2ad226b345e7d689d366f185c8c', 'delete tableName=CLIENT_SESSION_ROLE; delete tableName=CLIENT_SESSION_NOTE; delete tableName=CLIENT_SESSION; delete tableName=USER_SESSION_NOTE; delete tableName=USER_SESSION; createTable tableName=MIGRATION_MODEL; createTable tableName=IDENTITY_P...', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.2.0.Final.xml::1.2.0.Final::keycloak
UPDATE PUBLIC.CLIENT SET DIRECT_GRANTS_ONLY = FALSE WHERE DIRECT_GRANTS_ONLY is null;

UPDATE PUBLIC.CLIENT SET BEARER_ONLY = FALSE WHERE BEARER_ONLY is null;

UPDATE PUBLIC.CLIENT SET SURROGATE_AUTH_REQUIRED = FALSE WHERE SURROGATE_AUTH_REQUIRED is null;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.2.0.Final', 'keycloak', 'META-INF/jpa-changelog-1.2.0.Final.xml', NOW(), 9, '7:a3377a2059aefbf3b90ebb4c4cc8e2ab', 'update tableName=CLIENT; update tableName=CLIENT; update tableName=CLIENT', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.3.0.xml::1.3.0::bburke@redhat.com
DELETE FROM PUBLIC.CLIENT_SESSION_ROLE;

DELETE FROM PUBLIC.CLIENT_SESSION_PROT_MAPPER;

DELETE FROM PUBLIC.CLIENT_SESSION_NOTE;

DELETE FROM PUBLIC.CLIENT_SESSION;

DELETE FROM PUBLIC.USER_SESSION_NOTE;

DELETE FROM PUBLIC.USER_SESSION;

CREATE TABLE PUBLIC.ADMIN_EVENT_ENTITY (ID VARCHAR(36) NOT NULL, ADMIN_EVENT_TIME BIGINT, REALM_ID VARCHAR(255), OPERATION_TYPE VARCHAR(255), AUTH_REALM_ID VARCHAR(255), AUTH_CLIENT_ID VARCHAR(255), AUTH_USER_ID VARCHAR(255), IP_ADDRESS VARCHAR(255), RESOURCE_PATH VARCHAR(2550), REPRESENTATION CLOB, ERROR VARCHAR(255));

CREATE TABLE PUBLIC.AUTHENTICATOR (ID VARCHAR(36) NOT NULL, ALIAS VARCHAR(255), REALM_ID VARCHAR(36), PROVIDER_ID VARCHAR(255));

CREATE TABLE PUBLIC.AUTHENTICATION_FLOW (ID VARCHAR(36) NOT NULL, ALIAS VARCHAR(255), DESCRIPTION VARCHAR(255), REALM_ID VARCHAR(36));

CREATE TABLE PUBLIC.AUTHENTICATION_EXECUTION (ID VARCHAR(36) NOT NULL, ALIAS VARCHAR(255), AUTHENTICATOR VARCHAR(36), REALM_ID VARCHAR(36), FLOW_ID VARCHAR(36), REQUIREMENT INT, PRIORITY INT, USER_SETUP_ALLOWED BOOLEAN DEFAULT FALSE NOT NULL, AUTHENTICATOR_FLOW BOOLEAN DEFAULT FALSE NOT NULL);

CREATE TABLE PUBLIC.AUTHENTICATOR_CONFIG (AUTHENTICATOR_ID VARCHAR(36) NOT NULL, VALUE CLOB, NAME VARCHAR(255) NOT NULL);

CREATE TABLE PUBLIC.USER_FEDERATION_MAPPER (ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, FEDERATION_PROVIDER_ID VARCHAR(36) NOT NULL, FEDERATION_MAPPER_TYPE VARCHAR(255) NOT NULL, REALM_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.USER_FEDERATION_MAPPER_CONFIG (USER_FEDERATION_MAPPER_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(255), NAME VARCHAR(255) NOT NULL);

ALTER TABLE PUBLIC.REALM ADD ADMIN_EVENTS_ENABLED BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.REALM ADD ADMIN_EVENTS_DETAILS_ENABLED BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.REALM ADD EDIT_USERNAME_ALLOWED BOOLEAN DEFAULT FALSE NOT NULL;

CREATE TABLE PUBLIC.CLIENT_SESSION_AUTH_STATUS (AUTHENTICATOR VARCHAR(36) NOT NULL, STATUS INT, CLIENT_SESSION VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.CLIENT_SESSION ADD AUTH_USER_ID VARCHAR(36);

ALTER TABLE PUBLIC.IDENTITY_PROVIDER ADD TRUST_EMAIL BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.IDENTITY_PROVIDER ADD UPDATE_PROFILE_FIRST_LGN_MD VARCHAR(255) DEFAULT 'on' NOT NULL;

UPDATE PUBLIC.IDENTITY_PROVIDER SET UPDATE_PROFILE_FIRST_LGN_MD = 'off' WHERE UPDATE_PROFILE_FIRST_LOGIN = FALSE;

ALTER TABLE PUBLIC.IDENTITY_PROVIDER ALTER COLUMN  UPDATE_PROFILE_FIRST_LOGIN SET DEFAULT NULL;

ALTER TABLE PUBLIC.IDENTITY_PROVIDER DROP COLUMN UPDATE_PROFILE_FIRST_LOGIN;

ALTER TABLE PUBLIC.USER_REQUIRED_ACTION ADD REQUIRED_ACTION VARCHAR(255) DEFAULT ' ' NOT NULL;

UPDATE PUBLIC.USER_REQUIRED_ACTION SET REQUIRED_ACTION = 'VERIFY_EMAIL' WHERE ACTION = 0;

UPDATE PUBLIC.USER_REQUIRED_ACTION SET REQUIRED_ACTION = 'UPDATE_PROFILE' WHERE ACTION = 1;

UPDATE PUBLIC.USER_REQUIRED_ACTION SET REQUIRED_ACTION = 'CONFIGURE_TOTP' WHERE ACTION = 2;

UPDATE PUBLIC.USER_REQUIRED_ACTION SET REQUIRED_ACTION = 'UPDATE_PASSWORD' WHERE ACTION = 3;

ALTER TABLE PUBLIC.AUTHENTICATOR ADD CONSTRAINT CONSTRAINT_AUTH_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.AUTHENTICATION_FLOW ADD CONSTRAINT CONSTRAINT_AUTH_FLOW_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.AUTHENTICATION_EXECUTION ADD CONSTRAINT CONSTRAINT_AUTH_EXEC_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.AUTHENTICATOR_CONFIG ADD CONSTRAINT CONSTRAINT_AUTH_CFG_PK PRIMARY KEY (AUTHENTICATOR_ID, NAME);

ALTER TABLE PUBLIC.USER_REQUIRED_ACTION DROP PRIMARY KEY;

ALTER TABLE PUBLIC.USER_REQUIRED_ACTION DROP COLUMN ACTION;

ALTER TABLE PUBLIC.USER_REQUIRED_ACTION ADD CONSTRAINT CONSTRAINT_REQUIRED_ACTION PRIMARY KEY (REQUIRED_ACTION, USER_ID);

ALTER TABLE PUBLIC.CLIENT_SESSION_AUTH_STATUS ADD CONSTRAINT CONSTRAINT_AUTH_STATUS_PK PRIMARY KEY (CLIENT_SESSION, AUTHENTICATOR);

ALTER TABLE PUBLIC.USER_FEDERATION_MAPPER ADD CONSTRAINT CONSTRAINT_FEDMAPPERPM PRIMARY KEY (ID);

ALTER TABLE PUBLIC.USER_FEDERATION_MAPPER_CONFIG ADD CONSTRAINT CONSTRAINT_FEDMAPPER_CFG_PM PRIMARY KEY (USER_FEDERATION_MAPPER_ID, NAME);

ALTER TABLE PUBLIC.CLIENT_SESSION_AUTH_STATUS ADD CONSTRAINT AUTH_STATUS_CONSTRAINT FOREIGN KEY (CLIENT_SESSION) REFERENCES PUBLIC.CLIENT_SESSION (ID);

ALTER TABLE PUBLIC.AUTHENTICATOR ADD CONSTRAINT FK_AUTH_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.AUTHENTICATION_FLOW ADD CONSTRAINT FK_AUTH_FLOW_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.AUTHENTICATION_EXECUTION ADD CONSTRAINT FK_AUTH_EXEC_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.AUTHENTICATION_EXECUTION ADD CONSTRAINT FK_AUTH_EXEC_FLOW FOREIGN KEY (FLOW_ID) REFERENCES PUBLIC.AUTHENTICATION_FLOW (ID);

ALTER TABLE PUBLIC.USER_FEDERATION_MAPPER ADD CONSTRAINT FK_FEDMAPPERPM_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.USER_FEDERATION_MAPPER ADD CONSTRAINT FK_FEDMAPPERPM_FEDPRV FOREIGN KEY (FEDERATION_PROVIDER_ID) REFERENCES PUBLIC.USER_FEDERATION_PROVIDER (ID);

ALTER TABLE PUBLIC.USER_FEDERATION_MAPPER_CONFIG ADD CONSTRAINT FK_FEDMAPPER_CFG FOREIGN KEY (USER_FEDERATION_MAPPER_ID) REFERENCES PUBLIC.USER_FEDERATION_MAPPER (ID);

ALTER TABLE PUBLIC.REALM ALTER COLUMN  PASSWORD_CRED_GRANT_ALLOWED SET DEFAULT NULL;

ALTER TABLE PUBLIC.REALM DROP COLUMN PASSWORD_CRED_GRANT_ALLOWED;

ALTER TABLE PUBLIC.PROTOCOL_MAPPER_CONFIG DROP CONSTRAINT FK_PMConfig;

ALTER TABLE PUBLIC.PROTOCOL_MAPPER_CONFIG DROP PRIMARY KEY;

ALTER TABLE PUBLIC.PROTOCOL_MAPPER_CONFIG ADD CONSTRAINT CONSTRAINT_PMCONFIG PRIMARY KEY (PROTOCOL_MAPPER_ID, NAME);

ALTER TABLE PUBLIC.PROTOCOL_MAPPER_CONFIG ADD CONSTRAINT FK_PMCONFIG FOREIGN KEY (PROTOCOL_MAPPER_ID) REFERENCES PUBLIC.PROTOCOL_MAPPER (ID);

ALTER TABLE PUBLIC.IDP_MAPPER_CONFIG DROP CONSTRAINT FK_IDPMConfig;

ALTER TABLE PUBLIC.IDP_MAPPER_CONFIG DROP PRIMARY KEY;

ALTER TABLE PUBLIC.IDP_MAPPER_CONFIG ADD CONSTRAINT CONSTRAINT_IDPMCONFIG PRIMARY KEY (IDP_MAPPER_ID, NAME);

ALTER TABLE PUBLIC.IDP_MAPPER_CONFIG ADD CONSTRAINT FK_IDPMCONFIG FOREIGN KEY (IDP_MAPPER_ID) REFERENCES PUBLIC.IDENTITY_PROVIDER_MAPPER (ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.3.0', 'bburke@redhat.com', 'META-INF/jpa-changelog-1.3.0.xml', NOW(), 10, '7:04c1dbedc2aa3e9756d1a1668e003451', 'delete tableName=CLIENT_SESSION_ROLE; delete tableName=CLIENT_SESSION_PROT_MAPPER; delete tableName=CLIENT_SESSION_NOTE; delete tableName=CLIENT_SESSION; delete tableName=USER_SESSION_NOTE; delete tableName=USER_SESSION; createTable tableName=ADMI...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.4.0.xml::1.4.0::bburke@redhat.com
DELETE FROM PUBLIC.CLIENT_SESSION_AUTH_STATUS;

DELETE FROM PUBLIC.CLIENT_SESSION_ROLE;

DELETE FROM PUBLIC.CLIENT_SESSION_PROT_MAPPER;

DELETE FROM PUBLIC.CLIENT_SESSION_NOTE;

DELETE FROM PUBLIC.CLIENT_SESSION;

DELETE FROM PUBLIC.USER_SESSION_NOTE;

DELETE FROM PUBLIC.USER_SESSION;

ALTER TABLE PUBLIC.CLIENT ADD SERVICE_ACCOUNTS_ENABLED BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.CLIENT_SESSION ADD CURRENT_ACTION VARCHAR(36);

ALTER TABLE PUBLIC.AUTHENTICATION_FLOW ADD PROVIDER_ID VARCHAR(36) DEFAULT 'basic-flow' NOT NULL;

ALTER TABLE PUBLIC.AUTHENTICATION_FLOW ADD TOP_LEVEL BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.AUTHENTICATION_FLOW ADD BUILT_IN BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.AUTHENTICATION_EXECUTION ADD AUTH_FLOW_ID VARCHAR(36);

ALTER TABLE PUBLIC.AUTHENTICATION_EXECUTION ADD AUTH_CONFIG VARCHAR(36);

ALTER TABLE PUBLIC.USER_ATTRIBUTE ADD ID VARCHAR(36) DEFAULT 'sybase-needs-something-here' NOT NULL;

ALTER TABLE PUBLIC.AUTHENTICATOR DROP COLUMN PROVIDER_ID;

ALTER TABLE PUBLIC.AUTHENTICATOR_CONFIG RENAME TO AUTHENTICATOR_CONFIG_ENTRY;

ALTER TABLE PUBLIC.AUTHENTICATOR RENAME TO AUTHENTICATOR_CONFIG;

UPDATE PUBLIC.CLIENT_SESSION SET CURRENT_ACTION = 'OAUTH_GRANT' WHERE ACTION = 0;

UPDATE PUBLIC.CLIENT_SESSION SET CURRENT_ACTION = 'CODE_TO_TOKEN' WHERE ACTION = 1;

UPDATE PUBLIC.CLIENT_SESSION SET CURRENT_ACTION = 'VERIFY_EMAIL' WHERE ACTION = 2;

UPDATE PUBLIC.CLIENT_SESSION SET CURRENT_ACTION = 'UPDATE_PROFILE' WHERE ACTION = 3;

UPDATE PUBLIC.CLIENT_SESSION SET CURRENT_ACTION = 'CONFIGURE_TOTP' WHERE ACTION = 4;

UPDATE PUBLIC.CLIENT_SESSION SET CURRENT_ACTION = 'UPDATE_PASSWORD' WHERE ACTION = 5;

UPDATE PUBLIC.CLIENT_SESSION SET CURRENT_ACTION = 'RECOVER_PASSWORD' WHERE ACTION = 6;

UPDATE PUBLIC.CLIENT_SESSION SET CURRENT_ACTION = 'AUTHENTICATE' WHERE ACTION = 7;

UPDATE PUBLIC.CLIENT_SESSION SET CURRENT_ACTION = 'SOCIAL_CALLBACK' WHERE ACTION = 8;

UPDATE PUBLIC.CLIENT_SESSION SET CURRENT_ACTION = 'LOGGED_OUT' WHERE ACTION = 9;

CREATE TABLE PUBLIC.CLIENT_USER_SESSION_NOTE (NAME VARCHAR(255) NOT NULL, VALUE VARCHAR(2048), CLIENT_SESSION VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.REQUIRED_ACTION_PROVIDER (ID VARCHAR(36) NOT NULL, ALIAS VARCHAR(255), NAME VARCHAR(255), REALM_ID VARCHAR(36), ENABLED BOOLEAN DEFAULT FALSE NOT NULL, DEFAULT_ACTION BOOLEAN DEFAULT FALSE NOT NULL, PROVIDER_ID VARCHAR(255));

CREATE TABLE PUBLIC.REQUIRED_ACTION_CONFIG (REQUIRED_ACTION_ID VARCHAR(36) NOT NULL, VALUE CLOB, NAME VARCHAR(255) NOT NULL);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
ALTER TABLE PUBLIC.USER_ATTRIBUTE DROP PRIMARY KEY;

ALTER TABLE PUBLIC.USER_ATTRIBUTE ADD CONSTRAINT CONSTRAINT_USER_ATTRIBUTE_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.REQUIRED_ACTION_PROVIDER ADD CONSTRAINT CONSTRAINT_REQ_ACT_PRV_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.REQUIRED_ACTION_CONFIG ADD CONSTRAINT CONSTRAINT_REQ_ACT_CFG_PK PRIMARY KEY (REQUIRED_ACTION_ID, NAME);

ALTER TABLE PUBLIC.CLIENT_USER_SESSION_NOTE ADD CONSTRAINT CONSTR_CL_USR_SES_NOTE PRIMARY KEY (CLIENT_SESSION, NAME);

ALTER TABLE PUBLIC.REQUIRED_ACTION_PROVIDER ADD CONSTRAINT FK_REQ_ACT_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.CLIENT_USER_SESSION_NOTE ADD CONSTRAINT FK_CL_USR_SES_NOTE FOREIGN KEY (CLIENT_SESSION) REFERENCES PUBLIC.CLIENT_SESSION (ID);

ALTER TABLE PUBLIC.CLIENT_SESSION DROP COLUMN ACTION;

ALTER TABLE PUBLIC.USER_ENTITY ADD CREATED_TIMESTAMP BIGINT;

ALTER TABLE PUBLIC.USER_ENTITY ADD SERVICE_ACCOUNT_CLIENT_LINK VARCHAR(36);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.4.0', 'bburke@redhat.com', 'META-INF/jpa-changelog-1.4.0.xml', NOW(), 11, '7:36ef39ed560ad07062d956db861042ba', 'delete tableName=CLIENT_SESSION_AUTH_STATUS; delete tableName=CLIENT_SESSION_ROLE; delete tableName=CLIENT_SESSION_PROT_MAPPER; delete tableName=CLIENT_SESSION_NOTE; delete tableName=CLIENT_SESSION; delete tableName=USER_SESSION_NOTE; delete table...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/db2-jpa-changelog-1.4.0.xml::1.4.0::bburke@redhat.com
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.4.0', 'bburke@redhat.com', 'META-INF/db2-jpa-changelog-1.4.0.xml', NOW(), 12, '7:d909180b2530479a716d3f9c9eaea3d7', 'delete tableName=CLIENT_SESSION_AUTH_STATUS; delete tableName=CLIENT_SESSION_ROLE; delete tableName=CLIENT_SESSION_PROT_MAPPER; delete tableName=CLIENT_SESSION_NOTE; delete tableName=CLIENT_SESSION; delete tableName=USER_SESSION_NOTE; delete table...', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.5.0.xml::1.5.0::bburke@redhat.com
DELETE FROM PUBLIC.CLIENT_SESSION_AUTH_STATUS;

DELETE FROM PUBLIC.CLIENT_SESSION_ROLE;

DELETE FROM PUBLIC.CLIENT_SESSION_PROT_MAPPER;

DELETE FROM PUBLIC.CLIENT_SESSION_NOTE;

DELETE FROM PUBLIC.CLIENT_SESSION;

DELETE FROM PUBLIC.USER_SESSION_NOTE;

DELETE FROM PUBLIC.USER_SESSION;

ALTER TABLE PUBLIC.AUTHENTICATION_EXECUTION ALTER COLUMN  USER_SETUP_ALLOWED SET DEFAULT NULL;

ALTER TABLE PUBLIC.AUTHENTICATION_EXECUTION DROP COLUMN USER_SETUP_ALLOWED;

ALTER TABLE PUBLIC.CREDENTIAL ADD COUNTER INT DEFAULT 0;

ALTER TABLE PUBLIC.CREDENTIAL ADD DIGITS INT DEFAULT 6;

ALTER TABLE PUBLIC.CREDENTIAL ADD PERIOD INT DEFAULT 30;

ALTER TABLE PUBLIC.CREDENTIAL ADD ALGORITHM VARCHAR(36) DEFAULT 'HmacSHA1';

ALTER TABLE PUBLIC.REALM ADD OTP_POLICY_COUNTER INT DEFAULT 0;

ALTER TABLE PUBLIC.REALM ADD OTP_POLICY_WINDOW INT DEFAULT 1;

ALTER TABLE PUBLIC.REALM ADD OTP_POLICY_PERIOD INT DEFAULT 30;

ALTER TABLE PUBLIC.REALM ADD OTP_POLICY_DIGITS INT DEFAULT 6;

ALTER TABLE PUBLIC.REALM ADD OTP_POLICY_ALG VARCHAR(36) DEFAULT 'HmacSHA1';

ALTER TABLE PUBLIC.REALM ADD OTP_POLICY_TYPE VARCHAR(36) DEFAULT 'totp';

ALTER TABLE PUBLIC.REALM ADD BROWSER_FLOW VARCHAR(36);

ALTER TABLE PUBLIC.REALM ADD REGISTRATION_FLOW VARCHAR(36);

ALTER TABLE PUBLIC.REALM ADD DIRECT_GRANT_FLOW VARCHAR(36);

ALTER TABLE PUBLIC.REALM ADD RESET_CREDENTIALS_FLOW VARCHAR(36);

ALTER TABLE PUBLIC.REALM ADD CLIENT_AUTH_FLOW VARCHAR(36);

ALTER TABLE PUBLIC.CLIENT ADD CLIENT_AUTHENTICATOR_TYPE VARCHAR(255);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.5.0', 'bburke@redhat.com', 'META-INF/jpa-changelog-1.5.0.xml', NOW(), 13, '7:cf12b04b79bea5152f165eb41f3955f6', 'delete tableName=CLIENT_SESSION_AUTH_STATUS; delete tableName=CLIENT_SESSION_ROLE; delete tableName=CLIENT_SESSION_PROT_MAPPER; delete tableName=CLIENT_SESSION_NOTE; delete tableName=CLIENT_SESSION; delete tableName=USER_SESSION_NOTE; delete table...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.6.1.xml::1.6.1_from15::mposolda@redhat.com
ALTER TABLE PUBLIC.REALM ADD OFFLINE_SESSION_IDLE_TIMEOUT INT DEFAULT 0;

ALTER TABLE PUBLIC.REALM ADD REVOKE_REFRESH_TOKEN BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ADD SCOPE_PARAM_REQUIRED BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.CLIENT ADD ROOT_URL VARCHAR(255);

ALTER TABLE PUBLIC.CLIENT ADD DESCRIPTION VARCHAR(255);

CREATE TABLE PUBLIC.OFFLINE_USER_SESSION (USER_SESSION_ID VARCHAR(36) NOT NULL, USER_ID VARCHAR(36) NOT NULL, REALM_ID VARCHAR(36) NOT NULL, LAST_SESSION_REFRESH INT, OFFLINE_FLAG VARCHAR(4) NOT NULL, DATA CLOB);

CREATE TABLE PUBLIC.OFFLINE_CLIENT_SESSION (CLIENT_SESSION_ID VARCHAR(36) NOT NULL, USER_SESSION_ID VARCHAR(36) NOT NULL, CLIENT_ID VARCHAR(36) NOT NULL, OFFLINE_FLAG VARCHAR(4) NOT NULL, TIMESTAMP INT, DATA CLOB);

ALTER TABLE PUBLIC.OFFLINE_USER_SESSION ADD CONSTRAINT CONSTRAINT_OFFL_US_SES_PK2 PRIMARY KEY (USER_SESSION_ID, OFFLINE_FLAG);

ALTER TABLE PUBLIC.OFFLINE_CLIENT_SESSION ADD CONSTRAINT CONSTRAINT_OFFL_CL_SES_PK2 PRIMARY KEY (CLIENT_SESSION_ID, OFFLINE_FLAG);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.6.1_from15', 'mposolda@redhat.com', 'META-INF/jpa-changelog-1.6.1.xml', NOW(), 14, '7:7e32c8f05c755e8675764e7d5f514509', 'addColumn tableName=REALM; addColumn tableName=KEYCLOAK_ROLE; addColumn tableName=CLIENT; createTable tableName=OFFLINE_USER_SESSION; createTable tableName=OFFLINE_CLIENT_SESSION; addPrimaryKey constraintName=CONSTRAINT_OFFL_US_SES_PK2, tableName=...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.6.1.xml::1.6.1_from16-pre::mposolda@redhat.com
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.6.1_from16-pre', 'mposolda@redhat.com', 'META-INF/jpa-changelog-1.6.1.xml', NOW(), 15, '7:980ba23cc0ec39cab731ce903dd01291', 'delete tableName=OFFLINE_CLIENT_SESSION; delete tableName=OFFLINE_USER_SESSION', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.6.1.xml::1.6.1_from16::mposolda@redhat.com
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.6.1_from16', 'mposolda@redhat.com', 'META-INF/jpa-changelog-1.6.1.xml', NOW(), 16, '7:2fa220758991285312eb84f3b4ff5336', 'dropPrimaryKey constraintName=CONSTRAINT_OFFLINE_US_SES_PK, tableName=OFFLINE_USER_SESSION; dropPrimaryKey constraintName=CONSTRAINT_OFFLINE_CL_SES_PK, tableName=OFFLINE_CLIENT_SESSION; addColumn tableName=OFFLINE_USER_SESSION; update tableName=OF...', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.6.1.xml::1.6.1::mposolda@redhat.com
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.6.1', 'mposolda@redhat.com', 'META-INF/jpa-changelog-1.6.1.xml', NOW(), 17, '7:d41d8cd98f00b204e9800998ecf8427e', 'empty', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.7.0.xml::1.7.0::bburke@redhat.com
CREATE TABLE PUBLIC.KEYCLOAK_GROUP (ID VARCHAR(36) NOT NULL, NAME VARCHAR(255), PARENT_GROUP VARCHAR(36), REALM_ID VARCHAR(36));

CREATE TABLE PUBLIC.GROUP_ROLE_MAPPING (ROLE_ID VARCHAR(36) NOT NULL, GROUP_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.GROUP_ATTRIBUTE (ID VARCHAR(36) DEFAULT 'sybase-needs-something-here' NOT NULL, NAME VARCHAR(255) NOT NULL, VALUE VARCHAR(255), GROUP_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.USER_GROUP_MEMBERSHIP (GROUP_ID VARCHAR(36) NOT NULL, USER_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.REALM_DEFAULT_GROUPS (REALM_ID VARCHAR(36) NOT NULL, GROUP_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.IDENTITY_PROVIDER ADD FIRST_BROKER_LOGIN_FLOW_ID VARCHAR(36);

ALTER TABLE PUBLIC.REALM ADD ACCESS_TOKEN_LIFE_IMPLICIT INT DEFAULT 0;

ALTER TABLE PUBLIC.IDENTITY_PROVIDER ALTER COLUMN  UPDATE_PROFILE_FIRST_LGN_MD SET DEFAULT NULL;

ALTER TABLE PUBLIC.IDENTITY_PROVIDER DROP COLUMN UPDATE_PROFILE_FIRST_LGN_MD;

ALTER TABLE PUBLIC.KEYCLOAK_GROUP ADD CONSTRAINT CONSTRAINT_GROUP PRIMARY KEY (ID);

ALTER TABLE PUBLIC.KEYCLOAK_GROUP ADD CONSTRAINT FK_GROUP_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.GROUP_ATTRIBUTE ADD CONSTRAINT CONSTRAINT_GROUP_ATTRIBUTE_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.GROUP_ATTRIBUTE ADD CONSTRAINT FK_GROUP_ATTRIBUTE_GROUP FOREIGN KEY (GROUP_ID) REFERENCES PUBLIC.KEYCLOAK_GROUP (ID);

ALTER TABLE PUBLIC.USER_GROUP_MEMBERSHIP ADD CONSTRAINT CONSTRAINT_USER_GROUP PRIMARY KEY (GROUP_ID, USER_ID);

ALTER TABLE PUBLIC.USER_GROUP_MEMBERSHIP ADD CONSTRAINT FK_USER_GROUP_USER FOREIGN KEY (USER_ID) REFERENCES PUBLIC.USER_ENTITY (ID);

ALTER TABLE PUBLIC.GROUP_ROLE_MAPPING ADD CONSTRAINT CONSTRAINT_GROUP_ROLE PRIMARY KEY (ROLE_ID, GROUP_ID);

ALTER TABLE PUBLIC.GROUP_ROLE_MAPPING ADD CONSTRAINT FK_GROUP_ROLE_GROUP FOREIGN KEY (GROUP_ID) REFERENCES PUBLIC.KEYCLOAK_GROUP (ID);

ALTER TABLE PUBLIC.GROUP_ROLE_MAPPING ADD CONSTRAINT FK_GROUP_ROLE_ROLE FOREIGN KEY (ROLE_ID) REFERENCES PUBLIC.KEYCLOAK_ROLE (ID);

ALTER TABLE PUBLIC.REALM_DEFAULT_GROUPS ADD CONSTRAINT CON_GROUP_ID_DEF_GROUPS UNIQUE (GROUP_ID);

ALTER TABLE PUBLIC.REALM_DEFAULT_GROUPS ADD CONSTRAINT FK_DEF_GROUPS_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.REALM_DEFAULT_GROUPS ADD CONSTRAINT FK_DEF_GROUPS_GROUP FOREIGN KEY (GROUP_ID) REFERENCES PUBLIC.KEYCLOAK_GROUP (ID);

ALTER TABLE PUBLIC.CLIENT ADD REGISTRATION_TOKEN VARCHAR(255);

ALTER TABLE PUBLIC.CLIENT ADD STANDARD_FLOW_ENABLED BOOLEAN DEFAULT TRUE NOT NULL;

ALTER TABLE PUBLIC.CLIENT ADD IMPLICIT_FLOW_ENABLED BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.CLIENT ADD DIRECT_ACCESS_GRANTS_ENABLED BOOLEAN DEFAULT FALSE NOT NULL;

UPDATE PUBLIC.CLIENT SET DIRECT_ACCESS_GRANTS_ENABLED = TRUE, STANDARD_FLOW_ENABLED = FALSE WHERE DIRECT_GRANTS_ONLY = TRUE;

ALTER TABLE PUBLIC.CLIENT ALTER COLUMN  DIRECT_GRANTS_ONLY SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT DROP COLUMN DIRECT_GRANTS_ONLY;

ALTER TABLE PUBLIC.REALM ALTER COLUMN PASSWORD_POLICY VARCHAR(2550);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.7.0', 'bburke@redhat.com', 'META-INF/jpa-changelog-1.7.0.xml', NOW(), 18, '7:91ace540896df890cc00a0490ee52bbc', 'createTable tableName=KEYCLOAK_GROUP; createTable tableName=GROUP_ROLE_MAPPING; createTable tableName=GROUP_ATTRIBUTE; createTable tableName=USER_GROUP_MEMBERSHIP; createTable tableName=REALM_DEFAULT_GROUPS; addColumn tableName=IDENTITY_PROVIDER; ...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.8.0.xml::1.8.0::mposolda@redhat.com
ALTER TABLE PUBLIC.IDENTITY_PROVIDER ADD POST_BROKER_LOGIN_FLOW_ID VARCHAR(36);

CREATE TABLE PUBLIC.CLIENT_TEMPLATE (ID VARCHAR(36) NOT NULL, NAME VARCHAR(255), REALM_ID VARCHAR(36), DESCRIPTION VARCHAR(255), PROTOCOL VARCHAR(255), FULL_SCOPE_ALLOWED BOOLEAN DEFAULT FALSE NOT NULL, CONSENT_REQUIRED BOOLEAN DEFAULT FALSE NOT NULL, STANDARD_FLOW_ENABLED BOOLEAN DEFAULT TRUE NOT NULL, IMPLICIT_FLOW_ENABLED BOOLEAN DEFAULT FALSE NOT NULL, DIRECT_ACCESS_GRANTS_ENABLED BOOLEAN DEFAULT FALSE NOT NULL, SERVICE_ACCOUNTS_ENABLED BOOLEAN DEFAULT FALSE NOT NULL, FRONTCHANNEL_LOGOUT BOOLEAN DEFAULT FALSE NOT NULL, BEARER_ONLY BOOLEAN DEFAULT FALSE NOT NULL, PUBLIC_CLIENT BOOLEAN DEFAULT FALSE NOT NULL);

CREATE TABLE PUBLIC.CLIENT_TEMPLATE_ATTRIBUTES (TEMPLATE_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(2048), NAME VARCHAR(255) NOT NULL);

CREATE TABLE PUBLIC.TEMPLATE_SCOPE_MAPPING (TEMPLATE_ID VARCHAR(36) NOT NULL, ROLE_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.PROTOCOL_MAPPER ALTER COLUMN CLIENT_ID SET NULL;

ALTER TABLE PUBLIC.CLIENT ADD CLIENT_TEMPLATE_ID VARCHAR(36);

ALTER TABLE PUBLIC.CLIENT ADD USE_TEMPLATE_CONFIG BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.CLIENT ADD USE_TEMPLATE_SCOPE BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.CLIENT ADD USE_TEMPLATE_MAPPERS BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.PROTOCOL_MAPPER ADD CLIENT_TEMPLATE_ID VARCHAR(36);

CREATE TABLE PUBLIC.REALM_CLIENT_TEMPLATE (CLIENT_TEMPLATE_ID VARCHAR(36) NOT NULL, REALM_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ADD CONSTRAINT PK_CLI_TEMPLATE PRIMARY KEY (ID);

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ADD CONSTRAINT UK_CLI_TEMPLATE UNIQUE (REALM_ID, NAME);

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ADD CONSTRAINT FK_REALM_CLI_TMPLT FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.PROTOCOL_MAPPER ADD CONSTRAINT FK_CLI_TMPLT_MAPPER FOREIGN KEY (CLIENT_TEMPLATE_ID) REFERENCES PUBLIC.CLIENT_TEMPLATE (ID);

ALTER TABLE PUBLIC.CLIENT ADD CONSTRAINT FK_CLI_TMPLT_CLIENT FOREIGN KEY (CLIENT_TEMPLATE_ID) REFERENCES PUBLIC.CLIENT_TEMPLATE (ID);

ALTER TABLE PUBLIC.REALM_CLIENT_TEMPLATE ADD CONSTRAINT FK_RLM_CLI_TMPLT_RLM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.REALM_CLIENT_TEMPLATE ADD CONSTRAINT FK_RLM_CLI_TMPLT_CLI FOREIGN KEY (CLIENT_TEMPLATE_ID) REFERENCES PUBLIC.CLIENT_TEMPLATE (ID);

ALTER TABLE PUBLIC.TEMPLATE_SCOPE_MAPPING ADD CONSTRAINT PK_TEMPLATE_SCOPE PRIMARY KEY (TEMPLATE_ID, ROLE_ID);

ALTER TABLE PUBLIC.TEMPLATE_SCOPE_MAPPING ADD CONSTRAINT FK_TEMPL_SCOPE_TEMPL FOREIGN KEY (TEMPLATE_ID) REFERENCES PUBLIC.CLIENT_TEMPLATE (ID);

ALTER TABLE PUBLIC.TEMPLATE_SCOPE_MAPPING ADD CONSTRAINT FK_TEMPL_SCOPE_ROLE FOREIGN KEY (ROLE_ID) REFERENCES PUBLIC.KEYCLOAK_ROLE (ID);

ALTER TABLE PUBLIC.CLIENT_TEMPLATE_ATTRIBUTES ADD CONSTRAINT PK_CL_TMPL_ATTR PRIMARY KEY (TEMPLATE_ID, NAME);

ALTER TABLE PUBLIC.CLIENT_TEMPLATE_ATTRIBUTES ADD CONSTRAINT FK_CL_TEMPL_ATTR_TEMPL FOREIGN KEY (TEMPLATE_ID) REFERENCES PUBLIC.CLIENT_TEMPLATE (ID);

UPDATE PUBLIC.CREDENTIAL SET ALGORITHM = 'pbkdf2' WHERE TYPE in ('password-history', 'password') AND ALGORITHM is NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.8.0', 'mposolda@redhat.com', 'META-INF/jpa-changelog-1.8.0.xml', NOW(), 19, '7:c31d1646dfa2618a9335c00e07f89f24', 'addColumn tableName=IDENTITY_PROVIDER; createTable tableName=CLIENT_TEMPLATE; createTable tableName=CLIENT_TEMPLATE_ATTRIBUTES; createTable tableName=TEMPLATE_SCOPE_MAPPING; dropNotNullConstraint columnName=CLIENT_ID, tableName=PROTOCOL_MAPPER; ad...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.8.0.xml::1.8.0-2::keycloak
ALTER TABLE PUBLIC.CREDENTIAL ALTER COLUMN  ALGORITHM SET DEFAULT NULL;

UPDATE PUBLIC.CREDENTIAL SET ALGORITHM = 'pbkdf2' WHERE TYPE in ('password-history', 'password') AND ALGORITHM = 'HmacSHA1';

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.8.0-2', 'keycloak', 'META-INF/jpa-changelog-1.8.0.xml', NOW(), 20, '7:df8bc21027a4f7cbbb01f6344e89ce07', 'dropDefaultValue columnName=ALGORITHM, tableName=CREDENTIAL; update tableName=CREDENTIAL', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/db2-jpa-changelog-1.8.0.xml::1.8.0::mposolda@redhat.com
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.8.0', 'mposolda@redhat.com', 'META-INF/db2-jpa-changelog-1.8.0.xml', NOW(), 21, '7:f987971fe6b37d963bc95fee2b27f8df', 'addColumn tableName=IDENTITY_PROVIDER; createTable tableName=CLIENT_TEMPLATE; createTable tableName=CLIENT_TEMPLATE_ATTRIBUTES; createTable tableName=TEMPLATE_SCOPE_MAPPING; dropNotNullConstraint columnName=CLIENT_ID, tableName=PROTOCOL_MAPPER; ad...', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/db2-jpa-changelog-1.8.0.xml::1.8.0-2::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.8.0-2', 'keycloak', 'META-INF/db2-jpa-changelog-1.8.0.xml', NOW(), 22, '7:df8bc21027a4f7cbbb01f6344e89ce07', 'dropDefaultValue columnName=ALGORITHM, tableName=CREDENTIAL; update tableName=CREDENTIAL', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.9.0.xml::1.9.0::mposolda@redhat.com
UPDATE PUBLIC.REALM SET OTP_POLICY_COUNTER = 0 WHERE OTP_POLICY_COUNTER is NULL;

UPDATE PUBLIC.REALM SET OTP_POLICY_WINDOW = 1 WHERE OTP_POLICY_WINDOW is NULL;

UPDATE PUBLIC.REALM SET OTP_POLICY_PERIOD = 30 WHERE OTP_POLICY_PERIOD is NULL;

UPDATE PUBLIC.REALM SET OTP_POLICY_DIGITS = 6 WHERE OTP_POLICY_DIGITS is NULL;

UPDATE PUBLIC.CREDENTIAL SET COUNTER = 0 WHERE COUNTER is NULL;

UPDATE PUBLIC.CREDENTIAL SET DIGITS = 6 WHERE DIGITS is NULL;

UPDATE PUBLIC.CREDENTIAL SET PERIOD = 30 WHERE PERIOD is NULL;

UPDATE PUBLIC.REALM SET OFFLINE_SESSION_IDLE_TIMEOUT = 2592000 WHERE OFFLINE_SESSION_IDLE_TIMEOUT is NULL;

UPDATE PUBLIC.REALM SET ACCESS_TOKEN_LIFE_IMPLICIT = 900 WHERE ACCESS_TOKEN_LIFE_IMPLICIT is NULL;

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
ALTER TABLE PUBLIC.REALM_CLIENT DROP CONSTRAINT FK_93S3P0DIUXAWWQQSA528UBY2Q;

ALTER TABLE PUBLIC.REALM_CLIENT DROP CONSTRAINT FK_M6QGA3RFME47335JY8JXYXH3I;

ALTER TABLE PUBLIC.REALM_CLIENT DROP CONSTRAINT UK_M6QGA3RFME47335JY8JXYXH3I;

DROP TABLE PUBLIC.REALM_CLIENT;

ALTER TABLE PUBLIC.REALM_CLIENT_TEMPLATE DROP CONSTRAINT FK_RLM_CLI_TMPLT_RLM;

ALTER TABLE PUBLIC.REALM_CLIENT_TEMPLATE DROP CONSTRAINT FK_RLM_CLI_TMPLT_CLI;

DROP TABLE PUBLIC.REALM_CLIENT_TEMPLATE;

ALTER TABLE PUBLIC.FED_PROVIDERS DROP CONSTRAINT FK_213LYQ09FKXQ8K8NY8DY3737T;

ALTER TABLE PUBLIC.FED_PROVIDERS DROP CONSTRAINT FK_DCCIRJLIPU1478VQC89DID88C;

ALTER TABLE PUBLIC.FED_PROVIDERS DROP CONSTRAINT UK_DCCIRJLIPU1478VQC89DID88C;

DROP TABLE PUBLIC.FED_PROVIDERS;

CREATE INDEX PUBLIC.IDX_US_SESS_ID_ON_CL_SESS ON PUBLIC.OFFLINE_CLIENT_SESSION(USER_SESSION_ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.9.0', 'mposolda@redhat.com', 'META-INF/jpa-changelog-1.9.0.xml', NOW(), 23, '7:ed2dc7f799d19ac452cbcda56c929e47', 'update tableName=REALM; update tableName=REALM; update tableName=REALM; update tableName=REALM; update tableName=CREDENTIAL; update tableName=CREDENTIAL; update tableName=CREDENTIAL; update tableName=REALM; update tableName=REALM; customChange; dr...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.9.1.xml::1.9.1::keycloak
ALTER TABLE PUBLIC.REALM ALTER COLUMN PRIVATE_KEY VARCHAR(4000);

ALTER TABLE PUBLIC.REALM ALTER COLUMN PUBLIC_KEY VARCHAR(4000);

ALTER TABLE PUBLIC.REALM ALTER COLUMN CERTIFICATE VARCHAR(4000);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.9.1', 'keycloak', 'META-INF/jpa-changelog-1.9.1.xml', NOW(), 24, '7:80b5db88a5dda36ece5f235be8757615', 'modifyDataType columnName=PRIVATE_KEY, tableName=REALM; modifyDataType columnName=PUBLIC_KEY, tableName=REALM; modifyDataType columnName=CERTIFICATE, tableName=REALM', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/db2-jpa-changelog-1.9.1.xml::1.9.1::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.9.1', 'keycloak', 'META-INF/db2-jpa-changelog-1.9.1.xml', NOW(), 25, '7:1437310ed1305a9b93f8848f301726ce', 'modifyDataType columnName=PRIVATE_KEY, tableName=REALM; modifyDataType columnName=CERTIFICATE, tableName=REALM', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-1.9.2.xml::1.9.2::keycloak
CREATE INDEX PUBLIC.IDX_USER_EMAIL ON PUBLIC.USER_ENTITY(EMAIL);

CREATE INDEX PUBLIC.IDX_USER_ROLE_MAPPING ON PUBLIC.USER_ROLE_MAPPING(USER_ID);

CREATE INDEX PUBLIC.IDX_USER_GROUP_MAPPING ON PUBLIC.USER_GROUP_MEMBERSHIP(USER_ID);

CREATE INDEX PUBLIC.IDX_USER_CONSENT ON PUBLIC.USER_CONSENT(USER_ID);

CREATE INDEX PUBLIC.IDX_CONSENT_PROTMAPPER ON PUBLIC.USER_CONSENT_PROT_MAPPER(USER_CONSENT_ID);

CREATE INDEX PUBLIC.IDX_CONSENT_ROLE ON PUBLIC.USER_CONSENT_ROLE(USER_CONSENT_ID);

CREATE INDEX PUBLIC.IDX_USER_ATTRIBUTE ON PUBLIC.USER_ATTRIBUTE(USER_ID);

CREATE INDEX PUBLIC.IDX_USER_CREDENTIAL ON PUBLIC.CREDENTIAL(USER_ID);

CREATE INDEX PUBLIC.IDX_USER_REQACTIONS ON PUBLIC.USER_REQUIRED_ACTION(USER_ID);

CREATE INDEX PUBLIC.IDX_FEDIDENTITY_USER ON PUBLIC.FEDERATED_IDENTITY(USER_ID);

CREATE INDEX PUBLIC.IDX_FEDIDENTITY_FEDUSER ON PUBLIC.FEDERATED_IDENTITY(FEDERATED_USER_ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1.9.2', 'keycloak', 'META-INF/jpa-changelog-1.9.2.xml', NOW(), 26, '7:b82ffb34850fa0836be16deefc6a87c4', 'createIndex indexName=IDX_USER_EMAIL, tableName=USER_ENTITY; createIndex indexName=IDX_USER_ROLE_MAPPING, tableName=USER_ROLE_MAPPING; createIndex indexName=IDX_USER_GROUP_MAPPING, tableName=USER_GROUP_MEMBERSHIP; createIndex indexName=IDX_USER_CO...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-2.0.0.xml::authz-2.0.0::psilva@redhat.com
CREATE TABLE PUBLIC.RESOURCE_SERVER (ID VARCHAR(36) NOT NULL, CLIENT_ID VARCHAR(36) NOT NULL, ALLOW_RS_REMOTE_MGMT BOOLEAN DEFAULT FALSE NOT NULL, POLICY_ENFORCE_MODE VARCHAR(15) NOT NULL);

ALTER TABLE PUBLIC.RESOURCE_SERVER ADD CONSTRAINT CONSTRAINT_FARS PRIMARY KEY (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER ADD CONSTRAINT UK_AU8TT6T700S9V50BU18WS5HA6 UNIQUE (CLIENT_ID);

CREATE TABLE PUBLIC.RESOURCE_SERVER_RESOURCE (ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, URI VARCHAR(255), TYPE VARCHAR(255), ICON_URI VARCHAR(255), OWNER VARCHAR(36) NOT NULL, RESOURCE_SERVER_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ADD CONSTRAINT CONSTRAINT_FARSR PRIMARY KEY (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ADD CONSTRAINT FK_FRSRHO213XCX4WNKOG82SSRFY FOREIGN KEY (RESOURCE_SERVER_ID) REFERENCES PUBLIC.RESOURCE_SERVER (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ADD CONSTRAINT UK_FRSR6T700S9V50BU18WS5HA6 UNIQUE (NAME, OWNER, RESOURCE_SERVER_ID);

CREATE TABLE PUBLIC.RESOURCE_SERVER_SCOPE (ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, ICON_URI VARCHAR(255), RESOURCE_SERVER_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE ADD CONSTRAINT CONSTRAINT_FARSRS PRIMARY KEY (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE ADD CONSTRAINT FK_FRSRSO213XCX4WNKOG82SSRFY FOREIGN KEY (RESOURCE_SERVER_ID) REFERENCES PUBLIC.RESOURCE_SERVER (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE ADD CONSTRAINT UK_FRSRST700S9V50BU18WS5HA6 UNIQUE (NAME, RESOURCE_SERVER_ID);

CREATE TABLE PUBLIC.RESOURCE_SERVER_POLICY (ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, DESCRIPTION VARCHAR(255), TYPE VARCHAR(255) NOT NULL, DECISION_STRATEGY VARCHAR(20), LOGIC VARCHAR(20), RESOURCE_SERVER_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ADD CONSTRAINT CONSTRAINT_FARSRP PRIMARY KEY (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ADD CONSTRAINT FK_FRSRPO213XCX4WNKOG82SSRFY FOREIGN KEY (RESOURCE_SERVER_ID) REFERENCES PUBLIC.RESOURCE_SERVER (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ADD CONSTRAINT UK_FRSRPT700S9V50BU18WS5HA6 UNIQUE (NAME, RESOURCE_SERVER_ID);

CREATE TABLE PUBLIC.POLICY_CONFIG (POLICY_ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, VALUE CLOB);

ALTER TABLE PUBLIC.POLICY_CONFIG ADD CONSTRAINT CONSTRAINT_DPC PRIMARY KEY (POLICY_ID, NAME);

ALTER TABLE PUBLIC.POLICY_CONFIG ADD CONSTRAINT FKDC34197CF864C4E43 FOREIGN KEY (POLICY_ID) REFERENCES PUBLIC.RESOURCE_SERVER_POLICY (ID);

CREATE TABLE PUBLIC.RESOURCE_SCOPE (RESOURCE_ID VARCHAR(36) NOT NULL, SCOPE_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.RESOURCE_SCOPE ADD CONSTRAINT CONSTRAINT_FARSRSP PRIMARY KEY (RESOURCE_ID, SCOPE_ID);

ALTER TABLE PUBLIC.RESOURCE_SCOPE ADD CONSTRAINT FK_FRSRPOS13XCX4WNKOG82SSRFY FOREIGN KEY (RESOURCE_ID) REFERENCES PUBLIC.RESOURCE_SERVER_RESOURCE (ID);

ALTER TABLE PUBLIC.RESOURCE_SCOPE ADD CONSTRAINT FK_FRSRPS213XCX4WNKOG82SSRFY FOREIGN KEY (SCOPE_ID) REFERENCES PUBLIC.RESOURCE_SERVER_SCOPE (ID);

CREATE TABLE PUBLIC.RESOURCE_POLICY (RESOURCE_ID VARCHAR(36) NOT NULL, POLICY_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.RESOURCE_POLICY ADD CONSTRAINT CONSTRAINT_FARSRPP PRIMARY KEY (RESOURCE_ID, POLICY_ID);

ALTER TABLE PUBLIC.RESOURCE_POLICY ADD CONSTRAINT FK_FRSRPOS53XCX4WNKOG82SSRFY FOREIGN KEY (RESOURCE_ID) REFERENCES PUBLIC.RESOURCE_SERVER_RESOURCE (ID);

ALTER TABLE PUBLIC.RESOURCE_POLICY ADD CONSTRAINT FK_FRSRPP213XCX4WNKOG82SSRFY FOREIGN KEY (POLICY_ID) REFERENCES PUBLIC.RESOURCE_SERVER_POLICY (ID);

CREATE TABLE PUBLIC.SCOPE_POLICY (SCOPE_ID VARCHAR(36) NOT NULL, POLICY_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.SCOPE_POLICY ADD CONSTRAINT CONSTRAINT_FARSRSPS PRIMARY KEY (SCOPE_ID, POLICY_ID);

ALTER TABLE PUBLIC.SCOPE_POLICY ADD CONSTRAINT FK_FRSRPASS3XCX4WNKOG82SSRFY FOREIGN KEY (SCOPE_ID) REFERENCES PUBLIC.RESOURCE_SERVER_SCOPE (ID);

ALTER TABLE PUBLIC.SCOPE_POLICY ADD CONSTRAINT FK_FRSRASP13XCX4WNKOG82SSRFY FOREIGN KEY (POLICY_ID) REFERENCES PUBLIC.RESOURCE_SERVER_POLICY (ID);

CREATE TABLE PUBLIC.ASSOCIATED_POLICY (POLICY_ID VARCHAR(36) NOT NULL, ASSOCIATED_POLICY_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.ASSOCIATED_POLICY ADD CONSTRAINT CONSTRAINT_FARSRPAP PRIMARY KEY (POLICY_ID, ASSOCIATED_POLICY_ID);

ALTER TABLE PUBLIC.ASSOCIATED_POLICY ADD CONSTRAINT FK_FRSRPAS14XCX4WNKOG82SSRFY FOREIGN KEY (POLICY_ID) REFERENCES PUBLIC.RESOURCE_SERVER_POLICY (ID);

ALTER TABLE PUBLIC.ASSOCIATED_POLICY ADD CONSTRAINT FK_FRSR5S213XCX4WNKOG82SSRFY FOREIGN KEY (ASSOCIATED_POLICY_ID) REFERENCES PUBLIC.RESOURCE_SERVER_POLICY (ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-2.0.0', 'psilva@redhat.com', 'META-INF/jpa-changelog-authz-2.0.0.xml', NOW(), 27, '7:9cc98082921330d8d9266decdd4bd658', 'createTable tableName=RESOURCE_SERVER; addPrimaryKey constraintName=CONSTRAINT_FARS, tableName=RESOURCE_SERVER; addUniqueConstraint constraintName=UK_AU8TT6T700S9V50BU18WS5HA6, tableName=RESOURCE_SERVER; createTable tableName=RESOURCE_SERVER_RESOU...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-2.5.1.xml::authz-2.5.1::psilva@redhat.com
UPDATE PUBLIC.RESOURCE_SERVER_POLICY SET TYPE = 'rules' WHERE TYPE = 'drools';

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-2.5.1', 'psilva@redhat.com', 'META-INF/jpa-changelog-authz-2.5.1.xml', NOW(), 28, '7:03d64aeed9cb52b969bd30a7ac0db57e', 'update tableName=RESOURCE_SERVER_POLICY', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-2.1.0.xml::2.1.0-KEYCLOAK-5461::bburke@redhat.com
CREATE TABLE PUBLIC.BROKER_LINK (IDENTITY_PROVIDER VARCHAR(255) NOT NULL, STORAGE_PROVIDER_ID VARCHAR(255), REALM_ID VARCHAR(36) NOT NULL, BROKER_USER_ID VARCHAR(255), BROKER_USERNAME VARCHAR(255), TOKEN CLOB, USER_ID VARCHAR(255) NOT NULL);

CREATE TABLE PUBLIC.FED_USER_ATTRIBUTE (ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, USER_ID VARCHAR(255) NOT NULL, REALM_ID VARCHAR(36) NOT NULL, STORAGE_PROVIDER_ID VARCHAR(36), VALUE VARCHAR(2024));

CREATE TABLE PUBLIC.FED_USER_CONSENT (ID VARCHAR(36) NOT NULL, CLIENT_ID VARCHAR(36) NOT NULL, USER_ID VARCHAR(255) NOT NULL, REALM_ID VARCHAR(36) NOT NULL, STORAGE_PROVIDER_ID VARCHAR(36));

CREATE TABLE PUBLIC.FED_USER_CONSENT_ROLE (USER_CONSENT_ID VARCHAR(36) NOT NULL, ROLE_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.FED_USER_CONSENT_PROT_MAPPER (USER_CONSENT_ID VARCHAR(36) NOT NULL, PROTOCOL_MAPPER_ID VARCHAR(36) NOT NULL);

CREATE TABLE PUBLIC.FED_USER_CREDENTIAL (ID VARCHAR(36) NOT NULL, DEVICE VARCHAR(255), HASH_ITERATIONS INT, SALT BLOB, TYPE VARCHAR(255), VALUE VARCHAR(255), CREATED_DATE BIGINT, COUNTER INT DEFAULT 0, DIGITS INT DEFAULT 6, PERIOD INT DEFAULT 30, ALGORITHM VARCHAR(36) DEFAULT 'HmacSHA1', USER_ID VARCHAR(255) NOT NULL, REALM_ID VARCHAR(36) NOT NULL, STORAGE_PROVIDER_ID VARCHAR(36));

CREATE TABLE PUBLIC.FED_USER_GROUP_MEMBERSHIP (GROUP_ID VARCHAR(36) NOT NULL, USER_ID VARCHAR(255) NOT NULL, REALM_ID VARCHAR(36) NOT NULL, STORAGE_PROVIDER_ID VARCHAR(36));

CREATE TABLE PUBLIC.FED_USER_REQUIRED_ACTION (REQUIRED_ACTION VARCHAR(255) DEFAULT ' ' NOT NULL, USER_ID VARCHAR(255) NOT NULL, REALM_ID VARCHAR(36) NOT NULL, STORAGE_PROVIDER_ID VARCHAR(36));

CREATE TABLE PUBLIC.FED_USER_ROLE_MAPPING (ROLE_ID VARCHAR(36) NOT NULL, USER_ID VARCHAR(255) NOT NULL, REALM_ID VARCHAR(36) NOT NULL, STORAGE_PROVIDER_ID VARCHAR(36));

CREATE TABLE PUBLIC.COMPONENT_CONFIG (ID VARCHAR(36) NOT NULL, COMPONENT_ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, VALUE VARCHAR(4000));

CREATE TABLE PUBLIC.COMPONENT (ID VARCHAR(36) NOT NULL, NAME VARCHAR(255), PARENT_ID VARCHAR(36), PROVIDER_ID VARCHAR(36), PROVIDER_TYPE VARCHAR(255), REALM_ID VARCHAR(36));

ALTER TABLE PUBLIC.BROKER_LINK ADD CONSTRAINT CONSTR_BROKER_LINK_PK PRIMARY KEY (IDENTITY_PROVIDER, USER_ID);

ALTER TABLE PUBLIC.FED_USER_ATTRIBUTE ADD CONSTRAINT CONSTR_FED_USER_ATTR_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.FED_USER_CONSENT ADD CONSTRAINT CONSTR_FED_USER_CONSENT_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.FED_USER_CONSENT_ROLE ADD CONSTRAINT CONSTR_USER_CONSENT_ROLE_PK PRIMARY KEY (USER_CONSENT_ID, ROLE_ID);

ALTER TABLE PUBLIC.FED_USER_CONSENT_PROT_MAPPER ADD CONSTRAINT CONSTR_USER_CONSENT_PROTM_PK PRIMARY KEY (USER_CONSENT_ID, PROTOCOL_MAPPER_ID);

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL ADD CONSTRAINT CONSTR_FED_USER_CRED_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.FED_USER_GROUP_MEMBERSHIP ADD CONSTRAINT CONSTR_FED_USER_GROUP PRIMARY KEY (GROUP_ID, USER_ID);

ALTER TABLE PUBLIC.FED_USER_ROLE_MAPPING ADD CONSTRAINT CONSTR_FED_USER_ROLE PRIMARY KEY (ROLE_ID, USER_ID);

ALTER TABLE PUBLIC.FED_USER_REQUIRED_ACTION ADD CONSTRAINT CONSTR_FED_REQUIRED_ACTION PRIMARY KEY (REQUIRED_ACTION, USER_ID);

ALTER TABLE PUBLIC.COMPONENT ADD CONSTRAINT CONSTR_COMPONENT_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.COMPONENT_CONFIG ADD CONSTRAINT CONSTR_COMPONENT_CONFIG_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.COMPONENT ADD CONSTRAINT FK_COMPONENT_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.COMPONENT_CONFIG ADD CONSTRAINT FK_COMPONENT_CONFIG FOREIGN KEY (COMPONENT_ID) REFERENCES PUBLIC.COMPONENT (ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2.1.0-KEYCLOAK-5461', 'bburke@redhat.com', 'META-INF/jpa-changelog-2.1.0.xml', NOW(), 29, '7:f1f9fd8710399d725b780f463c6b21cd', 'createTable tableName=BROKER_LINK; createTable tableName=FED_USER_ATTRIBUTE; createTable tableName=FED_USER_CONSENT; createTable tableName=FED_USER_CONSENT_ROLE; createTable tableName=FED_USER_CONSENT_PROT_MAPPER; createTable tableName=FED_USER_CR...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-2.2.0.xml::2.2.0::bburke@redhat.com
ALTER TABLE PUBLIC.ADMIN_EVENT_ENTITY ADD RESOURCE_TYPE VARCHAR(64);

CREATE TABLE PUBLIC.CREDENTIAL_ATTRIBUTE (ID VARCHAR(36) NOT NULL, CREDENTIAL_ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, VALUE VARCHAR(4000));

CREATE TABLE PUBLIC.FED_CREDENTIAL_ATTRIBUTE (ID VARCHAR(36) NOT NULL, CREDENTIAL_ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, VALUE VARCHAR(4000));

ALTER TABLE PUBLIC.CREDENTIAL ALTER COLUMN VALUE VARCHAR(4000);

ALTER TABLE PUBLIC.FED_CREDENTIAL_ATTRIBUTE ADD CONSTRAINT FK_FED_CRED_ATTR FOREIGN KEY (CREDENTIAL_ID) REFERENCES PUBLIC.FED_USER_CREDENTIAL (ID);

ALTER TABLE PUBLIC.CREDENTIAL_ATTRIBUTE ADD CONSTRAINT FK_CRED_ATTR FOREIGN KEY (CREDENTIAL_ID) REFERENCES PUBLIC.CREDENTIAL (ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2.2.0', 'bburke@redhat.com', 'META-INF/jpa-changelog-2.2.0.xml', NOW(), 30, '7:53188c3eb1107546e6f765835705b6c1', 'addColumn tableName=ADMIN_EVENT_ENTITY; createTable tableName=CREDENTIAL_ATTRIBUTE; createTable tableName=FED_CREDENTIAL_ATTRIBUTE; modifyDataType columnName=VALUE, tableName=CREDENTIAL; addForeignKeyConstraint baseTableName=FED_CREDENTIAL_ATTRIBU...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-2.3.0.xml::2.3.0::bburke@redhat.com
CREATE TABLE PUBLIC.FEDERATED_USER (ID VARCHAR(255) NOT NULL, STORAGE_PROVIDER_ID VARCHAR(255), REALM_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.FEDERATED_USER ADD CONSTRAINT CONSTR_FEDERATED_USER PRIMARY KEY (ID);

ALTER TABLE PUBLIC.USER_ENTITY ALTER COLUMN  TOTP SET DEFAULT NULL;

ALTER TABLE PUBLIC.USER_ENTITY DROP COLUMN TOTP;

ALTER TABLE PUBLIC.IDENTITY_PROVIDER ADD PROVIDER_DISPLAY_NAME VARCHAR(255);

ALTER TABLE PUBLIC.COMPONENT ADD SUB_TYPE VARCHAR(255);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
ALTER TABLE PUBLIC.REALM DROP COLUMN CODE_SECRET;

ALTER TABLE PUBLIC.REALM DROP COLUMN PRIVATE_KEY;

ALTER TABLE PUBLIC.REALM DROP COLUMN PUBLIC_KEY;

ALTER TABLE PUBLIC.REALM DROP COLUMN CERTIFICATE;

ALTER TABLE PUBLIC.USER_CONSENT ADD CREATED_DATE BIGINT;

ALTER TABLE PUBLIC.USER_CONSENT ADD LAST_UPDATED_DATE BIGINT;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2.3.0', 'bburke@redhat.com', 'META-INF/jpa-changelog-2.3.0.xml', NOW(), 31, '7:d6e6f3bc57a0c5586737d1351725d4d4', 'createTable tableName=FEDERATED_USER; addPrimaryKey constraintName=CONSTR_FEDERATED_USER, tableName=FEDERATED_USER; dropDefaultValue columnName=TOTP, tableName=USER_ENTITY; dropColumn columnName=TOTP, tableName=USER_ENTITY; addColumn tableName=IDE...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-2.4.0.xml::2.4.0::bburke@redhat.com
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2.4.0', 'bburke@redhat.com', 'META-INF/jpa-changelog-2.4.0.xml', NOW(), 32, '7:454d604fbd755d9df3fd9c6329043aa5', 'customChange', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-2.5.0.xml::2.5.0::bburke@redhat.com
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
ALTER TABLE PUBLIC.OFFLINE_USER_SESSION ALTER COLUMN USER_ID VARCHAR(255);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2.5.0', 'bburke@redhat.com', 'META-INF/jpa-changelog-2.5.0.xml', NOW(), 33, '7:57e98a3077e29caf562f7dbf80c72600', 'customChange; modifyDataType columnName=USER_ID, tableName=OFFLINE_USER_SESSION', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-2.5.0.xml::2.5.0-unicode-oracle::hmlnarik@redhat.com
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2.5.0-unicode-oracle', 'hmlnarik@redhat.com', 'META-INF/jpa-changelog-2.5.0.xml', NOW(), 34, '7:e4c7e8f2256210aee71ddc42f538b57a', 'modifyDataType columnName=DESCRIPTION, tableName=AUTHENTICATION_FLOW; modifyDataType columnName=DESCRIPTION, tableName=CLIENT_TEMPLATE; modifyDataType columnName=DESCRIPTION, tableName=RESOURCE_SERVER_POLICY; modifyDataType columnName=DESCRIPTION,...', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-2.5.0.xml::2.5.0-unicode-other-dbs::hmlnarik@redhat.com
ALTER TABLE PUBLIC.AUTHENTICATION_FLOW ALTER COLUMN DESCRIPTION NVARCHAR(255);

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ALTER COLUMN DESCRIPTION NVARCHAR(255);

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ALTER COLUMN DESCRIPTION NVARCHAR(255);

ALTER TABLE PUBLIC.CLIENT ALTER COLUMN DESCRIPTION NVARCHAR(255);

ALTER TABLE PUBLIC.CLIENT ALTER COLUMN NAME NVARCHAR(255);

ALTER TABLE PUBLIC.USER_ENTITY DROP CONSTRAINT UK_RU8TT6T700S9V50BU18WS5HA6;

ALTER TABLE PUBLIC.USER_ENTITY ALTER COLUMN FIRST_NAME NVARCHAR(255);

ALTER TABLE PUBLIC.USER_ENTITY ALTER COLUMN LAST_NAME NVARCHAR(255);

ALTER TABLE PUBLIC.USER_ENTITY ALTER COLUMN USERNAME NVARCHAR(255);

ALTER TABLE PUBLIC.USER_ENTITY ADD CONSTRAINT UK_RU8TT6T700S9V50BU18WS5HA6 UNIQUE (REALM_ID, USERNAME);

ALTER TABLE PUBLIC.USERNAME_LOGIN_FAILURE DROP PRIMARY KEY;

ALTER TABLE PUBLIC.USERNAME_LOGIN_FAILURE ALTER COLUMN USERNAME NVARCHAR(255);

ALTER TABLE PUBLIC.USERNAME_LOGIN_FAILURE ALTER COLUMN USERNAME SET NOT NULL;

ALTER TABLE PUBLIC.USERNAME_LOGIN_FAILURE ADD CONSTRAINT "CONSTRAINT_17-2" PRIMARY KEY (REALM_ID, USERNAME);

ALTER TABLE PUBLIC.KEYCLOAK_GROUP ALTER COLUMN NAME NVARCHAR(255);

ALTER TABLE PUBLIC.USER_ATTRIBUTE ALTER COLUMN VALUE NVARCHAR(255);

ALTER TABLE PUBLIC.GROUP_ATTRIBUTE ALTER COLUMN VALUE NVARCHAR(255);

ALTER TABLE PUBLIC.REALM_ATTRIBUTE ALTER COLUMN VALUE NVARCHAR(255);

ALTER TABLE PUBLIC.COMPONENT_CONFIG ALTER COLUMN VALUE NVARCHAR(4000);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE DROP CONSTRAINT "UK_J3RWUVD56ONTGSUHOGM184WW2-2";

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ALTER COLUMN NAME NVARCHAR(255);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ADD CONSTRAINT "UK_J3RWUVD56ONTGSUHOGM184WW2-2" UNIQUE (NAME, CLIENT_REALM_CONSTRAINT);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ALTER COLUMN DESCRIPTION NVARCHAR(255);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2.5.0-unicode-other-dbs', 'hmlnarik@redhat.com', 'META-INF/jpa-changelog-2.5.0.xml', NOW(), 35, '7:09a43c97e49bc626460480aa1379b522', 'modifyDataType columnName=DESCRIPTION, tableName=AUTHENTICATION_FLOW; modifyDataType columnName=DESCRIPTION, tableName=CLIENT_TEMPLATE; modifyDataType columnName=DESCRIPTION, tableName=RESOURCE_SERVER_POLICY; modifyDataType columnName=DESCRIPTION,...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-2.5.0.xml::2.5.0-duplicate-email-support::slawomir@dabek.name
ALTER TABLE PUBLIC.REALM ADD LOGIN_WITH_EMAIL_ALLOWED BOOLEAN DEFAULT TRUE NOT NULL;

ALTER TABLE PUBLIC.REALM ADD DUPLICATE_EMAILS_ALLOWED BOOLEAN DEFAULT FALSE NOT NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2.5.0-duplicate-email-support', 'slawomir@dabek.name', 'META-INF/jpa-changelog-2.5.0.xml', NOW(), 36, '7:26bfc7c74fefa9126f2ce702fb775553', 'addColumn tableName=REALM', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-2.5.0.xml::2.5.0-unique-group-names::hmlnarik@redhat.com
ALTER TABLE PUBLIC.KEYCLOAK_GROUP ADD CONSTRAINT SIBLING_NAMES UNIQUE (REALM_ID, PARENT_GROUP, NAME);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2.5.0-unique-group-names', 'hmlnarik@redhat.com', 'META-INF/jpa-changelog-2.5.0.xml', NOW(), 37, '7:a161e2ae671a9020fff61e996a207377', 'addUniqueConstraint constraintName=SIBLING_NAMES, tableName=KEYCLOAK_GROUP', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-2.5.1.xml::2.5.1::bburke@redhat.com
ALTER TABLE PUBLIC.FED_USER_CONSENT ADD CREATED_DATE BIGINT;

ALTER TABLE PUBLIC.FED_USER_CONSENT ADD LAST_UPDATED_DATE BIGINT;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2.5.1', 'bburke@redhat.com', 'META-INF/jpa-changelog-2.5.1.xml', NOW(), 38, '7:37fc1781855ac5388c494f1442b3f717', 'addColumn tableName=FED_USER_CONSENT', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.0.0.xml::3.0.0::bburke@redhat.com
ALTER TABLE PUBLIC.IDENTITY_PROVIDER ADD LINK_ONLY BOOLEAN DEFAULT FALSE NOT NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.0.0', 'bburke@redhat.com', 'META-INF/jpa-changelog-3.0.0.xml', NOW(), 39, '7:13a27db0dae6049541136adad7261d27', 'addColumn tableName=IDENTITY_PROVIDER', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.2.0.xml::3.2.0-fix::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.2.0-fix', 'keycloak', 'META-INF/jpa-changelog-3.2.0.xml', NOW(), 40, '7:550300617e3b59e8af3a6294df8248a3', 'addNotNullConstraint columnName=REALM_ID, tableName=CLIENT_INITIAL_ACCESS', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.2.0.xml::3.2.0-fix-with-keycloak-5416::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.2.0-fix-with-keycloak-5416', 'keycloak', 'META-INF/jpa-changelog-3.2.0.xml', NOW(), 41, '7:e3a9482b8931481dc2772a5c07c44f17', 'dropIndex indexName=IDX_CLIENT_INIT_ACC_REALM, tableName=CLIENT_INITIAL_ACCESS; addNotNullConstraint columnName=REALM_ID, tableName=CLIENT_INITIAL_ACCESS; createIndex indexName=IDX_CLIENT_INIT_ACC_REALM, tableName=CLIENT_INITIAL_ACCESS', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.2.0.xml::3.2.0-fix-offline-sessions::hmlnarik
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.2.0-fix-offline-sessions', 'hmlnarik', 'META-INF/jpa-changelog-3.2.0.xml', NOW(), 42, '7:72b07d85a2677cb257edb02b408f332d', 'customChange', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.2.0.xml::3.2.0-fixed::keycloak
ALTER TABLE PUBLIC.REALM ADD DOCKER_AUTH_FLOW VARCHAR(36);

ALTER TABLE PUBLIC.OFFLINE_CLIENT_SESSION DROP PRIMARY KEY;

ALTER TABLE PUBLIC.OFFLINE_CLIENT_SESSION DROP COLUMN CLIENT_SESSION_ID;

ALTER TABLE PUBLIC.OFFLINE_CLIENT_SESSION ADD CONSTRAINT CONSTRAINT_OFFL_CL_SES_PK3 PRIMARY KEY (USER_SESSION_ID, CLIENT_ID, OFFLINE_FLAG);

CREATE TABLE PUBLIC.CLIENT_INITIAL_ACCESS (ID VARCHAR(36) NOT NULL, REALM_ID VARCHAR(36) NOT NULL, TIMESTAMP INT, EXPIRATION INT, COUNT INT, REMAINING_COUNT INT);

ALTER TABLE PUBLIC.CLIENT_INITIAL_ACCESS ADD CONSTRAINT CNSTR_CLIENT_INIT_ACC_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.CLIENT_INITIAL_ACCESS ADD CONSTRAINT FK_CLIENT_INIT_ACC_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

CREATE INDEX PUBLIC.IDX_ASSOC_POL_ASSOC_POL_ID ON PUBLIC.ASSOCIATED_POLICY(ASSOCIATED_POLICY_ID);

CREATE INDEX PUBLIC.IDX_AUTH_EXEC_REALM_FLOW ON PUBLIC.AUTHENTICATION_EXECUTION(REALM_ID, FLOW_ID);

CREATE INDEX PUBLIC.IDX_AUTH_EXEC_FLOW ON PUBLIC.AUTHENTICATION_EXECUTION(FLOW_ID);

CREATE INDEX PUBLIC.IDX_AUTH_FLOW_REALM ON PUBLIC.AUTHENTICATION_FLOW(REALM_ID);

CREATE INDEX PUBLIC.IDX_AUTH_CONFIG_REALM ON PUBLIC.AUTHENTICATOR_CONFIG(REALM_ID);

CREATE INDEX PUBLIC.IDX_CLIENT_CLIENT_TEMPL_ID ON PUBLIC.CLIENT(CLIENT_TEMPLATE_ID);

CREATE INDEX PUBLIC.IDX_CLIENT_DEF_ROLES_CLIENT ON PUBLIC.CLIENT_DEFAULT_ROLES(CLIENT_ID);

CREATE INDEX PUBLIC.IDX_CLIENT_ID_PROV_MAP_CLIENT ON PUBLIC.CLIENT_IDENTITY_PROV_MAPPING(CLIENT_ID);

CREATE INDEX PUBLIC.IDX_CLIENT_SESSION_SESSION ON PUBLIC.CLIENT_SESSION(SESSION_ID);

CREATE INDEX PUBLIC.IDX_COMPONENT_REALM ON PUBLIC.COMPONENT(REALM_ID);

CREATE INDEX PUBLIC.IDX_COMPO_CONFIG_COMPO ON PUBLIC.COMPONENT_CONFIG(COMPONENT_ID);

CREATE INDEX PUBLIC.IDX_COMPOSITE ON PUBLIC.COMPOSITE_ROLE(COMPOSITE);

CREATE INDEX PUBLIC.IDX_COMPOSITE_CHILD ON PUBLIC.COMPOSITE_ROLE(CHILD_ROLE);

CREATE INDEX PUBLIC.IDX_CREDENTIAL_ATTR_CRED ON PUBLIC.CREDENTIAL_ATTRIBUTE(CREDENTIAL_ID);

CREATE INDEX PUBLIC.IDX_FED_CRED_ATTR_CRED ON PUBLIC.FED_CREDENTIAL_ATTRIBUTE(CREDENTIAL_ID);

CREATE INDEX PUBLIC.IDX_GROUP_ATTR_GROUP ON PUBLIC.GROUP_ATTRIBUTE(GROUP_ID);

CREATE INDEX PUBLIC.IDX_GROUP_ROLE_MAPP_GROUP ON PUBLIC.GROUP_ROLE_MAPPING(GROUP_ID);

CREATE INDEX PUBLIC.IDX_IDENT_PROV_REALM ON PUBLIC.IDENTITY_PROVIDER(REALM_ID);

CREATE INDEX PUBLIC.IDX_ID_PROV_MAPP_REALM ON PUBLIC.IDENTITY_PROVIDER_MAPPER(REALM_ID);

CREATE INDEX PUBLIC.IDX_KEYCLOAK_ROLE_CLIENT ON PUBLIC.KEYCLOAK_ROLE(CLIENT);

CREATE INDEX PUBLIC.IDX_KEYCLOAK_ROLE_REALM ON PUBLIC.KEYCLOAK_ROLE(REALM);

CREATE INDEX PUBLIC.IDX_PROTOCOL_MAPPER_CLIENT ON PUBLIC.PROTOCOL_MAPPER(CLIENT_ID);

CREATE INDEX PUBLIC.IDX_PROTO_MAPP_CLIENT_TEMPL ON PUBLIC.PROTOCOL_MAPPER(CLIENT_TEMPLATE_ID);

CREATE INDEX PUBLIC.IDX_REALM_MASTER_ADM_CLI ON PUBLIC.REALM(MASTER_ADMIN_CLIENT);

CREATE INDEX PUBLIC.IDX_REALM_ATTR_REALM ON PUBLIC.REALM_ATTRIBUTE(REALM_ID);

CREATE INDEX PUBLIC.IDX_REALM_DEF_GRP_REALM ON PUBLIC.REALM_DEFAULT_GROUPS(REALM_ID);

CREATE INDEX PUBLIC.IDX_REALM_DEF_ROLES_REALM ON PUBLIC.REALM_DEFAULT_ROLES(REALM_ID);

CREATE INDEX PUBLIC.IDX_REALM_EVT_TYPES_REALM ON PUBLIC.REALM_ENABLED_EVENT_TYPES(REALM_ID);

CREATE INDEX PUBLIC.IDX_REALM_EVT_LIST_REALM ON PUBLIC.REALM_EVENTS_LISTENERS(REALM_ID);

CREATE INDEX PUBLIC.IDX_REALM_SUPP_LOCAL_REALM ON PUBLIC.REALM_SUPPORTED_LOCALES(REALM_ID);

CREATE INDEX PUBLIC.IDX_REDIR_URI_CLIENT ON PUBLIC.REDIRECT_URIS(CLIENT_ID);

CREATE INDEX PUBLIC.IDX_REQ_ACT_PROV_REALM ON PUBLIC.REQUIRED_ACTION_PROVIDER(REALM_ID);

CREATE INDEX PUBLIC.IDX_RES_POLICY_POLICY ON PUBLIC.RESOURCE_POLICY(POLICY_ID);

CREATE INDEX PUBLIC.IDX_RES_SCOPE_SCOPE ON PUBLIC.RESOURCE_SCOPE(SCOPE_ID);

CREATE INDEX PUBLIC.IDX_RES_SERV_POL_RES_SERV ON PUBLIC.RESOURCE_SERVER_POLICY(RESOURCE_SERVER_ID);

CREATE INDEX PUBLIC.IDX_RES_SRV_RES_RES_SRV ON PUBLIC.RESOURCE_SERVER_RESOURCE(RESOURCE_SERVER_ID);

CREATE INDEX PUBLIC.IDX_RES_SRV_SCOPE_RES_SRV ON PUBLIC.RESOURCE_SERVER_SCOPE(RESOURCE_SERVER_ID);

CREATE INDEX PUBLIC.IDX_SCOPE_MAPPING_ROLE ON PUBLIC.SCOPE_MAPPING(ROLE_ID);

CREATE INDEX PUBLIC.IDX_SCOPE_POLICY_POLICY ON PUBLIC.SCOPE_POLICY(POLICY_ID);

CREATE INDEX PUBLIC.IDX_TEMPL_SCOPE_MAPP_ROLE ON PUBLIC.TEMPLATE_SCOPE_MAPPING(ROLE_ID);

CREATE INDEX PUBLIC.IDX_USR_FED_MAP_FED_PRV ON PUBLIC.USER_FEDERATION_MAPPER(FEDERATION_PROVIDER_ID);

CREATE INDEX PUBLIC.IDX_USR_FED_MAP_REALM ON PUBLIC.USER_FEDERATION_MAPPER(REALM_ID);

CREATE INDEX PUBLIC.IDX_USR_FED_PRV_REALM ON PUBLIC.USER_FEDERATION_PROVIDER(REALM_ID);

CREATE INDEX PUBLIC.IDX_WEB_ORIG_CLIENT ON PUBLIC.WEB_ORIGINS(CLIENT_ID);

CREATE INDEX PUBLIC.IDX_CLIENT_INIT_ACC_REALM ON PUBLIC.CLIENT_INITIAL_ACCESS(REALM_ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.2.0-fixed', 'keycloak', 'META-INF/jpa-changelog-3.2.0.xml', NOW(), 43, '7:a72a7858967bd414835d19e04d880312', 'addColumn tableName=REALM; dropPrimaryKey constraintName=CONSTRAINT_OFFL_CL_SES_PK2, tableName=OFFLINE_CLIENT_SESSION; dropColumn columnName=CLIENT_SESSION_ID, tableName=OFFLINE_CLIENT_SESSION; addPrimaryKey constraintName=CONSTRAINT_OFFL_CL_SES_P...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.3.0.xml::3.3.0::keycloak
ALTER TABLE PUBLIC.USER_ENTITY ADD NOT_BEFORE INT DEFAULT 0 NOT NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.3.0', 'keycloak', 'META-INF/jpa-changelog-3.3.0.xml', NOW(), 44, '7:94edff7cf9ce179e7e85f0cd78a3cf2c', 'addColumn tableName=USER_ENTITY', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-3.4.0.CR1.xml::authz-3.4.0.CR1-resource-server-pk-change-part1::glavoie@gmail.com
ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ADD RESOURCE_SERVER_CLIENT_ID VARCHAR(36);

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ADD RESOURCE_SERVER_CLIENT_ID VARCHAR(36);

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE ADD RESOURCE_SERVER_CLIENT_ID VARCHAR(36);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-3.4.0.CR1-resource-server-pk-change-part1', 'glavoie@gmail.com', 'META-INF/jpa-changelog-authz-3.4.0.CR1.xml', NOW(), 45, '7:6a48ce645a3525488a90fbf76adf3bb3', 'addColumn tableName=RESOURCE_SERVER_POLICY; addColumn tableName=RESOURCE_SERVER_RESOURCE; addColumn tableName=RESOURCE_SERVER_SCOPE', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-3.4.0.CR1.xml::authz-3.4.0.CR1-resource-server-pk-change-part2-KEYCLOAK-6095::hmlnarik@redhat.com
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-3.4.0.CR1-resource-server-pk-change-part2-KEYCLOAK-6095', 'hmlnarik@redhat.com', 'META-INF/jpa-changelog-authz-3.4.0.CR1.xml', NOW(), 46, '7:e64b5dcea7db06077c6e57d3b9e5ca14', 'customChange', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-3.4.0.CR1.xml::authz-3.4.0.CR1-resource-server-pk-change-part3-fixed::glavoie@gmail.com
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-3.4.0.CR1-resource-server-pk-change-part3-fixed', 'glavoie@gmail.com', 'META-INF/jpa-changelog-authz-3.4.0.CR1.xml', NOW(), 47, '7:fd8cf02498f8b1e72496a20afc75178c', 'dropIndex indexName=IDX_RES_SERV_POL_RES_SERV, tableName=RESOURCE_SERVER_POLICY; dropIndex indexName=IDX_RES_SRV_RES_RES_SRV, tableName=RESOURCE_SERVER_RESOURCE; dropIndex indexName=IDX_RES_SRV_SCOPE_RES_SRV, tableName=RESOURCE_SERVER_SCOPE', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-3.4.0.CR1.xml::authz-3.4.0.CR1-resource-server-pk-change-part3-fixed-nodropindex::glavoie@gmail.com
ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ALTER COLUMN RESOURCE_SERVER_CLIENT_ID SET NOT NULL;

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ALTER COLUMN RESOURCE_SERVER_CLIENT_ID SET NOT NULL;

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE ALTER COLUMN RESOURCE_SERVER_CLIENT_ID SET NOT NULL;

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY DROP CONSTRAINT UK_FRSRPT700S9V50BU18WS5HA6;

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE DROP CONSTRAINT UK_FRSR6T700S9V50BU18WS5HA6;

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE DROP CONSTRAINT UK_FRSRST700S9V50BU18WS5HA6;

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY DROP CONSTRAINT FK_FRSRPO213XCX4WNKOG82SSRFY;

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY DROP COLUMN RESOURCE_SERVER_ID;

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE DROP CONSTRAINT FK_FRSRHO213XCX4WNKOG82SSRFY;

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE DROP COLUMN RESOURCE_SERVER_ID;

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE DROP CONSTRAINT FK_FRSRSO213XCX4WNKOG82SSRFY;

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE DROP COLUMN RESOURCE_SERVER_ID;

ALTER TABLE PUBLIC.RESOURCE_SERVER DROP PRIMARY KEY;

ALTER TABLE PUBLIC.RESOURCE_SERVER DROP CONSTRAINT UK_AU8TT6T700S9V50BU18WS5HA6;

ALTER TABLE PUBLIC.RESOURCE_SERVER DROP COLUMN ID;

ALTER TABLE PUBLIC.RESOURCE_SERVER ALTER COLUMN CLIENT_ID RENAME TO ID;

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ALTER COLUMN RESOURCE_SERVER_CLIENT_ID RENAME TO RESOURCE_SERVER_ID;

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ALTER COLUMN RESOURCE_SERVER_CLIENT_ID RENAME TO RESOURCE_SERVER_ID;

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE ALTER COLUMN RESOURCE_SERVER_CLIENT_ID RENAME TO RESOURCE_SERVER_ID;

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ADD CONSTRAINT UK_FRSRPT700S9V50BU18WS5HA6 UNIQUE (NAME, RESOURCE_SERVER_ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ADD CONSTRAINT UK_FRSR6T700S9V50BU18WS5HA6 UNIQUE (NAME, OWNER, RESOURCE_SERVER_ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE ADD CONSTRAINT UK_FRSRST700S9V50BU18WS5HA6 UNIQUE (NAME, RESOURCE_SERVER_ID);

CREATE INDEX PUBLIC.IDX_RES_SERV_POL_RES_SERV ON PUBLIC.RESOURCE_SERVER_POLICY(RESOURCE_SERVER_ID);

CREATE INDEX PUBLIC.IDX_RES_SRV_RES_RES_SRV ON PUBLIC.RESOURCE_SERVER_RESOURCE(RESOURCE_SERVER_ID);

CREATE INDEX PUBLIC.IDX_RES_SRV_SCOPE_RES_SRV ON PUBLIC.RESOURCE_SERVER_SCOPE(RESOURCE_SERVER_ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER ADD CONSTRAINT PK_RESOURCE_SERVER PRIMARY KEY (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ADD CONSTRAINT FK_FRSRPO213XCX4WNKOG82SSRFY FOREIGN KEY (RESOURCE_SERVER_ID) REFERENCES PUBLIC.RESOURCE_SERVER (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ADD CONSTRAINT FK_FRSRHO213XCX4WNKOG82SSRFY FOREIGN KEY (RESOURCE_SERVER_ID) REFERENCES PUBLIC.RESOURCE_SERVER (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE ADD CONSTRAINT FK_FRSRSO213XCX4WNKOG82SSRFY FOREIGN KEY (RESOURCE_SERVER_ID) REFERENCES PUBLIC.RESOURCE_SERVER (ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-3.4.0.CR1-resource-server-pk-change-part3-fixed-nodropindex', 'glavoie@gmail.com', 'META-INF/jpa-changelog-authz-3.4.0.CR1.xml', NOW(), 48, '7:542794f25aa2b1fbabb7e577d6646319', 'addNotNullConstraint columnName=RESOURCE_SERVER_CLIENT_ID, tableName=RESOURCE_SERVER_POLICY; addNotNullConstraint columnName=RESOURCE_SERVER_CLIENT_ID, tableName=RESOURCE_SERVER_RESOURCE; addNotNullConstraint columnName=RESOURCE_SERVER_CLIENT_ID, ...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-3.4.0.CR1.xml::authn-3.4.0.CR1-refresh-token-max-reuse::glavoie@gmail.com
ALTER TABLE PUBLIC.REALM ADD REFRESH_TOKEN_MAX_REUSE INT DEFAULT 0;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authn-3.4.0.CR1-refresh-token-max-reuse', 'glavoie@gmail.com', 'META-INF/jpa-changelog-authz-3.4.0.CR1.xml', NOW(), 49, '7:edad604c882df12f74941dac3cc6d650', 'addColumn tableName=REALM', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.4.0.xml::3.4.0::keycloak
ALTER TABLE PUBLIC.REALM_DEFAULT_ROLES ADD CONSTRAINT CONSTRAINT_REALM_DEFAULT_ROLES PRIMARY KEY (REALM_ID, ROLE_ID);

ALTER TABLE PUBLIC.COMPOSITE_ROLE ADD CONSTRAINT CONSTRAINT_COMPOSITE_ROLE PRIMARY KEY (COMPOSITE, CHILD_ROLE);

ALTER TABLE PUBLIC.REALM_DEFAULT_GROUPS ADD CONSTRAINT CONSTR_REALM_DEFAULT_GROUPS PRIMARY KEY (REALM_ID, GROUP_ID);

ALTER TABLE PUBLIC.CLIENT_IDENTITY_PROV_MAPPING ADD CONSTRAINT CONSTR_CLIENT_IDEN_PROV_MAP PRIMARY KEY (CLIENT_ID, IDENTITY_PROVIDER_ID);

ALTER TABLE PUBLIC.ADMIN_EVENT_ENTITY ADD CONSTRAINT CONSTRAINT_ADMIN_EVENT_ENTITY PRIMARY KEY (ID);

ALTER TABLE PUBLIC.CREDENTIAL_ATTRIBUTE ADD CONSTRAINT CONSTRAINT_CREDENTIAL_ATTR PRIMARY KEY (ID);

ALTER TABLE PUBLIC.FED_CREDENTIAL_ATTRIBUTE ADD CONSTRAINT CONSTRAINT_FED_CREDENTIAL_ATTR PRIMARY KEY (ID);

ALTER TABLE PUBLIC.CLIENT_DEFAULT_ROLES DROP CONSTRAINT FK_NUILTS7KLWQW2H8M2B5JOYTKY;

ALTER TABLE PUBLIC.CLIENT_DEFAULT_ROLES ADD CONSTRAINT CONSTR_CLIENT_DEFAULT_ROLES PRIMARY KEY (CLIENT_ID, ROLE_ID);

ALTER TABLE PUBLIC.CLIENT_DEFAULT_ROLES ADD CONSTRAINT FK_NUILTS7KLWQW2H8M2B5JOYTKY FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.REALM_ENABLED_EVENT_TYPES ALTER COLUMN VALUE SET NOT NULL;

ALTER TABLE PUBLIC.REALM_ENABLED_EVENT_TYPES ADD CONSTRAINT CONSTR_REALM_ENABL_EVENT_TYPES PRIMARY KEY (REALM_ID, VALUE);

ALTER TABLE PUBLIC.REALM_EVENTS_LISTENERS ALTER COLUMN VALUE SET NOT NULL;

ALTER TABLE PUBLIC.REALM_EVENTS_LISTENERS ADD CONSTRAINT CONSTR_REALM_EVENTS_LISTENERS PRIMARY KEY (REALM_ID, VALUE);

ALTER TABLE PUBLIC.REALM_SUPPORTED_LOCALES ALTER COLUMN VALUE SET NOT NULL;

ALTER TABLE PUBLIC.REALM_SUPPORTED_LOCALES ADD CONSTRAINT CONSTR_REALM_SUPPORTED_LOCALES PRIMARY KEY (REALM_ID, VALUE);

ALTER TABLE PUBLIC.REDIRECT_URIS ALTER COLUMN VALUE SET NOT NULL;

ALTER TABLE PUBLIC.REDIRECT_URIS ADD CONSTRAINT CONSTRAINT_REDIRECT_URIS PRIMARY KEY (CLIENT_ID, VALUE);

ALTER TABLE PUBLIC.WEB_ORIGINS ALTER COLUMN VALUE SET NOT NULL;

ALTER TABLE PUBLIC.WEB_ORIGINS ADD CONSTRAINT CONSTRAINT_WEB_ORIGINS PRIMARY KEY (CLIENT_ID, VALUE);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.4.0', 'keycloak', 'META-INF/jpa-changelog-3.4.0.xml', NOW(), 50, '7:0f88b78b7b46480eb92690cbf5e44900', 'addPrimaryKey constraintName=CONSTRAINT_REALM_DEFAULT_ROLES, tableName=REALM_DEFAULT_ROLES; addPrimaryKey constraintName=CONSTRAINT_COMPOSITE_ROLE, tableName=COMPOSITE_ROLE; addPrimaryKey constraintName=CONSTR_REALM_DEFAULT_GROUPS, tableName=REALM...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.4.0.xml::3.4.0-KEYCLOAK-5230::hmlnarik@redhat.com
CREATE INDEX PUBLIC.IDX_FU_ATTRIBUTE ON PUBLIC.FED_USER_ATTRIBUTE(USER_ID, REALM_ID, NAME);

CREATE INDEX PUBLIC.IDX_FU_CONSENT ON PUBLIC.FED_USER_CONSENT(USER_ID, CLIENT_ID);

CREATE INDEX PUBLIC.IDX_FU_CONSENT_RU ON PUBLIC.FED_USER_CONSENT(REALM_ID, USER_ID);

CREATE INDEX PUBLIC.IDX_FU_CREDENTIAL ON PUBLIC.FED_USER_CREDENTIAL(USER_ID, TYPE);

CREATE INDEX PUBLIC.IDX_FU_CREDENTIAL_RU ON PUBLIC.FED_USER_CREDENTIAL(REALM_ID, USER_ID);

CREATE INDEX PUBLIC.IDX_FU_GROUP_MEMBERSHIP ON PUBLIC.FED_USER_GROUP_MEMBERSHIP(USER_ID, GROUP_ID);

CREATE INDEX PUBLIC.IDX_FU_GROUP_MEMBERSHIP_RU ON PUBLIC.FED_USER_GROUP_MEMBERSHIP(REALM_ID, USER_ID);

CREATE INDEX PUBLIC.IDX_FU_REQUIRED_ACTION ON PUBLIC.FED_USER_REQUIRED_ACTION(USER_ID, REQUIRED_ACTION);

CREATE INDEX PUBLIC.IDX_FU_REQUIRED_ACTION_RU ON PUBLIC.FED_USER_REQUIRED_ACTION(REALM_ID, USER_ID);

CREATE INDEX PUBLIC.IDX_FU_ROLE_MAPPING ON PUBLIC.FED_USER_ROLE_MAPPING(USER_ID, ROLE_ID);

CREATE INDEX PUBLIC.IDX_FU_ROLE_MAPPING_RU ON PUBLIC.FED_USER_ROLE_MAPPING(REALM_ID, USER_ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.4.0-KEYCLOAK-5230', 'hmlnarik@redhat.com', 'META-INF/jpa-changelog-3.4.0.xml', NOW(), 51, '7:d560e43982611d936457c327f872dd59', 'createIndex indexName=IDX_FU_ATTRIBUTE, tableName=FED_USER_ATTRIBUTE; createIndex indexName=IDX_FU_CONSENT, tableName=FED_USER_CONSENT; createIndex indexName=IDX_FU_CONSENT_RU, tableName=FED_USER_CONSENT; createIndex indexName=IDX_FU_CREDENTIAL, t...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.4.1.xml::3.4.1::psilva@redhat.com
ALTER TABLE PUBLIC.CLIENT_ATTRIBUTES ALTER COLUMN VALUE VARCHAR(4000);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.4.1', 'psilva@redhat.com', 'META-INF/jpa-changelog-3.4.1.xml', NOW(), 52, '7:c155566c42b4d14ef07059ec3b3bbd8e', 'modifyDataType columnName=VALUE, tableName=CLIENT_ATTRIBUTES', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.4.2.xml::3.4.2::keycloak
UPDATE PUBLIC.REALM SET REFRESH_TOKEN_MAX_REUSE = 0 WHERE REFRESH_TOKEN_MAX_REUSE IS NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.4.2', 'keycloak', 'META-INF/jpa-changelog-3.4.2.xml', NOW(), 53, '7:b40376581f12d70f3c89ba8ddf5b7dea', 'update tableName=REALM', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-3.4.2.xml::3.4.2-KEYCLOAK-5172::mkanis@redhat.com
UPDATE PUBLIC.CLIENT SET PROTOCOL = 'openid-connect' WHERE PROTOCOL IS NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3.4.2-KEYCLOAK-5172', 'mkanis@redhat.com', 'META-INF/jpa-changelog-3.4.2.xml', NOW(), 54, '7:a1132cc395f7b95b3646146c2e38f168', 'update tableName=CLIENT', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.0.0.xml::4.0.0-KEYCLOAK-6335::bburke@redhat.com
CREATE TABLE PUBLIC.CLIENT_AUTH_FLOW_BINDINGS (CLIENT_ID VARCHAR(36) NOT NULL, FLOW_ID VARCHAR(36), BINDING_NAME VARCHAR(255) NOT NULL);

ALTER TABLE PUBLIC.CLIENT_AUTH_FLOW_BINDINGS ADD CONSTRAINT C_CLI_FLOW_BIND PRIMARY KEY (CLIENT_ID, BINDING_NAME);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.0.0-KEYCLOAK-6335', 'bburke@redhat.com', 'META-INF/jpa-changelog-4.0.0.xml', NOW(), 55, '7:d8dc5d89c789105cfa7ca0e82cba60af', 'createTable tableName=CLIENT_AUTH_FLOW_BINDINGS; addPrimaryKey constraintName=C_CLI_FLOW_BIND, tableName=CLIENT_AUTH_FLOW_BINDINGS', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.0.0.xml::4.0.0-CLEANUP-UNUSED-TABLE::bburke@redhat.com
DROP TABLE PUBLIC.CLIENT_IDENTITY_PROV_MAPPING;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.0.0-CLEANUP-UNUSED-TABLE', 'bburke@redhat.com', 'META-INF/jpa-changelog-4.0.0.xml', NOW(), 56, '7:7822e0165097182e8f653c35517656a3', 'dropTable tableName=CLIENT_IDENTITY_PROV_MAPPING', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.0.0.xml::4.0.0-KEYCLOAK-6228::bburke@redhat.com
ALTER TABLE PUBLIC.USER_CONSENT DROP CONSTRAINT UK_JKUWUVD56ONTGSUHOGM8UEWRT;

ALTER TABLE PUBLIC.USER_CONSENT ALTER COLUMN CLIENT_ID SET NULL;

ALTER TABLE PUBLIC.USER_CONSENT ADD CLIENT_STORAGE_PROVIDER VARCHAR(36);

ALTER TABLE PUBLIC.USER_CONSENT ADD EXTERNAL_CLIENT_ID VARCHAR(255);

ALTER TABLE PUBLIC.USER_CONSENT ADD CONSTRAINT UK_JKUWUVD56ONTGSUHOGM8UEWRT UNIQUE (CLIENT_ID, CLIENT_STORAGE_PROVIDER, EXTERNAL_CLIENT_ID, USER_ID);

ALTER TABLE PUBLIC.FED_USER_CONSENT ADD CLIENT_STORAGE_PROVIDER VARCHAR(36);

ALTER TABLE PUBLIC.FED_USER_CONSENT ADD EXTERNAL_CLIENT_ID VARCHAR(255);

ALTER TABLE PUBLIC.FED_USER_CONSENT ALTER COLUMN CLIENT_ID SET NULL;

CREATE INDEX PUBLIC.IDX_FU_CNSNT_EXT ON PUBLIC.FED_USER_CONSENT(USER_ID, CLIENT_STORAGE_PROVIDER, EXTERNAL_CLIENT_ID);

ALTER TABLE PUBLIC.OFFLINE_CLIENT_SESSION ADD CLIENT_STORAGE_PROVIDER VARCHAR(36) DEFAULT 'local' NOT NULL;

ALTER TABLE PUBLIC.OFFLINE_CLIENT_SESSION ADD EXTERNAL_CLIENT_ID VARCHAR(255) DEFAULT 'local' NOT NULL;

UPDATE PUBLIC.OFFLINE_CLIENT_SESSION SET CLIENT_STORAGE_PROVIDER = 'local';

UPDATE PUBLIC.OFFLINE_CLIENT_SESSION SET EXTERNAL_CLIENT_ID = 'local';

ALTER TABLE PUBLIC.OFFLINE_CLIENT_SESSION DROP PRIMARY KEY;

ALTER TABLE PUBLIC.OFFLINE_CLIENT_SESSION ADD CONSTRAINT CONSTRAINT_OFFL_CL_SES_PK3 PRIMARY KEY (USER_SESSION_ID, CLIENT_ID, CLIENT_STORAGE_PROVIDER, EXTERNAL_CLIENT_ID, OFFLINE_FLAG);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.0.0-KEYCLOAK-6228', 'bburke@redhat.com', 'META-INF/jpa-changelog-4.0.0.xml', NOW(), 57, '7:c6538c29b9c9a08f9e9ea2de5c2b6375', 'dropUniqueConstraint constraintName=UK_JKUWUVD56ONTGSUHOGM8UEWRT, tableName=USER_CONSENT; dropNotNullConstraint columnName=CLIENT_ID, tableName=USER_CONSENT; addColumn tableName=USER_CONSENT; addUniqueConstraint constraintName=UK_JKUWUVD56ONTGSUHO...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.0.0.xml::4.0.0-KEYCLOAK-5579-fixed::mposolda@redhat.com
ALTER TABLE PUBLIC.CLIENT_TEMPLATE_ATTRIBUTES DROP CONSTRAINT FK_CL_TEMPL_ATTR_TEMPL;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE_ATTRIBUTES RENAME TO CLIENT_SCOPE_ATTRIBUTES;

ALTER TABLE PUBLIC.CLIENT_SCOPE_ATTRIBUTES ALTER COLUMN TEMPLATE_ID RENAME TO SCOPE_ID;

ALTER TABLE PUBLIC.TEMPLATE_SCOPE_MAPPING DROP CONSTRAINT FK_TEMPL_SCOPE_TEMPL;

ALTER TABLE PUBLIC.TEMPLATE_SCOPE_MAPPING DROP CONSTRAINT FK_TEMPL_SCOPE_ROLE;

ALTER TABLE PUBLIC.TEMPLATE_SCOPE_MAPPING RENAME TO CLIENT_SCOPE_ROLE_MAPPING;

ALTER TABLE PUBLIC.CLIENT_SCOPE_ROLE_MAPPING ALTER COLUMN TEMPLATE_ID RENAME TO SCOPE_ID;

ALTER TABLE PUBLIC.CLIENT DROP CONSTRAINT FK_CLI_TMPLT_CLIENT;

ALTER TABLE PUBLIC.PROTOCOL_MAPPER DROP CONSTRAINT FK_CLI_TMPLT_MAPPER;

ALTER TABLE PUBLIC.PROTOCOL_MAPPER ALTER COLUMN CLIENT_TEMPLATE_ID RENAME TO CLIENT_SCOPE_ID;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP CONSTRAINT FK_REALM_CLI_TMPLT;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP CONSTRAINT UK_CLI_TEMPLATE;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ALTER COLUMN  FULL_SCOPE_ALLOWED SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ALTER COLUMN  CONSENT_REQUIRED SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ALTER COLUMN  STANDARD_FLOW_ENABLED SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ALTER COLUMN  IMPLICIT_FLOW_ENABLED SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ALTER COLUMN  DIRECT_ACCESS_GRANTS_ENABLED SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ALTER COLUMN  SERVICE_ACCOUNTS_ENABLED SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ALTER COLUMN  FRONTCHANNEL_LOGOUT SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ALTER COLUMN  BEARER_ONLY SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE ALTER COLUMN  PUBLIC_CLIENT SET DEFAULT NULL;

DROP INDEX PUBLIC.IDX_TEMPL_SCOPE_MAPP_ROLE;

DROP INDEX PUBLIC.IDX_PROTO_MAPP_CLIENT_TEMPL;

DROP INDEX PUBLIC.IDX_CLIENT_CLIENT_TEMPL_ID;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP COLUMN FULL_SCOPE_ALLOWED;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP COLUMN CONSENT_REQUIRED;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP COLUMN STANDARD_FLOW_ENABLED;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP COLUMN IMPLICIT_FLOW_ENABLED;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP COLUMN DIRECT_ACCESS_GRANTS_ENABLED;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP COLUMN SERVICE_ACCOUNTS_ENABLED;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP COLUMN FRONTCHANNEL_LOGOUT;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP COLUMN BEARER_ONLY;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE DROP COLUMN PUBLIC_CLIENT;

ALTER TABLE PUBLIC.CLIENT_TEMPLATE RENAME TO CLIENT_SCOPE;

ALTER TABLE PUBLIC.CLIENT_SCOPE ADD CONSTRAINT UK_CLI_SCOPE UNIQUE (REALM_ID, NAME);

ALTER TABLE PUBLIC.CLIENT_SCOPE ADD CONSTRAINT FK_REALM_CLI_SCOPE FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.PROTOCOL_MAPPER ADD CONSTRAINT FK_CLI_SCOPE_MAPPER FOREIGN KEY (CLIENT_SCOPE_ID) REFERENCES PUBLIC.CLIENT_SCOPE (ID);

ALTER TABLE PUBLIC.CLIENT_SCOPE_ROLE_MAPPING ADD CONSTRAINT FK_CL_SCOPE_RM_SCOPE FOREIGN KEY (SCOPE_ID) REFERENCES PUBLIC.CLIENT_SCOPE (ID);

ALTER TABLE PUBLIC.CLIENT_SCOPE_ROLE_MAPPING ADD CONSTRAINT FK_CL_SCOPE_RM_ROLE FOREIGN KEY (ROLE_ID) REFERENCES PUBLIC.KEYCLOAK_ROLE (ID);

ALTER TABLE PUBLIC.CLIENT_SCOPE_ATTRIBUTES ADD CONSTRAINT FK_CL_SCOPE_ATTR_SCOPE FOREIGN KEY (SCOPE_ID) REFERENCES PUBLIC.CLIENT_SCOPE (ID);

CREATE TABLE PUBLIC.CLIENT_SCOPE_CLIENT (CLIENT_ID VARCHAR(36) NOT NULL, SCOPE_ID VARCHAR(36) NOT NULL, DEFAULT_SCOPE BOOLEAN DEFAULT FALSE NOT NULL);

ALTER TABLE PUBLIC.CLIENT_SCOPE_CLIENT ADD CONSTRAINT C_CLI_SCOPE_BIND PRIMARY KEY (CLIENT_ID, SCOPE_ID);

ALTER TABLE PUBLIC.CLIENT_SCOPE_CLIENT ADD CONSTRAINT FK_C_CLI_SCOPE_CLIENT FOREIGN KEY (CLIENT_ID) REFERENCES PUBLIC.CLIENT (ID);

ALTER TABLE PUBLIC.CLIENT_SCOPE_CLIENT ADD CONSTRAINT FK_C_CLI_SCOPE_SCOPE FOREIGN KEY (SCOPE_ID) REFERENCES PUBLIC.CLIENT_SCOPE (ID);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
ALTER TABLE PUBLIC.CLIENT DROP COLUMN CLIENT_TEMPLATE_ID;

ALTER TABLE PUBLIC.CLIENT ALTER COLUMN  USE_TEMPLATE_CONFIG SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT ALTER COLUMN  USE_TEMPLATE_SCOPE SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT ALTER COLUMN  USE_TEMPLATE_MAPPERS SET DEFAULT NULL;

ALTER TABLE PUBLIC.CLIENT DROP COLUMN USE_TEMPLATE_CONFIG;

ALTER TABLE PUBLIC.CLIENT DROP COLUMN USE_TEMPLATE_SCOPE;

ALTER TABLE PUBLIC.CLIENT DROP COLUMN USE_TEMPLATE_MAPPERS;

CREATE TABLE PUBLIC.DEFAULT_CLIENT_SCOPE (REALM_ID VARCHAR(36) NOT NULL, SCOPE_ID VARCHAR(36) NOT NULL, DEFAULT_SCOPE BOOLEAN DEFAULT FALSE NOT NULL);

ALTER TABLE PUBLIC.DEFAULT_CLIENT_SCOPE ADD CONSTRAINT R_DEF_CLI_SCOPE_BIND PRIMARY KEY (REALM_ID, SCOPE_ID);

ALTER TABLE PUBLIC.DEFAULT_CLIENT_SCOPE ADD CONSTRAINT FK_R_DEF_CLI_SCOPE_REALM FOREIGN KEY (REALM_ID) REFERENCES PUBLIC.REALM (ID);

ALTER TABLE PUBLIC.DEFAULT_CLIENT_SCOPE ADD CONSTRAINT FK_R_DEF_CLI_SCOPE_SCOPE FOREIGN KEY (SCOPE_ID) REFERENCES PUBLIC.CLIENT_SCOPE (ID);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ALTER COLUMN  SCOPE_PARAM_REQUIRED SET DEFAULT NULL;

ALTER TABLE PUBLIC.KEYCLOAK_ROLE DROP COLUMN SCOPE_PARAM_REQUIRED;

ALTER TABLE PUBLIC.PROTOCOL_MAPPER ALTER COLUMN  CONSENT_REQUIRED SET DEFAULT NULL;

ALTER TABLE PUBLIC.PROTOCOL_MAPPER DROP COLUMN CONSENT_REQUIRED;

ALTER TABLE PUBLIC.PROTOCOL_MAPPER DROP COLUMN CONSENT_TEXT;

ALTER TABLE PUBLIC.USER_CONSENT_ROLE DROP CONSTRAINT FK_GRNTCSNT_ROLE_GR;

DROP TABLE PUBLIC.USER_CONSENT_ROLE;

ALTER TABLE PUBLIC.USER_CONSENT_PROT_MAPPER DROP CONSTRAINT FK_GRNTCSNT_PRM_GR;

DROP TABLE PUBLIC.USER_CONSENT_PROT_MAPPER;

CREATE TABLE PUBLIC.USER_CONSENT_CLIENT_SCOPE (USER_CONSENT_ID VARCHAR(36) NOT NULL, SCOPE_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.USER_CONSENT_CLIENT_SCOPE ADD CONSTRAINT CONSTRAINT_GRNTCSNT_CLSC_PM PRIMARY KEY (USER_CONSENT_ID, SCOPE_ID);

ALTER TABLE PUBLIC.USER_CONSENT_CLIENT_SCOPE ADD CONSTRAINT FK_GRNTCSNT_CLSC_USC FOREIGN KEY (USER_CONSENT_ID) REFERENCES PUBLIC.USER_CONSENT (ID);

DROP TABLE PUBLIC.FED_USER_CONSENT_ROLE;

DROP TABLE PUBLIC.FED_USER_CONSENT_PROT_MAPPER;

CREATE TABLE PUBLIC.FED_USER_CONSENT_CL_SCOPE (USER_CONSENT_ID VARCHAR(36) NOT NULL, SCOPE_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.FED_USER_CONSENT_CL_SCOPE ADD CONSTRAINT CONSTRAINT_FGRNTCSNT_CLSC_PM PRIMARY KEY (USER_CONSENT_ID, SCOPE_ID);

CREATE INDEX PUBLIC.IDX_REALM_CLSCOPE ON PUBLIC.CLIENT_SCOPE(REALM_ID);

CREATE INDEX PUBLIC.IDX_CLSCOPE_PROTMAP ON PUBLIC.PROTOCOL_MAPPER(CLIENT_SCOPE_ID);

CREATE INDEX PUBLIC.IDX_CLSCOPE_ROLE ON PUBLIC.CLIENT_SCOPE_ROLE_MAPPING(SCOPE_ID);

CREATE INDEX PUBLIC.IDX_ROLE_CLSCOPE ON PUBLIC.CLIENT_SCOPE_ROLE_MAPPING(ROLE_ID);

CREATE INDEX PUBLIC.IDX_CLSCOPE_ATTRS ON PUBLIC.CLIENT_SCOPE_ATTRIBUTES(SCOPE_ID);

CREATE INDEX PUBLIC.IDX_CLSCOPE_CL ON PUBLIC.CLIENT_SCOPE_CLIENT(CLIENT_ID);

CREATE INDEX PUBLIC.IDX_CL_CLSCOPE ON PUBLIC.CLIENT_SCOPE_CLIENT(SCOPE_ID);

CREATE INDEX PUBLIC.IDX_DEFCLS_REALM ON PUBLIC.DEFAULT_CLIENT_SCOPE(REALM_ID);

CREATE INDEX PUBLIC.IDX_DEFCLS_SCOPE ON PUBLIC.DEFAULT_CLIENT_SCOPE(SCOPE_ID);

CREATE INDEX PUBLIC.IDX_USCONSENT_CLSCOPE ON PUBLIC.USER_CONSENT_CLIENT_SCOPE(USER_CONSENT_ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.0.0-KEYCLOAK-5579-fixed', 'mposolda@redhat.com', 'META-INF/jpa-changelog-4.0.0.xml', NOW(), 58, '7:6d4893e36de22369cf73bcb051ded875', 'dropForeignKeyConstraint baseTableName=CLIENT_TEMPLATE_ATTRIBUTES, constraintName=FK_CL_TEMPL_ATTR_TEMPL; renameTable newTableName=CLIENT_SCOPE_ATTRIBUTES, oldTableName=CLIENT_TEMPLATE_ATTRIBUTES; renameColumn newColumnName=SCOPE_ID, oldColumnName...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-4.0.0.CR1.xml::authz-4.0.0.CR1::psilva@redhat.com
CREATE TABLE PUBLIC.RESOURCE_SERVER_PERM_TICKET (ID VARCHAR(36) NOT NULL, OWNER VARCHAR(36) NOT NULL, REQUESTER VARCHAR(36) NOT NULL, CREATED_TIMESTAMP BIGINT NOT NULL, GRANTED_TIMESTAMP BIGINT, RESOURCE_ID VARCHAR(36) NOT NULL, SCOPE_ID VARCHAR(36), RESOURCE_SERVER_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.RESOURCE_SERVER_PERM_TICKET ADD CONSTRAINT CONSTRAINT_FAPMT PRIMARY KEY (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_PERM_TICKET ADD CONSTRAINT FK_FRSRHO213XCX4WNKOG82SSPMT FOREIGN KEY (RESOURCE_SERVER_ID) REFERENCES PUBLIC.RESOURCE_SERVER (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_PERM_TICKET ADD CONSTRAINT FK_FRSRHO213XCX4WNKOG83SSPMT FOREIGN KEY (RESOURCE_ID) REFERENCES PUBLIC.RESOURCE_SERVER_RESOURCE (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_PERM_TICKET ADD CONSTRAINT FK_FRSRHO213XCX4WNKOG84SSPMT FOREIGN KEY (SCOPE_ID) REFERENCES PUBLIC.RESOURCE_SERVER_SCOPE (ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_PERM_TICKET ADD CONSTRAINT UK_FRSR6T700S9V50BU18WS5PMT UNIQUE (OWNER, REQUESTER, RESOURCE_SERVER_ID, RESOURCE_ID, SCOPE_ID);

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ADD OWNER_MANAGED_ACCESS BOOLEAN DEFAULT FALSE NOT NULL;

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ADD DISPLAY_NAME VARCHAR(255);

ALTER TABLE PUBLIC.RESOURCE_SERVER_SCOPE ADD DISPLAY_NAME VARCHAR(255);

ALTER TABLE PUBLIC.REALM ADD ALLOW_USER_MANAGED_ACCESS BOOLEAN DEFAULT FALSE NOT NULL;

CREATE TABLE PUBLIC.RESOURCE_ATTRIBUTE (ID VARCHAR(36) DEFAULT 'sybase-needs-something-here' NOT NULL, NAME VARCHAR(255) NOT NULL, VALUE VARCHAR(255), RESOURCE_ID VARCHAR(36) NOT NULL);

ALTER TABLE PUBLIC.RESOURCE_ATTRIBUTE ADD CONSTRAINT RES_ATTR_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.RESOURCE_ATTRIBUTE ADD CONSTRAINT FK_5HRM2VLF9QL5FU022KQEPOVBR FOREIGN KEY (RESOURCE_ID) REFERENCES PUBLIC.RESOURCE_SERVER_RESOURCE (ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-4.0.0.CR1', 'psilva@redhat.com', 'META-INF/jpa-changelog-authz-4.0.0.CR1.xml', NOW(), 59, '7:57960fc0b0f0dd0563ea6f8b2e4a1707', 'createTable tableName=RESOURCE_SERVER_PERM_TICKET; addPrimaryKey constraintName=CONSTRAINT_FAPMT, tableName=RESOURCE_SERVER_PERM_TICKET; addForeignKeyConstraint baseTableName=RESOURCE_SERVER_PERM_TICKET, constraintName=FK_FRSRHO213XCX4WNKOG82SSPMT...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-4.0.0.Beta3.xml::authz-4.0.0.Beta3::psilva@redhat.com
ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ADD OWNER VARCHAR(36);

ALTER TABLE PUBLIC.RESOURCE_SERVER_PERM_TICKET ADD POLICY_ID VARCHAR(36);

ALTER TABLE PUBLIC.RESOURCE_SERVER_PERM_TICKET ADD CONSTRAINT FK_FRSRPO2128CX4WNKOG82SSRFY FOREIGN KEY (POLICY_ID) REFERENCES PUBLIC.RESOURCE_SERVER_POLICY (ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-4.0.0.Beta3', 'psilva@redhat.com', 'META-INF/jpa-changelog-authz-4.0.0.Beta3.xml', NOW(), 60, '7:2b4b8bff39944c7097977cc18dbceb3b', 'addColumn tableName=RESOURCE_SERVER_POLICY; addColumn tableName=RESOURCE_SERVER_PERM_TICKET; addForeignKeyConstraint baseTableName=RESOURCE_SERVER_PERM_TICKET, constraintName=FK_FRSRPO2128CX4WNKOG82SSRFY, referencedTableName=RESOURCE_SERVER_POLICY', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-4.2.0.Final.xml::authz-4.2.0.Final::mhajas@redhat.com
CREATE TABLE PUBLIC.RESOURCE_URIS (RESOURCE_ID VARCHAR(36) NOT NULL, VALUE VARCHAR(255) NOT NULL);

ALTER TABLE PUBLIC.RESOURCE_URIS ADD CONSTRAINT FK_RESOURCE_SERVER_URIS FOREIGN KEY (RESOURCE_ID) REFERENCES PUBLIC.RESOURCE_SERVER_RESOURCE (ID);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE DROP COLUMN URI;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-4.2.0.Final', 'mhajas@redhat.com', 'META-INF/jpa-changelog-authz-4.2.0.Final.xml', NOW(), 61, '7:2aa42a964c59cd5b8ca9822340ba33a8', 'createTable tableName=RESOURCE_URIS; addForeignKeyConstraint baseTableName=RESOURCE_URIS, constraintName=FK_RESOURCE_SERVER_URIS, referencedTableName=RESOURCE_SERVER_RESOURCE; customChange; dropColumn columnName=URI, tableName=RESOURCE_SERVER_RESO...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-4.2.0.Final.xml::authz-4.2.0.Final-KEYCLOAK-9944::hmlnarik@redhat.com
ALTER TABLE PUBLIC.RESOURCE_URIS ADD CONSTRAINT CONSTRAINT_RESOUR_URIS_PK PRIMARY KEY (RESOURCE_ID, VALUE);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-4.2.0.Final-KEYCLOAK-9944', 'hmlnarik@redhat.com', 'META-INF/jpa-changelog-authz-4.2.0.Final.xml', NOW(), 62, '7:9ac9e58545479929ba23f4a3087a0346', 'addPrimaryKey constraintName=CONSTRAINT_RESOUR_URIS_PK, tableName=RESOURCE_URIS', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.2.0.xml::4.2.0-KEYCLOAK-6313::wadahiro@gmail.com
ALTER TABLE PUBLIC.REQUIRED_ACTION_PROVIDER ADD PRIORITY INT;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.2.0-KEYCLOAK-6313', 'wadahiro@gmail.com', 'META-INF/jpa-changelog-4.2.0.xml', NOW(), 63, '7:14d407c35bc4fe1976867756bcea0c36', 'addColumn tableName=REQUIRED_ACTION_PROVIDER', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.3.0.xml::4.3.0-KEYCLOAK-7984::wadahiro@gmail.com
UPDATE PUBLIC.REQUIRED_ACTION_PROVIDER SET PRIORITY = 0 WHERE PRIORITY is NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.3.0-KEYCLOAK-7984', 'wadahiro@gmail.com', 'META-INF/jpa-changelog-4.3.0.xml', NOW(), 64, '7:241a8030c748c8548e346adee548fa93', 'update tableName=REQUIRED_ACTION_PROVIDER', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.6.0.xml::4.6.0-KEYCLOAK-7950::psilva@redhat.com
UPDATE PUBLIC.RESOURCE_SERVER_RESOURCE SET TYPE = 'Group' WHERE NAME LIKE 'group.resource.%';

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.6.0-KEYCLOAK-7950', 'psilva@redhat.com', 'META-INF/jpa-changelog-4.6.0.xml', NOW(), 65, '7:7d3182f65a34fcc61e8d23def037dc3f', 'update tableName=RESOURCE_SERVER_RESOURCE', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.6.0.xml::4.6.0-KEYCLOAK-8377::keycloak
CREATE TABLE PUBLIC.ROLE_ATTRIBUTE (ID VARCHAR(36) NOT NULL, ROLE_ID VARCHAR(36) NOT NULL, NAME VARCHAR(255) NOT NULL, VALUE NVARCHAR(255));

ALTER TABLE PUBLIC.ROLE_ATTRIBUTE ADD CONSTRAINT CONSTRAINT_ROLE_ATTRIBUTE_PK PRIMARY KEY (ID);

ALTER TABLE PUBLIC.ROLE_ATTRIBUTE ADD CONSTRAINT FK_ROLE_ATTRIBUTE_ID FOREIGN KEY (ROLE_ID) REFERENCES PUBLIC.KEYCLOAK_ROLE (ID);

CREATE INDEX PUBLIC.IDX_ROLE_ATTRIBUTE ON PUBLIC.ROLE_ATTRIBUTE(ROLE_ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.6.0-KEYCLOAK-8377', 'keycloak', 'META-INF/jpa-changelog-4.6.0.xml', NOW(), 66, '7:b30039e00a0b9715d430d1b0636728fa', 'createTable tableName=ROLE_ATTRIBUTE; addPrimaryKey constraintName=CONSTRAINT_ROLE_ATTRIBUTE_PK, tableName=ROLE_ATTRIBUTE; addForeignKeyConstraint baseTableName=ROLE_ATTRIBUTE, constraintName=FK_ROLE_ATTRIBUTE_ID, referencedTableName=KEYCLOAK_ROLE...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.6.0.xml::4.6.0-KEYCLOAK-8555::gideonray@gmail.com
CREATE INDEX PUBLIC.IDX_COMPONENT_PROVIDER_TYPE ON PUBLIC.COMPONENT(PROVIDER_TYPE);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.6.0-KEYCLOAK-8555', 'gideonray@gmail.com', 'META-INF/jpa-changelog-4.6.0.xml', NOW(), 67, '7:3797315ca61d531780f8e6f82f258159', 'createIndex indexName=IDX_COMPONENT_PROVIDER_TYPE, tableName=COMPONENT', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.7.0.xml::4.7.0-KEYCLOAK-1267::sguilhen@redhat.com
ALTER TABLE PUBLIC.REALM ADD SSO_MAX_LIFESPAN_REMEMBER_ME INT DEFAULT 0;

ALTER TABLE PUBLIC.REALM ADD SSO_IDLE_TIMEOUT_REMEMBER_ME INT DEFAULT 0;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.7.0-KEYCLOAK-1267', 'sguilhen@redhat.com', 'META-INF/jpa-changelog-4.7.0.xml', NOW(), 68, '7:c7aa4c8d9573500c2d347c1941ff0301', 'addColumn tableName=REALM', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.7.0.xml::4.7.0-KEYCLOAK-7275::keycloak
ALTER TABLE PUBLIC.OFFLINE_USER_SESSION ALTER COLUMN LAST_SESSION_REFRESH RENAME TO CREATED_ON;

UPDATE PUBLIC.OFFLINE_USER_SESSION SET CREATED_ON = '0' WHERE CREATED_ON IS NULL;

ALTER TABLE PUBLIC.OFFLINE_USER_SESSION ALTER COLUMN CREATED_ON SET NOT NULL;

ALTER TABLE PUBLIC.OFFLINE_USER_SESSION ADD LAST_SESSION_REFRESH INT DEFAULT 0 NOT NULL;

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
CREATE INDEX PUBLIC.IDX_OFFLINE_USS_CREATEDON ON PUBLIC.OFFLINE_USER_SESSION(CREATED_ON);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.7.0-KEYCLOAK-7275', 'keycloak', 'META-INF/jpa-changelog-4.7.0.xml', NOW(), 69, '7:b207faee394fc074a442ecd42185a5dd', 'renameColumn newColumnName=CREATED_ON, oldColumnName=LAST_SESSION_REFRESH, tableName=OFFLINE_USER_SESSION; addNotNullConstraint columnName=CREATED_ON, tableName=OFFLINE_USER_SESSION; addColumn tableName=OFFLINE_USER_SESSION; customChange; createIn...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-4.8.0.xml::4.8.0-KEYCLOAK-8835::sguilhen@redhat.com
UPDATE PUBLIC.REALM SET SSO_MAX_LIFESPAN_REMEMBER_ME = '0' WHERE SSO_MAX_LIFESPAN_REMEMBER_ME IS NULL;

ALTER TABLE PUBLIC.REALM ALTER COLUMN SSO_MAX_LIFESPAN_REMEMBER_ME SET NOT NULL;

UPDATE PUBLIC.REALM SET SSO_IDLE_TIMEOUT_REMEMBER_ME = '0' WHERE SSO_IDLE_TIMEOUT_REMEMBER_ME IS NULL;

ALTER TABLE PUBLIC.REALM ALTER COLUMN SSO_IDLE_TIMEOUT_REMEMBER_ME SET NOT NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4.8.0-KEYCLOAK-8835', 'sguilhen@redhat.com', 'META-INF/jpa-changelog-4.8.0.xml', NOW(), 70, '7:ab9a9762faaba4ddfa35514b212c4922', 'addNotNullConstraint columnName=SSO_MAX_LIFESPAN_REMEMBER_ME, tableName=REALM; addNotNullConstraint columnName=SSO_IDLE_TIMEOUT_REMEMBER_ME, tableName=REALM', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-authz-7.0.0.xml::authz-7.0.0-KEYCLOAK-10443::psilva@redhat.com
ALTER TABLE PUBLIC.RESOURCE_SERVER ADD DECISION_STRATEGY TINYINT DEFAULT '1' NOT NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('authz-7.0.0-KEYCLOAK-10443', 'psilva@redhat.com', 'META-INF/jpa-changelog-authz-7.0.0.xml', NOW(), 71, '7:b9710f74515a6ccb51b72dc0d19df8c4', 'addColumn tableName=RESOURCE_SERVER', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-8.0.0.xml::8.0.0-adding-credential-columns::keycloak
ALTER TABLE PUBLIC.CREDENTIAL ADD USER_LABEL VARCHAR(255);

ALTER TABLE PUBLIC.CREDENTIAL ADD SECRET_DATA CLOB;

ALTER TABLE PUBLIC.CREDENTIAL ADD CREDENTIAL_DATA CLOB;

ALTER TABLE PUBLIC.CREDENTIAL ADD PRIORITY INT;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL ADD USER_LABEL VARCHAR(255);

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL ADD SECRET_DATA CLOB;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL ADD CREDENTIAL_DATA CLOB;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL ADD PRIORITY INT;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8.0.0-adding-credential-columns', 'keycloak', 'META-INF/jpa-changelog-8.0.0.xml', NOW(), 72, '7:ec9707ae4d4f0b7452fee20128083879', 'addColumn tableName=CREDENTIAL; addColumn tableName=FED_USER_CREDENTIAL', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-8.0.0.xml::8.0.0-updating-credential-data-not-oracle-fixed::keycloak
UPDATE PUBLIC.CREDENTIAL SET CREDENTIAL_DATA = CONCAT('{"hashIterations":', HASH_ITERATIONS, ',"algorithm":"', ALGORITHM, '"}'), PRIORITY = '10', SECRET_DATA = CONCAT('{"value":"', REPLACE(VALUE, '"', '\\"'), '","salt":"__SALT__"}') WHERE TYPE = 'password' OR TYPE = 'password-history';

UPDATE PUBLIC.CREDENTIAL SET CREDENTIAL_DATA = CONCAT('{"subType":"totp","digits":', DIGITS, ',"period":', PERIOD, ',"algorithm":"', ALGORITHM, '"}'), PRIORITY = '20', SECRET_DATA = CONCAT('{"value":"', REPLACE(VALUE, '"', '\\"'), '"}'), TYPE = 'otp' WHERE TYPE = 'totp';

UPDATE PUBLIC.CREDENTIAL SET CREDENTIAL_DATA = CONCAT('{"subType":"hotp","digits":', DIGITS, ',"counter":', COUNTER, ',"algorithm":"', ALGORITHM, '"}'), PRIORITY = '20', SECRET_DATA = CONCAT('{"value":"', REPLACE(VALUE, '"', '\\"'), '"}'), TYPE = 'otp' WHERE TYPE = 'hotp';

UPDATE PUBLIC.FED_USER_CREDENTIAL SET CREDENTIAL_DATA = CONCAT('{"hashIterations":', HASH_ITERATIONS, ',"algorithm":"', ALGORITHM, '"}'), PRIORITY = '10', SECRET_DATA = CONCAT('{"value":"', REPLACE(VALUE, '"', '\\"'), '","salt":"__SALT__"}') WHERE TYPE = 'password' OR TYPE = 'password-history';

UPDATE PUBLIC.FED_USER_CREDENTIAL SET CREDENTIAL_DATA = CONCAT('{"subType":"totp","digits":', DIGITS, ',"period":', PERIOD, ',"algorithm":"', ALGORITHM, '"}'), PRIORITY = '20', SECRET_DATA = CONCAT('{"value":"', REPLACE(VALUE, '"', '\\"'), '"}'), TYPE = 'otp' WHERE TYPE = 'totp';

UPDATE PUBLIC.FED_USER_CREDENTIAL SET CREDENTIAL_DATA = CONCAT('{"subType":"hotp","digits":', DIGITS, ',"counter":', COUNTER, ',"algorithm":"', ALGORITHM, '"}'), PRIORITY = '20', SECRET_DATA = CONCAT('{"value":"', REPLACE(VALUE, '"', '\\"'), '"}'), TYPE = 'otp' WHERE TYPE = 'hotp';

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8.0.0-updating-credential-data-not-oracle-fixed', 'keycloak', 'META-INF/jpa-changelog-8.0.0.xml', NOW(), 73, '7:3979a0ae07ac465e920ca696532fc736', 'update tableName=CREDENTIAL; update tableName=CREDENTIAL; update tableName=CREDENTIAL; update tableName=FED_USER_CREDENTIAL; update tableName=FED_USER_CREDENTIAL; update tableName=FED_USER_CREDENTIAL', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-8.0.0.xml::8.0.0-updating-credential-data-oracle-fixed::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8.0.0-updating-credential-data-oracle-fixed', 'keycloak', 'META-INF/jpa-changelog-8.0.0.xml', NOW(), 74, '7:5abfde4c259119d143bd2fbf49ac2bca', 'update tableName=CREDENTIAL; update tableName=CREDENTIAL; update tableName=CREDENTIAL; update tableName=FED_USER_CREDENTIAL; update tableName=FED_USER_CREDENTIAL; update tableName=FED_USER_CREDENTIAL', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-8.0.0.xml::8.0.0-credential-cleanup-fixed::keycloak
ALTER TABLE PUBLIC.CREDENTIAL ALTER COLUMN  COUNTER SET DEFAULT NULL;

ALTER TABLE PUBLIC.CREDENTIAL ALTER COLUMN  DIGITS SET DEFAULT NULL;

ALTER TABLE PUBLIC.CREDENTIAL ALTER COLUMN  PERIOD SET DEFAULT NULL;

ALTER TABLE PUBLIC.CREDENTIAL ALTER COLUMN  ALGORITHM SET DEFAULT NULL;

ALTER TABLE PUBLIC.CREDENTIAL DROP COLUMN DEVICE;

ALTER TABLE PUBLIC.CREDENTIAL DROP COLUMN HASH_ITERATIONS;

ALTER TABLE PUBLIC.CREDENTIAL DROP COLUMN VALUE;

ALTER TABLE PUBLIC.CREDENTIAL DROP COLUMN COUNTER;

ALTER TABLE PUBLIC.CREDENTIAL DROP COLUMN DIGITS;

ALTER TABLE PUBLIC.CREDENTIAL DROP COLUMN PERIOD;

ALTER TABLE PUBLIC.CREDENTIAL DROP COLUMN ALGORITHM;

DROP TABLE PUBLIC.CREDENTIAL_ATTRIBUTE;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL ALTER COLUMN  COUNTER SET DEFAULT NULL;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL ALTER COLUMN  DIGITS SET DEFAULT NULL;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL ALTER COLUMN  PERIOD SET DEFAULT NULL;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL ALTER COLUMN  ALGORITHM SET DEFAULT NULL;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL DROP COLUMN DEVICE;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL DROP COLUMN HASH_ITERATIONS;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL DROP COLUMN VALUE;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL DROP COLUMN COUNTER;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL DROP COLUMN DIGITS;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL DROP COLUMN PERIOD;

ALTER TABLE PUBLIC.FED_USER_CREDENTIAL DROP COLUMN ALGORITHM;

DROP TABLE PUBLIC.FED_CREDENTIAL_ATTRIBUTE;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8.0.0-credential-cleanup-fixed', 'keycloak', 'META-INF/jpa-changelog-8.0.0.xml', NOW(), 75, '7:b48da8c11a3d83ddd6b7d0c8c2219345', 'dropDefaultValue columnName=COUNTER, tableName=CREDENTIAL; dropDefaultValue columnName=DIGITS, tableName=CREDENTIAL; dropDefaultValue columnName=PERIOD, tableName=CREDENTIAL; dropDefaultValue columnName=ALGORITHM, tableName=CREDENTIAL; dropColumn ...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-8.0.0.xml::8.0.0-resource-tag-support::keycloak
ALTER TABLE PUBLIC.MIGRATION_MODEL ADD UPDATE_TIME BIGINT DEFAULT 0 NOT NULL;

CREATE INDEX PUBLIC.IDX_UPDATE_TIME ON PUBLIC.MIGRATION_MODEL(UPDATE_TIME);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8.0.0-resource-tag-support', 'keycloak', 'META-INF/jpa-changelog-8.0.0.xml', NOW(), 76, '7:a73379915c23bfad3e8f5c6d5c0aa4bd', 'addColumn tableName=MIGRATION_MODEL; createIndex indexName=IDX_UPDATE_TIME, tableName=MIGRATION_MODEL', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-9.0.0.xml::9.0.0-always-display-client::keycloak
ALTER TABLE PUBLIC.CLIENT ADD ALWAYS_DISPLAY_IN_CONSOLE BOOLEAN DEFAULT FALSE NOT NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9.0.0-always-display-client', 'keycloak', 'META-INF/jpa-changelog-9.0.0.xml', NOW(), 77, '7:39e0073779aba192646291aa2332493d', 'addColumn tableName=CLIENT', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-9.0.0.xml::9.0.0-drop-constraints-for-column-increase::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9.0.0-drop-constraints-for-column-increase', 'keycloak', 'META-INF/jpa-changelog-9.0.0.xml', NOW(), 78, '7:81f87368f00450799b4bf42ea0b3ec34', 'dropUniqueConstraint constraintName=UK_FRSR6T700S9V50BU18WS5PMT, tableName=RESOURCE_SERVER_PERM_TICKET; dropUniqueConstraint constraintName=UK_FRSR6T700S9V50BU18WS5HA6, tableName=RESOURCE_SERVER_RESOURCE; dropPrimaryKey constraintName=CONSTRAINT_O...', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-9.0.0.xml::9.0.0-increase-column-size-federated-fk::keycloak
ALTER TABLE PUBLIC.FED_USER_CONSENT ALTER COLUMN CLIENT_ID VARCHAR(255);

ALTER TABLE PUBLIC.KEYCLOAK_ROLE ALTER COLUMN CLIENT_REALM_CONSTRAINT VARCHAR(255);

ALTER TABLE PUBLIC.RESOURCE_SERVER_POLICY ALTER COLUMN OWNER VARCHAR(255);

ALTER TABLE PUBLIC.USER_CONSENT ALTER COLUMN CLIENT_ID VARCHAR(255);

ALTER TABLE PUBLIC.USER_ENTITY ALTER COLUMN SERVICE_ACCOUNT_CLIENT_LINK VARCHAR(255);

ALTER TABLE PUBLIC.OFFLINE_CLIENT_SESSION ALTER COLUMN CLIENT_ID VARCHAR(255);

ALTER TABLE PUBLIC.RESOURCE_SERVER_PERM_TICKET ALTER COLUMN OWNER VARCHAR(255);

ALTER TABLE PUBLIC.RESOURCE_SERVER_PERM_TICKET ALTER COLUMN REQUESTER VARCHAR(255);

ALTER TABLE PUBLIC.RESOURCE_SERVER_RESOURCE ALTER COLUMN OWNER VARCHAR(255);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9.0.0-increase-column-size-federated-fk', 'keycloak', 'META-INF/jpa-changelog-9.0.0.xml', NOW(), 79, '7:20b37422abb9fb6571c618148f013a15', 'modifyDataType columnName=CLIENT_ID, tableName=FED_USER_CONSENT; modifyDataType columnName=CLIENT_REALM_CONSTRAINT, tableName=KEYCLOAK_ROLE; modifyDataType columnName=OWNER, tableName=RESOURCE_SERVER_POLICY; modifyDataType columnName=CLIENT_ID, ta...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-9.0.0.xml::9.0.0-recreate-constraints-after-column-increase::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9.0.0-recreate-constraints-after-column-increase', 'keycloak', 'META-INF/jpa-changelog-9.0.0.xml', NOW(), 80, '7:1970bb6cfb5ee800736b95ad3fb3c78a', 'addNotNullConstraint columnName=CLIENT_ID, tableName=OFFLINE_CLIENT_SESSION; addNotNullConstraint columnName=OWNER, tableName=RESOURCE_SERVER_PERM_TICKET; addNotNullConstraint columnName=REQUESTER, tableName=RESOURCE_SERVER_PERM_TICKET; addNotNull...', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-9.0.1.xml::9.0.1-add-index-to-client.client_id::keycloak
CREATE INDEX PUBLIC.IDX_CLIENT_ID ON PUBLIC.CLIENT(CLIENT_ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9.0.1-add-index-to-client.client_id', 'keycloak', 'META-INF/jpa-changelog-9.0.1.xml', NOW(), 81, '7:45d9b25fc3b455d522d8dcc10a0f4c80', 'createIndex indexName=IDX_CLIENT_ID, tableName=CLIENT', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-9.0.1.xml::9.0.1-KEYCLOAK-12579-drop-constraints::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9.0.1-KEYCLOAK-12579-drop-constraints', 'keycloak', 'META-INF/jpa-changelog-9.0.1.xml', NOW(), 82, '7:890ae73712bc187a66c2813a724d037f', 'dropUniqueConstraint constraintName=SIBLING_NAMES, tableName=KEYCLOAK_GROUP', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-9.0.1.xml::9.0.1-KEYCLOAK-12579-add-not-null-constraint::keycloak
UPDATE PUBLIC.KEYCLOAK_GROUP SET PARENT_GROUP = ' ' WHERE PARENT_GROUP IS NULL;

ALTER TABLE PUBLIC.KEYCLOAK_GROUP ALTER COLUMN PARENT_GROUP SET NOT NULL;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9.0.1-KEYCLOAK-12579-add-not-null-constraint', 'keycloak', 'META-INF/jpa-changelog-9.0.1.xml', NOW(), 83, '7:0a211980d27fafe3ff50d19a3a29b538', 'addNotNullConstraint columnName=PARENT_GROUP, tableName=KEYCLOAK_GROUP', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-9.0.1.xml::9.0.1-KEYCLOAK-12579-recreate-constraints::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9.0.1-KEYCLOAK-12579-recreate-constraints', 'keycloak', 'META-INF/jpa-changelog-9.0.1.xml', NOW(), 84, '7:a161e2ae671a9020fff61e996a207377', 'addUniqueConstraint constraintName=SIBLING_NAMES, tableName=KEYCLOAK_GROUP', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-9.0.1.xml::9.0.1-add-index-to-events::keycloak
CREATE INDEX PUBLIC.IDX_EVENT_TIME ON PUBLIC.EVENT_ENTITY(REALM_ID, EVENT_TIME);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9.0.1-add-index-to-events', 'keycloak', 'META-INF/jpa-changelog-9.0.1.xml', NOW(), 85, '7:01c49302201bdf815b0a18d1f98a55dc', 'createIndex indexName=IDX_EVENT_TIME, tableName=EVENT_ENTITY', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-11.0.0.xml::map-remove-ri::keycloak
ALTER TABLE PUBLIC.REALM DROP CONSTRAINT FK_TRAF444KK6QRKMS7N56AIWQ5Y;

ALTER TABLE PUBLIC.KEYCLOAK_ROLE DROP CONSTRAINT FK_KJHO5LE2C0RAL09FL8CM9WFW9;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('map-remove-ri', 'keycloak', 'META-INF/jpa-changelog-11.0.0.xml', NOW(), 86, '7:3dace6b144c11f53f1ad2c0361279b86', 'dropForeignKeyConstraint baseTableName=REALM, constraintName=FK_TRAF444KK6QRKMS7N56AIWQ5Y; dropForeignKeyConstraint baseTableName=KEYCLOAK_ROLE, constraintName=FK_KJHO5LE2C0RAL09FL8CM9WFW9', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-12.0.0.xml::map-remove-ri::keycloak
ALTER TABLE PUBLIC.REALM_DEFAULT_GROUPS DROP CONSTRAINT FK_DEF_GROUPS_GROUP;

ALTER TABLE PUBLIC.REALM_DEFAULT_ROLES DROP CONSTRAINT FK_H4WPD7W4HSOOLNI3H0SW7BTJE;

ALTER TABLE PUBLIC.CLIENT_SCOPE_ROLE_MAPPING DROP CONSTRAINT FK_CL_SCOPE_RM_ROLE;

ALTER TABLE PUBLIC.GROUP_ROLE_MAPPING DROP CONSTRAINT FK_GROUP_ROLE_ROLE;

ALTER TABLE PUBLIC.CLIENT_DEFAULT_ROLES DROP CONSTRAINT FK_8AELWNIBJI49AVXSRTUF6XJOW;

ALTER TABLE PUBLIC.SCOPE_MAPPING DROP CONSTRAINT FK_P3RH9GRKU11KQFRS4FLTT7RNQ;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('map-remove-ri', 'keycloak', 'META-INF/jpa-changelog-12.0.0.xml', NOW(), 87, '7:578d0b92077eaf2ab95ad0ec087aa903', 'dropForeignKeyConstraint baseTableName=REALM_DEFAULT_GROUPS, constraintName=FK_DEF_GROUPS_GROUP; dropForeignKeyConstraint baseTableName=REALM_DEFAULT_ROLES, constraintName=FK_H4WPD7W4HSOOLNI3H0SW7BTJE; dropForeignKeyConstraint baseTableName=CLIENT...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-12.0.0.xml::12.1.0-add-realm-localization-table::keycloak
CREATE TABLE PUBLIC.REALM_LOCALIZATIONS (REALM_ID VARCHAR(255) NOT NULL, LOCALE VARCHAR(255) NOT NULL, TEXTS CLOB NOT NULL);

ALTER TABLE PUBLIC.REALM_LOCALIZATIONS ADD PRIMARY KEY (REALM_ID, LOCALE);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12.1.0-add-realm-localization-table', 'keycloak', 'META-INF/jpa-changelog-12.0.0.xml', NOW(), 88, '7:c95abe90d962c57a09ecaee57972835d', 'createTable tableName=REALM_LOCALIZATIONS; addPrimaryKey tableName=REALM_LOCALIZATIONS', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-13.0.0.xml::default-roles::keycloak
ALTER TABLE PUBLIC.REALM ADD DEFAULT_ROLE VARCHAR(255);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('default-roles', 'keycloak', 'META-INF/jpa-changelog-13.0.0.xml', NOW(), 89, '7:f1313bcc2994a5c4dc1062ed6d8282d3', 'addColumn tableName=REALM; customChange', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-13.0.0.xml::default-roles-cleanup::keycloak
DROP TABLE PUBLIC.REALM_DEFAULT_ROLES;

DROP TABLE PUBLIC.CLIENT_DEFAULT_ROLES;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('default-roles-cleanup', 'keycloak', 'META-INF/jpa-changelog-13.0.0.xml', NOW(), 90, '7:90d763b52eaffebefbcbde55f269508b', 'dropTable tableName=REALM_DEFAULT_ROLES; dropTable tableName=CLIENT_DEFAULT_ROLES', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-13.0.0.xml::13.0.0-KEYCLOAK-16844::keycloak
CREATE INDEX PUBLIC.IDX_OFFLINE_USS_PRELOAD ON PUBLIC.OFFLINE_USER_SESSION(OFFLINE_FLAG, CREATED_ON, USER_SESSION_ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13.0.0-KEYCLOAK-16844', 'keycloak', 'META-INF/jpa-changelog-13.0.0.xml', NOW(), 91, '7:d554f0cb92b764470dccfa5e0014a7dd', 'createIndex indexName=IDX_OFFLINE_USS_PRELOAD, tableName=OFFLINE_USER_SESSION', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-13.0.0.xml::map-remove-ri-13.0.0::keycloak
ALTER TABLE PUBLIC.DEFAULT_CLIENT_SCOPE DROP CONSTRAINT FK_R_DEF_CLI_SCOPE_SCOPE;

ALTER TABLE PUBLIC.CLIENT_SCOPE_CLIENT DROP CONSTRAINT FK_C_CLI_SCOPE_SCOPE;

ALTER TABLE PUBLIC.CLIENT_SCOPE_CLIENT DROP CONSTRAINT FK_C_CLI_SCOPE_CLIENT;

ALTER TABLE PUBLIC.CLIENT DROP CONSTRAINT FK_P56CTINXXB9GSK57FO49F9TAC;

ALTER TABLE PUBLIC.CLIENT_SCOPE DROP CONSTRAINT FK_REALM_CLI_SCOPE;

ALTER TABLE PUBLIC.KEYCLOAK_GROUP DROP CONSTRAINT FK_GROUP_REALM;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('map-remove-ri-13.0.0', 'keycloak', 'META-INF/jpa-changelog-13.0.0.xml', NOW(), 92, '7:73193e3ab3c35cf0f37ccea3bf783764', 'dropForeignKeyConstraint baseTableName=DEFAULT_CLIENT_SCOPE, constraintName=FK_R_DEF_CLI_SCOPE_SCOPE; dropForeignKeyConstraint baseTableName=CLIENT_SCOPE_CLIENT, constraintName=FK_C_CLI_SCOPE_SCOPE; dropForeignKeyConstraint baseTableName=CLIENT_SC...', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-13.0.0.xml::13.0.0-KEYCLOAK-17992-drop-constraints::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13.0.0-KEYCLOAK-17992-drop-constraints', 'keycloak', 'META-INF/jpa-changelog-13.0.0.xml', NOW(), 93, '7:90a1e74f92e9cbaa0c5eab80b8a037f3', 'dropPrimaryKey constraintName=C_CLI_SCOPE_BIND, tableName=CLIENT_SCOPE_CLIENT; dropIndex indexName=IDX_CLSCOPE_CL, tableName=CLIENT_SCOPE_CLIENT; dropIndex indexName=IDX_CL_CLSCOPE, tableName=CLIENT_SCOPE_CLIENT', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-13.0.0.xml::13.0.0-increase-column-size-federated::keycloak
ALTER TABLE PUBLIC.CLIENT_SCOPE_CLIENT ALTER COLUMN CLIENT_ID VARCHAR(255);

ALTER TABLE PUBLIC.CLIENT_SCOPE_CLIENT ALTER COLUMN SCOPE_ID VARCHAR(255);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13.0.0-increase-column-size-federated', 'keycloak', 'META-INF/jpa-changelog-13.0.0.xml', NOW(), 94, '7:5b9248f29cd047c200083cc6d8388b16', 'modifyDataType columnName=CLIENT_ID, tableName=CLIENT_SCOPE_CLIENT; modifyDataType columnName=SCOPE_ID, tableName=CLIENT_SCOPE_CLIENT', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-13.0.0.xml::13.0.0-KEYCLOAK-17992-recreate-constraints::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13.0.0-KEYCLOAK-17992-recreate-constraints', 'keycloak', 'META-INF/jpa-changelog-13.0.0.xml', NOW(), 95, '7:64db59e44c374f13955489e8990d17a1', 'addNotNullConstraint columnName=CLIENT_ID, tableName=CLIENT_SCOPE_CLIENT; addNotNullConstraint columnName=SCOPE_ID, tableName=CLIENT_SCOPE_CLIENT; addPrimaryKey constraintName=C_CLI_SCOPE_BIND, tableName=CLIENT_SCOPE_CLIENT; createIndex indexName=...', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-13.0.0.xml::json-string-accomodation-fixed::keycloak
ALTER TABLE PUBLIC.REALM_ATTRIBUTE ADD VALUE_NEW CLOB;

UPDATE PUBLIC.REALM_ATTRIBUTE SET VALUE_NEW = VALUE;

ALTER TABLE PUBLIC.REALM_ATTRIBUTE DROP COLUMN VALUE;

ALTER TABLE PUBLIC.REALM_ATTRIBUTE ALTER COLUMN VALUE_NEW RENAME TO VALUE;

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('json-string-accomodation-fixed', 'keycloak', 'META-INF/jpa-changelog-13.0.0.xml', NOW(), 96, '7:329a578cdb43262fff975f0a7f6cda60', 'addColumn tableName=REALM_ATTRIBUTE; update tableName=REALM_ATTRIBUTE; dropColumn columnName=VALUE, tableName=REALM_ATTRIBUTE; renameColumn newColumnName=VALUE, oldColumnName=VALUE_NEW, tableName=REALM_ATTRIBUTE', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-14.0.0.xml::14.0.0-KEYCLOAK-11019::keycloak
CREATE INDEX PUBLIC.IDX_OFFLINE_CSS_PRELOAD ON PUBLIC.OFFLINE_CLIENT_SESSION(CLIENT_ID, OFFLINE_FLAG);

CREATE INDEX PUBLIC.IDX_OFFLINE_USS_BY_USER ON PUBLIC.OFFLINE_USER_SESSION(USER_ID, REALM_ID, OFFLINE_FLAG);

CREATE INDEX PUBLIC.IDX_OFFLINE_USS_BY_USERSESS ON PUBLIC.OFFLINE_USER_SESSION(REALM_ID, OFFLINE_FLAG, USER_SESSION_ID);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('14.0.0-KEYCLOAK-11019', 'keycloak', 'META-INF/jpa-changelog-14.0.0.xml', NOW(), 97, '7:fae0de241ac0fd0bbc2b380b85e4f567', 'createIndex indexName=IDX_OFFLINE_CSS_PRELOAD, tableName=OFFLINE_CLIENT_SESSION; createIndex indexName=IDX_OFFLINE_USS_BY_USER, tableName=OFFLINE_USER_SESSION; createIndex indexName=IDX_OFFLINE_USS_BY_USERSESS, tableName=OFFLINE_USER_SESSION', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-14.0.0.xml::14.0.0-KEYCLOAK-18286::keycloak
CREATE INDEX PUBLIC.IDX_CLIENT_ATT_BY_NAME_VALUE ON PUBLIC.CLIENT_ATTRIBUTES(NAME, VALUE);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('14.0.0-KEYCLOAK-18286', 'keycloak', 'META-INF/jpa-changelog-14.0.0.xml', NOW(), 98, '7:075d54e9180f49bb0c64ca4218936e81', 'createIndex indexName=IDX_CLIENT_ATT_BY_NAME_VALUE, tableName=CLIENT_ATTRIBUTES', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-14.0.0.xml::14.0.0-KEYCLOAK-18286-mysql::keycloak
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('14.0.0-KEYCLOAK-18286-mysql', 'keycloak', 'META-INF/jpa-changelog-14.0.0.xml', NOW(), 99, '7:b558ad47ea0e4d3c3514225a49cc0d65', 'createIndex indexName=IDX_CLIENT_ATT_BY_NAME_VALUE, tableName=CLIENT_ATTRIBUTES', '', 'MARK_RAN', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-14.0.0.xml::KEYCLOAK-17267-add-index-to-user-attributes::keycloak
CREATE INDEX PUBLIC.IDX_USER_ATTRIBUTE_NAME ON PUBLIC.USER_ATTRIBUTE(NAME, VALUE);

INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('KEYCLOAK-17267-add-index-to-user-attributes', 'keycloak', 'META-INF/jpa-changelog-14.0.0.xml', NOW(), 100, '7:1a7f28ff8d9e53aeb879d76ea3d9341a', 'createIndex indexName=IDX_USER_ATTRIBUTE_NAME, tableName=USER_ATTRIBUTE', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

-- Changeset META-INF/jpa-changelog-14.0.0.xml::KEYCLOAK-18146-add-saml-art-binding-identifier::keycloak
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PUBLIC.DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('KEYCLOAK-18146-add-saml-art-binding-identifier', 'keycloak', 'META-INF/jpa-changelog-14.0.0.xml', NOW(), 101, '7:2fd554456fed4a82c698c555c5b751b6', 'customChange', '', 'EXECUTED', NULL, NULL, '3.5.4', '0499115129');

